-- This script will fix head models:
-- If player doesn't have the headmodel then generic face will be used
-- If player have headmodel then it will be applied

require 'imports/core/common'

-- List up to date with Title Update 11
local valid_headmodels = {
    [27] = true,    -- Joe Cole
    [42] = true,    -- Gareth Southgate
    [51] = true,    -- Alan Shearer
    [240] = true,    -- Roy Keane
    [246] = true,    -- Paul Scholes
    [250] = true,    -- David Beckham
    [330] = true,    -- Robbie Keane
    [388] = true,    -- Sol Campbell
    [524] = true,    -- Lars Ricken
    [570] = true,    -- Jayjay Okocha
    [1016] = true,    -- Andrea Sottil
    [1025] = true,    -- Rui Costa
    [1040] = true,    -- Roberto Carlos
    [1041] = true,    -- Javier Zanetti
    [1067] = true,    -- Antonio Conte
    [1075] = true,    -- Alessandro Del Piero
    [1088] = true,    -- Alessandro Nesta
    [1109] = true,    -- Maldini
    [1114] = true,    -- Roberto Baggio
    [1116] = true,    -- Desailly
    [1179] = true,    -- Gianluigi Buffon
    [1183] = true,    -- Cannavaro
    [1201] = true,    -- Zola
    [1256] = true,    -- Clarence Seedorf
    [1397] = true,    -- Zidane
    [1419] = true,    -- Vieira
    [1551] = true,    -- Ludovic Giuly
    [1605] = true,    -- Robert Pires
    [1620] = true,    -- Emmanuel Petit
    [1625] = true,    -- Thierry Henry
    [1668] = true,    -- Claude Makelele
    [1845] = true,    -- Ole Gunnar Solskjaer
    [3622] = true,    -- Ricardo Carvalho
    [3647] = true,    -- Michael Ballack
    [4000] = true,    -- Bergkamp
    [4202] = true,    -- Ivan Gennaro Gattuso
    [4231] = true,    -- Rivaldo
    [4833] = true,    -- Hristo Stoichkov
    [5003] = true,    -- Cafu
    [5419] = true,    -- Michael Owen
    [5454] = true,    -- Bixente Lizarazu
    [5471] = true,    -- Frank Lampard
    [5479] = true,    -- Iker Casillas
    [5571] = true,    -- Diego Simeone
    [5589] = true,    -- Luis Figo
    [5661] = true,    -- Fernando Morientes
    [5673] = true,    -- Jari Litmanen
    [5679] = true,    -- Nwankwo Kanu
    [5680] = true,    -- Kluivert
    [5984] = true,    -- David Trezeguet
    [6235] = true,    -- Nedved
    [6975] = true,    -- Fredrik Ljungberg
    [7289] = true,    -- Rio Ferdinand
    [7512] = true,    -- Crespo
    [7518] = true,    -- Juan Sebastian Veron
    [7743] = true,    -- Landon Donovan
    [7763] = true,    -- Andrea Pirlo
    [7826] = true,    -- Robin Van Persie
    [7854] = true,    -- Sergio Conceicao
    [8213] = true,    -- Aitor Karanka
    [8385] = true,    -- Aleksandr Mostovoi
    [8473] = true,    -- Tomas Rosicky
    [8885] = true,    -- Mauricio Pochettino
    [9676] = true,    -- Samuel Etoo
    [10264] = true,    -- Ruud Van Nistelrooy
    [10535] = true,    -- Xavi
    [10974] = true,    -- Mauricio Pellegrino
    [11141] = true,    -- Miroslav Klose
    [13038] = true,    -- Carles Puyol
    [13128] = true,    -- Andriy Shevchenko
    [13383] = true,    -- Hidetoshi Nakata
    [13743] = true,    -- Steven Gerrard
    [15723] = true,    -- Dirk Kuyt
    [16619] = true,    -- Ivan Cordoba
    [20289] = true,    -- Yaya Toure
    [20801] = true,    -- Cristiano Ronaldo
    [23174] = true,    -- Juanroman Riquelme
    [24630] = true,    -- Pepe Reina
    [25924] = true,    -- Joan Capdevila
    [26504] = true,    -- Bus Dj
    [26520] = true,    -- Alex Hunter Kid
    [26521] = true,    -- Gareth Walker Kid
    [26537] = true,    -- Generic Manager
    [26538] = true,    -- Generic Manager
    [26539] = true,    -- Generic Manager
    [26540] = true,    -- Generic Manager
    [26541] = true,    -- Generic Manager
    [26542] = true,    -- Generic Manager
    [26543] = true,    -- Generic Manager
    [26544] = true,    -- Generic Manager
    [26545] = true,    -- Generic Manager
    [26546] = true,    -- Generic Manager
    [26547] = true,    -- Generic Manager
    [26551] = true,    -- Generic Boy
    [26552] = true,    -- Generic Boy
    [26553] = true,    -- Generic Boy
    [26555] = true,    -- Generic Boy
    [26594] = true,    -- Emma Cam
    [26597] = true,    -- Aadila Dosani
    [26598] = true,    -- Naiah Cummins
    [26599] = true,    -- Alex Gullason
    [26600] = true,    -- Renan Diaz
    [26601] = true,    -- Generic Boy
    [26602] = true,    -- Generic Boy
    [26621] = true,    -- Young Girl
    [26626] = true,    -- Bea
    [26635] = true,    -- Generic Female
    [26636] = true,    -- Generic Female
    [26638] = true,    -- Generic Female
    [26639] = true,    -- Generic Female
    [26640] = true,    -- Generic Female
    [26641] = true,    -- Generic Male
    [26642] = true,    -- Generic Male
    [26643] = true,    -- Generic Male
    [26644] = true,    -- Generic Male
    [26645] = true,    -- Generic Male
    [26646] = true,    -- Generic Male
    [26647] = true,    -- Generic Male
    [26648] = true,    -- Generic Male
    [26650] = true,    -- Generic Male
    [26651] = true,    -- Generic Male
    [26669] = true,    -- Generic Male
    [26670] = true,    -- Thierry Henry
    [26688] = true,    -- Generic Boy
    [26689] = true,    -- Generic Boy
    [26690] = true,    -- Generic Boy
    [26691] = true,    -- Generic Boy
    [26692] = true,    -- Generic Girl
    [26693] = true,    -- Generic Girl
    [26694] = true,    -- Generic Girl
    [26695] = true,    -- Generic Girl
    [26697] = true,    -- Generic Girl
    [26709] = true,    -- Rafael Marquez
    [27000] = true,    -- Sydney Ko
    [27002] = true,    -- Peter Jepsen
    [27004] = true,    -- Jason Quezada
    [27005] = true,    -- Ismail Hamadoui
    [27008] = true,    -- Kotaro Tokuda
    [27017] = true,    -- Dj
    [27018] = true,    -- Ricardo Kaka
    [27026] = true,    -- Male Vlogger
    [27028] = true,    -- Stargeneric Cahn Nguyen
    [27029] = true,    -- Stargeneric Joe Daru
    [27030] = true,    -- Stargeneric Perry Lee
    [27031] = true,    -- Stargeneric Martin Chan
    [27032] = true,    -- Robert Regpala
    [27033] = true,    -- Stargeneric Bob Rajwani
    [27034] = true,    -- Stargeneric Ranjit Samra
    [27035] = true,    -- Fabian Gujral
    [27036] = true,    -- Stargeneric Tylan Essery
    [27037] = true,    -- Stargeneric Ben Herman
    [27050] = true,    -- Stargeneric Emmanuel Addo
    [27051] = true,    -- Stargeneric Filipe Camara De Oliviera
    [27067] = true,    -- Stargeneric Robin Esrock
    [27068] = true,    -- Stargeneric Theo Irie
    [27070] = true,    -- Stargeneric Nicholas Ugoalah
    [27071] = true,    -- Stargeneric Sven Winter
    [27072] = true,    -- Stargeneric Michael Dahlen
    [27073] = true,    -- Stargeneric Joel Garcia
    [27074] = true,    -- Stargeneric Cameron Grierson
    [27075] = true,    -- Stargeneric Ryo Hayashida
    [27076] = true,    -- Stargeneric Quentin Nanou
    [27077] = true,    -- Stargeneric Leonardo Samuel
    [27078] = true,    -- Stargeneric Ron Wear
    [27079] = true,    -- Stargeneric Clint Andrew
    [27080] = true,    -- Stargeneric Alex Chronakis
    [27081] = true,    -- Stargeneric Dan Hassler
    [27082] = true,    -- Stargeneric Kurt Moses
    [27083] = true,    -- Stargeneric Jordon Narvratil
    [27084] = true,    -- Stargeneric Alex Pleger
    [27085] = true,    -- Stargeneric Alec Santos
    [27086] = true,    -- Stargeneric Sophia Billing
    [27087] = true,    -- Stargeneric Nairelin Manzueta
    [27088] = true,    -- Stargeneric Raya Meacham
    [27089] = true,    -- Stargeneric Kourtney Pankuch
    [27090] = true,    -- Stargeneric Victoria Sealy
    [27091] = true,    -- Stargeneric Aletheia Urstad
    [27092] = true,    -- Stargeneric Wayne Bernard
    [27093] = true,    -- Stargeneric Brad Ignis
    [27094] = true,    -- Generic Manager
    [27095] = true,    -- Generic Manager
    [27096] = true,    -- Generic Manager
    [27099] = true,    -- Stargeneric James Maitland
    [27102] = true,    -- Male Agent
    [27103] = true,    -- Male Assistmanager
    [27105] = true,    -- Male Assistmanager
    [27106] = true,    -- Stargeneric Amir Mohebbi
    [27108] = true,    -- Stargeneric Mohammed Rasheed
    [27109] = true,    -- Stargeneric Yuri Shamsin
    [27110] = true,    -- Stargeneric Thomas Strumpski
    [27111] = true,    -- Stargeneric Nathan Cheung
    [27112] = true,    -- Stargeneric James R Cowley
    [27113] = true,    -- Stargeneric Stanley Jung
    [27115] = true,    -- Stargeneric Jacky Weng
    [27201] = true,    -- Female Vlogger
    [27202] = true,    -- Female Assistmanager
    [27262] = true,    -- Mean Female
    [27263] = true,    -- Mean Male
    [28130] = true,    -- Ronaldinho
    [30110] = true,    -- Dimitar Berbatov
    [31432] = true,    -- Didier Drogba
    [34079] = true,    -- Ashley Cole
    [37576] = true,    -- Ronaldo
    [39386] = true,    -- Damarcus Beasley
    [39943] = true,    -- Ji Sung Park
    [40007] = true,    -- Stargeneric Graham Jenkins
    [40016] = true,    -- Stargeneric Michael Carranza
    [40022] = true,    -- Stargeneric Daniel Jordan
    [40030] = true,    -- Stargeneric Amado Geraldo Ancheta
    [40031] = true,    -- Stargeneric Marc Le Blanc
    [40032] = true,    -- Stargeneric Lachlan Quarmby
    [40033] = true,    -- Stargeneric Michael Sech
    [40034] = true,    -- Stargeneric Kurt Szarka
    [40035] = true,    -- Stargeneric Kevin Kokoska
    [40036] = true,    -- Stargeneric Raymond Johnson Brown
    [40037] = true,    -- Stargeneric Delali Ayivor
    [40038] = true,    -- Stargeneric Jide Ajide
    [40039] = true,    -- Stargeneric A J Crivello Jones
    [40040] = true,    -- Stargeneric Charlie Nesbit
    [40041] = true,    -- Stargeneric Christian Daniel Echegoyen
    [40042] = true,    -- Stargeneric Cyrus Baylis
    [40043] = true,    -- Stargeneric Ted Stuart
    [40044] = true,    -- Stargeneric Nader Al Houh
    [40045] = true,    -- Stargeneric John Connolly
    [40046] = true,    -- Stargeneric Samuel Curry
    [40047] = true,    -- Stargeneric Christopher Flint
    [40048] = true,    -- Stargeneric Zavien Garrett
    [40049] = true,    -- Stargeneric Gabriel Marshell
    [40050] = true,    -- Stargeneric Trey Denzyl Stoxx
    [40051] = true,    -- Stargeneric Daniel Hanuse
    [40052] = true,    -- Stargeneric Massimo Frau
    [40053] = true,    -- Stargeneric Michael Danell
    [40054] = true,    -- Stargeneric Raphael Lecat
    [40055] = true,    -- Stargeneric Cody Mac Eachern
    [40056] = true,    -- Stargeneric Prince Nii Engmann
    [40057] = true,    -- Stargeneric Addison Tessema
    [40058] = true,    -- Stargeneric Tristan Arthus
    [40059] = true,    -- Stargeneric Guilherme Babilonia
    [40060] = true,    -- Stargeneric Scott Button
    [40061] = true,    -- Stargeneric Evan Green
    [40062] = true,    -- Stargeneric Charlie Hughes
    [40063] = true,    -- Stargeneric Joel Mc Veagh
    [40064] = true,    -- Stargeneric Evan Rein
    [40065] = true,    -- Stargeneric Jerome Blake
    [40066] = true,    -- Stargeneric Henry King
    [40067] = true,    -- Stargeneric Shane Symons
    [40068] = true,    -- Stargeneric Trevar Fox
    [40069] = true,    -- Stargeneric Jarod Marcil
    [40070] = true,    -- Stargeneric Alejandro Herrera Gil
    [40071] = true,    -- Stargeneric Anthony Bitonti
    [40072] = true,    -- Stargeneric Marcio Mikael Barauna Araujo
    [40073] = true,    -- Stargeneric Tyson L W Geick
    [40074] = true,    -- Stargeneric Gabriel Hildreth
    [40075] = true,    -- Stargeneric Spencer Irwin
    [40076] = true,    -- Stargeneric Carlo Latonio
    [40077] = true,    -- Stargeneric Logan William Tarasoff
    [40078] = true,    -- Stargeneric Nick Thorp
    [40079] = true,    -- Stargeneric Ethan Nolan
    [40080] = true,    -- Stargeneric Frankie Cena
    [40081] = true,    -- Stargeneric Michael Bortolin
    [40082] = true,    -- Stargeneric Niko Koupantsis
    [40083] = true,    -- Stargeneric Robert Byron
    [40084] = true,    -- Stargeneric Rodney Bourassa
    [40085] = true,    -- Stargeneric Alec Shaw
    [40086] = true,    -- Stargeneric Allen David Weins
    [40087] = true,    -- Stargeneric Levi Wall
    [40088] = true,    -- Stargeneric Michael Brian
    [40089] = true,    -- Stargeneric Oliver Castillo
    [40103] = true,    -- Stargeneric Tyrell Harley
    [40104] = true,    -- Stargeneric Michael O Connor
    [40105] = true,    -- Stargeneric Russell Lee
    [40109] = true,    -- Stargeneric Waqas Ahmed
    [40110] = true,    -- Stargeneric Yadu Baznath
    [40115] = true,    -- Stargeneric Mitch Joseph
    [40117] = true,    -- Stargeneric Richie Lubaton
    [40124] = true,    -- Stargeneric Pabloricardo Faria
    [40126] = true,    -- Stargeneric Ayden Liebich
    [40127] = true,    -- Stargeneric Brunoferreirapinnheiro Decunha
    [40128] = true,    -- Stargeneric Andrew Wang
    [40130] = true,    -- Stargeneric Manraj Singhsidhu
    [40131] = true,    -- Stargeneric Jerome Dennis
    [40133] = true,    -- Stargeneric Emmanuel Bempong
    [40135] = true,    -- Stargeneric Tristan Ranger
    [40136] = true,    -- Stargeneric Connor Anthony
    [40137] = true,    -- Stargeneric Kaelen Bain
    [40139] = true,    -- Stargeneric Skovensky Valeus
    [40140] = true,    -- Stargeneric Jaiden Lanjibrown
    [40400] = true,    -- Generic Male
    [40401] = true,    -- Generic Male
    [40402] = true,    -- Stargeneric Chris Granlund
    [40405] = true,    -- Stargeneric Jamal Quezaire
    [40410] = true,    -- Stargeneric Krish Lohita
    [40411] = true,    -- Stargeneric Valentinetuimasev Taylor
    [40412] = true,    -- Stargeneric Arlo Sarinas
    [40413] = true,    -- Stargeneric Bradforda Wilson
    [40414] = true,    -- Stargeneric Brian Kachelmeyeer
    [40417] = true,    -- Stargeneric Dominque Price
    [40418] = true,    -- Stargeneric Jamaal Lewis
    [40419] = true,    -- Stargeneric Juanfelipej Restrepo
    [40420] = true,    -- Stargeneric Mao Sun
    [40422] = true,    -- Stargeneric Randy Jernidier
    [40432] = true,    -- Stargeneric Ellise Fowler
    [40433] = true,    -- Stargeneric Ivan Thompson
    [40434] = true,    -- Stargeneric Jay Ellis
    [40438] = true,    -- Stargeneric Jorge Gasper
    [40442] = true,    -- Stargeneric Lee Charm
    [40446] = true,    -- Stargeneric Tony Do
    [40449] = true,    -- Stargeneric Mike Sinnott
    [40450] = true,    -- Stargeneric Raheem Lee
    [40453] = true,    -- Stargeneric Robertsteven Blair
    [40455] = true,    -- Stargeneric Paul Braun
    [40456] = true,    -- Stargeneric Michael Davis
    [40458] = true,    -- Stargeneric Mike Dirks
    [40459] = true,    -- Stargeneric Daniel Fox
    [40750] = true,    -- Stargeneric Cindy Alvarez
    [40751] = true,    -- Stargeneric Ghazal Azarbad
    [40752] = true,    -- Stargeneric Angela Cooper
    [40753] = true,    -- Stargeneric Alejandra Martinez
    [40754] = true,    -- Stargeneric Brandi Turgeon
    [40755] = true,    -- Stargeneric Fatima Namatovu
    [40756] = true,    -- Stargeneric Kelly Brock
    [40757] = true,    -- Stargeneric Hala Elia
    [40758] = true,    -- Stargeneric Karina Kunzo
    [40759] = true,    -- Stargeneric Genevieve Soo
    [40760] = true,    -- Stargeneric Angela Umeh
    [40761] = true,    -- Stargeneric Aimee Calder
    [40762] = true,    -- Stargeneric Laura Douglas
    [40766] = true,    -- Stargeneric Leah Kathleenday
    [40768] = true,    -- Stargeneric Rebeka Mercy
    [40776] = true,    -- Stargeneric Onomen Jai
    [40781] = true,    -- Stargeneric Jackie Blackmore
    [40790] = true,    -- Stargeneric Keyosha Waugh
    [40791] = true,    -- Stargeneric Elise Cheney
    [40796] = true,    -- Stargeneric Anastassia Kivelia
    [40800] = true,    -- Stargeneric Garima Singh
    [40801] = true,    -- Stargeneric Jessica Bessen
    [40802] = true,    -- Stargeneric Lacey Cebula
    [40804] = true,    -- Stargeneric Grace So
    [40806] = true,    -- Stargeneric Kris Kuruneri
    [40808] = true,    -- Stargeneric Elsie Ojiambo
    [40811] = true,    -- Stargeneric Yasmin Veras
    [40812] = true,    -- Stargeneric Jamiegrace Butler
    [40813] = true,    -- Stargeneric Karen Conlan
    [40814] = true,    -- Stargeneric Patricia Droko
    [40815] = true,    -- Stargeneric Valeria Farias
    [40816] = true,    -- Stargeneric Violetta Gryshko
    [40817] = true,    -- Stargeneric Sasha Hancock
    [40818] = true,    -- Stargeneric Kendra Lee
    [40819] = true,    -- Stargeneric Zenya Salame
    [40821] = true,    -- Stargeneric Eowlynn Enquist
    [40822] = true,    -- Stargeneric Ashley Hart
    [40823] = true,    -- Stargeneric Natalia Kambe
    [40825] = true,    -- Stargeneric Natalie Schultz
    [40826] = true,    -- Stargeneric Shea Smeltzer
    [40827] = true,    -- Stargeneric Starlise Washuck
    [40828] = true,    -- Stargeneric Ayla Wren
    [40829] = true,    -- Stargeneric Candice Zhang
    [40830] = true,    -- Stargeneric Kimberly Butchard
    [40831] = true,    -- Stargeneric Sydney Carlson
    [40833] = true,    -- Stargeneric Kelsey Hopps
    [40835] = true,    -- Stargeneric Lisa Pineda
    [40840] = true,    -- Stargeneric Taylar Dykstra
    [40843] = true,    -- Stargeneric Oliviamarie Mcinnis
    [40844] = true,    -- Stargeneric Skye Michael
    [40845] = true,    -- Stargeneric Kelsey Moss
    [40846] = true,    -- Stargeneric Carla Neufeld
    [40847] = true,    -- Stargeneric Kaylanoel Renfro
    [40848] = true,    -- Stargeneric Adrienne Ross
    [40850] = true,    -- Stargeneric Anna Semenova
    [40851] = true,    -- Stargeneric Valeria Ascolese
    [40852] = true,    -- Stargeneric Alayna Eves
    [40853] = true,    -- Stargeneric Mary Flannigan
    [40854] = true,    -- Stargeneric Sidney Grigg
    [40855] = true,    -- Stargeneric Anna Katharina
    [40856] = true,    -- Stargeneric Emily Loewn
    [40857] = true,    -- Stargeneric Trudi Ranik
    [40858] = true,    -- Stargeneric Marie Sharp
    [40859] = true,    -- Stargeneric Ella Stuart
    [40860] = true,    -- Stargeneric Afrakoma Amponsah
    [40861] = true,    -- Stargeneric Clara Catarina
    [40862] = true,    -- Stargeneric Linda Kanyamuna
    [40864] = true,    -- Stargeneric Tilyna Pawer
    [40865] = true,    -- Stargeneric Sarah Peguero
    [40866] = true,    -- Stargeneric Brodyn Perry
    [40867] = true,    -- Stargeneric Sierra Wilsonfurr
    [40868] = true,    -- Stargeneric Caitlin Arnold
    [40869] = true,    -- Stargeneric Santana Berryman
    [40870] = true,    -- Stargeneric Patience Dossen
    [40871] = true,    -- Stargeneric Nalwadda Everylyn
    [40873] = true,    -- Stargeneric Laura Lyall
    [40874] = true,    -- Stargeneric Sayo Onishi
    [40875] = true,    -- Stargeneric Shelby Shukaliak
    [40876] = true,    -- Stargeneric Shel Wyminga
    [40877] = true,    -- Stargeneric Maya Zylar
    [40878] = true,    -- Stargeneric Najda Abdulkadir
    [40879] = true,    -- Stargeneric Amanda Lybett
    [40881] = true,    -- Stargeneric Haze Nam
    [40882] = true,    -- Stargeneric Bex Newlove
    [40883] = true,    -- Stargeneric Kately Nikiforuk
    [40884] = true,    -- Stargeneric Sarah Olberg
    [40885] = true,    -- Stargeneric Sonya Proehl
    [40886] = true,    -- Stargeneric Heather Villaruel
    [40887] = true,    -- Stargeneric Daniel Ohrokhina
    [40888] = true,    -- Stargeneric Grace Evenson
    [40889] = true,    -- Stargeneric Natasha Godlewski
    [40890] = true,    -- Stargeneric Audria Linton
    [40891] = true,    -- Stargeneric Kiara Mcilravey
    [40892] = true,    -- Stargeneric Krysta Medeiros
    [40893] = true,    -- Stargeneric Kladi Mwansa
    [40894] = true,    -- Stargeneric Milissa Roessler
    [40895] = true,    -- Stargeneric Asal Torabi
    [40896] = true,    -- Stargeneric Viktorria Danylenko
    [40898] = true,    -- Sidney Govou
    [40934] = true,    -- Stargeneric Julie Ava
    [40950] = true,    -- Stargeneric Catherine Duda
    [40951] = true,    -- Stargeneric Dorianne Kaze
    [40952] = true,    -- Stargeneric Aggie Cheung
    [40954] = true,    -- Stargeneric Hannah Doobie
    [40955] = true,    -- Stargeneric Julie Miller
    [40956] = true,    -- Stargeneric Carmen Myers
    [40957] = true,    -- Stargeneric Bridget Tse
    [40958] = true,    -- Stargeneric Samantha Brownlee
    [40959] = true,    -- Stargeneric Holly Newberry
    [40960] = true,    -- Stargeneric Madeleine Kelders
    [40961] = true,    -- Stargeneric Corrine Mckay
    [40962] = true,    -- Stargeneric Carolina Rolo
    [40963] = true,    -- Stargeneric Jessica Bernard
    [40964] = true,    -- Stargeneric Kate Westfal
    [40965] = true,    -- Stargeneric Michelle Brown
    [40966] = true,    -- Stargeneric Nikkierin Nash
    [40967] = true,    -- Stargeneric Yuerenee Lang
    [40968] = true,    -- Stargeneric Shania Justice
    [40969] = true,    -- Stargeneric Elizabeth Ababio
    [40970] = true,    -- Stargeneric Breann Rislund
    [40971] = true,    -- Stargeneric Esther Nam
    [40972] = true,    -- Stargeneric Lisa Baillie
    [44897] = true,    -- Jerzy Dudek
    [45119] = true,    -- Mikel Arteta
    [45197] = true,    -- Xabi Alonso
    [45490] = true,    -- Javier Calleja
    [45661] = true,    -- Raul
    [45674] = true,    -- Michael Essien
    [48940] = true,    -- Petr Cech
    [49000] = true,    -- Allan Mcgregor
    [49072] = true,    -- Diego Forlan
    [49369] = true,    -- Fernando Torres
    [50752] = true,    -- Ledley King
    [51257] = true,    -- Peter Crouch
    [51404] = true,    -- Sean Dyche
    [51412] = true,    -- Tim Cahill
    [51417] = true,    -- Paul Konchesky
    [51539] = true,    -- Van Der Sar
    [52241] = true,    -- Larsson
    [52326] = true,    -- Eldin Jakupovic
    [53593] = true,    -- Gary O Neil
    [53894] = true,    -- Paul Heckingbottom
    [53914] = true,    -- Phil Jagielka
    [53951] = true,    -- Roberto Martinez
    [54033] = true,    -- Tom Huddleston
    [54050] = true,    -- Wayne Rooney
    [102001] = true,    -- Rob Edwards
    [104389] = true,    -- Rune Jarstein
    [107715] = true,    -- Lucio
    [112919] = true,    -- Alberto Toril
    [120274] = true,    -- Antonio Dinatale
    [120533] = true,    -- Pepe
    [121939] = true,    -- Philipp Lahm
    [121944] = true,    -- Bastien Schweinsteiger
    [134979] = true,    -- Martin Demichelis
    [135587] = true,    -- Niki Maenpaa
    [135804] = true,    -- Sergio Gonzalez
    [136686] = true,    -- Kim Young Kwang
    [138412] = true,    -- James Milner
    [138449] = true,    -- Kaka
    [138949] = true,    -- Antolin Alcaraz
    [138956] = true,    -- Giorgio Chiellini
    [139068] = true,    -- Nani
    [139720] = true,    -- Vincent Kompany
    [140233] = true,    -- Guillermo Ochoa
    [140293] = true,    -- Antonio Mirante
    [140601] = true,    -- Nemanja Vidic
    [142707] = true,    -- Lisandro Lopez
    [142754] = true,    -- Javier Mascherano
    [143001] = true,    -- Carlos Alberto Tevez
    [143076] = true,    -- Alejandro Gomez
    [146296] = true,    -- Andres Fernandez
    [146439] = true,    -- Alvaro Negredo
    [146536] = true,    -- Jesus Navas
    [146562] = true,    -- Santi Cazorla
    [146748] = true,    -- Diego Lopez
    [146777] = true,    -- Michel Sanchez
    [146947] = true,    -- Mikel Vesga
    [146952] = true,    -- Ivan Cuellar
    [150418] = true,    -- Mario Gomez
    [150516] = true,    -- Lukas Podolski
    [150525] = true,    -- Paolo Guerrero
    [150527] = true,    -- Ralph Hasenhuttl
    [150724] = true,    -- Joe Hart
    [151508] = true,    -- Steven Davis
    [152554] = true,    -- Gael Clichy
    [152908] = true,    -- Ashley Young
    [152996] = true,    -- Per Ciljan Skjelbred
    [155355] = true,    -- Lee Chung Yong
    [155862] = true,    -- Sergio Ramos Garcia
    [155887] = true,    -- Michael Bradley
    [155897] = true,    -- Clint Dempsey
    [156320] = true,    -- Graham Potter
    [156353] = true,    -- Luis Hernandez
    [156519] = true,    -- Hector Herrera
    [156616] = true,    -- Franck Ribery
    [157481] = true,    -- Raul Albiol Tortajada
    [157665] = true,    -- Scott Dann
    [157804] = true,    -- Scott Carson
    [158023] = true,    -- Lionel Messi
    [158625] = true,    -- Dante
    [158810] = true,    -- Gokhan Inler
    [159145] = true,    -- Bafetimbi Gomis
    [159261] = true,    -- Fabio Quagliarella
    [160766] = true,    -- Jeremy Menez
    [161840] = true,    -- Fernando Hierro
    [162347] = true,    -- Joao Moutinho
    [162835] = true,    -- Samir Handanovic
    [162895] = true,    -- Fabregas Francesc
    [162993] = true,    -- James Perch
    [163050] = true,    -- Billy Sharp
    [163155] = true,    -- Ben Foster
    [163264] = true,    -- Tom Heaton
    [163587] = true,    -- Kasper Schmeichel
    [163600] = true,    -- John Ruddy
    [163705] = true,    -- Steve Mandanda
    [163761] = true,    -- Curtis Davies
    [164240] = true,    -- Thiago Emiliano Da Silva
    [164505] = true,    -- Brad Guzan
    [164769] = true,    -- Steven Fletcher
    [164835] = true,    -- Lukasz Fabianski
    [164859] = true,    -- Theo Walcott
    [165153] = true,    -- Karim Benzema
    [165191] = true,    -- Cameron Jerome
    [165517] = true,    -- Fernando Gago
    [165889] = true,    -- Park Ju Young
    [166074] = true,    -- Tiago Correia
    [166124] = true,    -- Gheorghe Hagi
    [166149] = true,    -- Hugo Sanchez
    [166676] = true,    -- Rudi Voller
    [166691] = true,    -- Zico
    [166847] = true,    -- Chris Mccann
    [166906] = true,    -- Franco Baresi
    [167134] = true,    -- Jean Papin
    [167135] = true,    -- Carlos Alberto
    [167198] = true,    -- Eric Cantona
    [167397] = true,    -- Falcao Garcia
    [167425] = true,    -- Abedi Pele
    [167495] = true,    -- Manuel Neuer
    [167665] = true,    -- Nicolas Domingo
    [167680] = true,    -- Ronald Koeman
    [167948] = true,    -- Hugo Lloris
    [168435] = true,    -- Salvatore Sirigu
    [168542] = true,    -- David Silva
    [168651] = true,    -- Ivan Rakitic
    [168886] = true,    -- Sami Aljaber
    [169078] = true,    -- Luke Freeman
    [169214] = true,    -- Scott Sinclair
    [169216] = true,    -- Shane Long
    [169416] = true,    -- Carlos Vela
    [169588] = true,    -- Jonny Evans
    [169697] = true,    -- Darren Randolph
    [169705] = true,    -- Ryan Bertrand
    [169706] = true,    -- Jack Cork
    [169708] = true,    -- Sam Hutchinson
    [169710] = true,    -- Liam Bridcutt
    [169792] = true,    -- Jay Rodriguez
    [170008] = true,    -- Ben Hamer
    [170084] = true,    -- Wayne Hennessy
    [170368] = true,    -- Erik Lamela
    [170597] = true,    -- Tim Krul
    [170797] = true,    -- Nuri Sahin
    [170815] = true,    -- Steven Defour
    [171018] = true,    -- Mario Suarez
    [171579] = true,    -- Raul Garcia
    [171791] = true,    -- Jose Fonte
    [171897] = true,    -- Jose Andres Guardado
    [172143] = true,    -- Lasse Schone
    [172203] = true,    -- Fraser Forster
    [172287] = true,    -- Manuel Garcia
    [172522] = true,    -- Daniel Wass
    [172553] = true,    -- Jonas Lossl
    [172720] = true,    -- Jagoba Arrasate Elustondo
    [172723] = true,    -- Asmir Begovic
    [172862] = true,    -- Niklas Moisander
    [172871] = true,    -- Jan Vertonghen
    [172879] = true,    -- Sokratis Papastathopoulos
    [172953] = true,    -- Adrian Mariappa
    [173030] = true,    -- Oscar Trejo
    [173210] = true,    -- Claudio Marchisio
    [173373] = true,    -- Sergio Romero
    [173426] = true,    -- Simon Mignolet
    [173521] = true,    -- Ivan Marcano
    [173530] = true,    -- Sone Aluko
    [173533] = true,    -- David Button
    [173546] = true,    -- James Tomkins
    [173608] = true,    -- Joselu
    [173673] = true,    -- Stephen Quinn
    [173859] = true,    -- Sam Baldock
    [173909] = true,    -- Kevin Prince Boateng
    [174543] = true,    -- Claudio Bravo
    [175314] = true,    -- Kevin Mcdonald
    [175895] = true,    -- Vadis Odjidja Ofoe
    [175943] = true,    -- Dries Mertens
    [176048] = true,    -- Kei Kamara
    [176237] = true,    -- Jozy Altidore
    [176348] = true,    -- Yeom Ki Hun
    [176550] = true,    -- David Ospina
    [176571] = true,    -- Andre Ayew
    [176580] = true,    -- Luis Suarez
    [176600] = true,    -- Kevin Gameiro
    [176733] = true,    -- Marcus Berg
    [176841] = true,    -- Lukas Jutkiewicz
    [176930] = true,    -- Marcelo Diaz
    [176944] = true,    -- Marouane Fellanini
    [177003] = true,    -- Luka Modric
    [177358] = true,    -- Morgan Schneiderlin
    [177388] = true,    -- Dimitri Payet
    [177413] = true,    -- Axel Witsel
    [177448] = true,    -- Gustav Svensson
    [177569] = true,    -- Jonathan De Guzman
    [177644] = true,    -- Kiko Casilla
    [177683] = true,    -- Yann Sommer
    [177765] = true,    -- Papiss Cisse
    [177922] = true,    -- Kamil Grosicki
    [178005] = true,    -- Rui Patricio
    [178086] = true,    -- Adan Garrido
    [178091] = true,    -- Stefano Okaka
    [178213] = true,    -- Etienne Capoue
    [178224] = true,    -- Javier Hernandez
    [178287] = true,    -- Scott Arfield
    [178509] = true,    -- Olivier Giroud
    [178518] = true,    -- Radja Nainggolan
    [178562] = true,    -- Ever Banega
    [178566] = true,    -- Javier Garcia
    [178567] = true,    -- Erik Pieters
    [178603] = true,    -- Mat Hummels
    [178609] = true,    -- Marco Silva
    [178625] = true,    -- Pedro Mosquera
    [179516] = true,    -- Rouwen Hennings
    [179527] = true,    -- Loic Remy
    [179547] = true,    -- Vito Mannone
    [179551] = true,    -- Ola Kamara
    [179645] = true,    -- Simon Kjaer
    [179746] = true,    -- Sam Vokes
    [179783] = true,    -- Ralf Fahrmann
    [179813] = true,    -- Edinson Cavani
    [179844] = true,    -- Diego Costa
    [179847] = true,    -- Federico Fazio
    [180216] = true,    -- Seamus Coleman
    [180283] = true,    -- Ki Sung Yueng
    [180334] = true,    -- Marcelo Guedes
    [180403] = true,    -- Willian
    [180706] = true,    -- Craig Cathcart
    [180739] = true,    -- Eiji Kawashima
    [180818] = true,    -- David Mc Goldrick
    [180819] = true,    -- Adam Lallana
    [180930] = true,    -- Edin Dzeko
    [181098] = true,    -- Makoto Hasebe
    [181291] = true,    -- Georginio Wijnaldum
    [181318] = true,    -- Albin Ekdal
    [181458] = true,    -- Ivan Perisic
    [181820] = true,    -- Stevan Jovetic
    [182152] = true,    -- Koo Ja Chul
    [182493] = true,    -- Diego Godin
    [182521] = true,    -- Toni Kroos
    [182761] = true,    -- Adam Legzdins
    [182836] = true,    -- Andy Carroll
    [182882] = true,    -- Carlos Sanchez
    [182945] = true,    -- Max Gradel
    [183108] = true,    -- Nordin Amrabat
    [183125] = true,    -- Troy Deeney
    [183129] = true,    -- Ciaran Clark
    [183130] = true,    -- Marc Albrighton
    [183141] = true,    -- Oier Olazabal
    [183256] = true,    -- Henri Saivet
    [183277] = true,    -- Eden Hazard
    [183280] = true,    -- Adil Rami
    [183285] = true,    -- Mamadou Sakho
    [183339] = true,    -- Jo Inge Berget
    [183394] = true,    -- Moussa Sissoko
    [183422] = true,    -- Jonny Howson
    [183465] = true,    -- Jack Rodwell
    [183491] = true,    -- Mathias Jorgensen
    [183512] = true,    -- Yuri Berchiche
    [183518] = true,    -- Rui Fonte
    [183540] = true,    -- Barry Bannan
    [183546] = true,    -- Jonathan Hogg
    [183549] = true,    -- Elliot Parish
    [183569] = true,    -- Eric Choupo Moting
    [183574] = true,    -- Max Kruse
    [183617] = true,    -- Slaven Bilic
    [183632] = true,    -- Robert Tesche
    [183711] = true,    -- Jordan Henderson
    [183714] = true,    -- Simon Terodde
    [183774] = true,    -- Ryan Bennett
    [183795] = true,    -- Georg Margreitter
    [183855] = true,    -- Angelo Ogbonna
    [183895] = true,    -- Maxi Moralez
    [183898] = true,    -- Angel Di Maria
    [183899] = true,    -- Pablo Piatti
    [183907] = true,    -- Jerome Boateng
    [183966] = true,    -- Facundo Roncaglia
    [184037] = true,    -- Martin Kelly
    [184087] = true,    -- Toby Alderweireld
    [184111] = true,    -- Christian Benteke
    [184134] = true,    -- Fernando Francisco Reges
    [184144] = true,    -- Nicolas Gaitan
    [184176] = true,    -- Gianni Bruno
    [184200] = true,    -- Marko Arnautovic
    [184274] = true,    -- Chris Basham
    [184344] = true,    -- Leonardo Bonucci
    [184392] = true,    -- Matteo Darmian
    [184432] = true,    -- Cesar Azpilicueta
    [184436] = true,    -- Alex Smithies
    [184469] = true,    -- Harry Arter
    [184472] = true,    -- Martin Olsson
    [184484] = true,    -- Gylfi Sigurdsson
    [184501] = true,    -- Michael Lang
    [184575] = true,    -- Romain Alessandrini
    [184624] = true,    -- Jordan Rhodes
    [184630] = true,    -- Luke Daniels
    [184716] = true,    -- Joe Allen
    [184749] = true,    -- Dan Gosling
    [184826] = true,    -- Adrien Silva
    [184881] = true,    -- Sofiane Feghouli
    [184941] = true,    -- Alexis Sanchez
    [184943] = true,    -- Ramires
    [185020] = true,    -- Jose Callejon
    [185068] = true,    -- Johnny Russell
    [185122] = true,    -- Peter Gulacsi
    [185181] = true,    -- Yoel Rodriguez
    [185195] = true,    -- Odion Ighalo
    [185221] = true,    -- Luiz Gustavo Dias
    [185239] = true,    -- Omer Toprak
    [185349] = true,    -- Denis Odoi
    [185422] = true,    -- Joshua King
    [185427] = true,    -- Orjan Nyland
    [186116] = true,    -- Henri Lansbury
    [186117] = true,    -- Jordon Mutch
    [186130] = true,    -- James Chester
    [186139] = true,    -- Matty James
    [186143] = true,    -- Oliver Norwood
    [186146] = true,    -- Danny Welbeck
    [186148] = true,    -- Ron Robert Zieler
    [186153] = true,    -- Wojciech Szczesny
    [186156] = true,    -- Luke Ayling
    [186158] = true,    -- Kyle Bartley
    [186190] = true,    -- Patrick Van Aanholt
    [186197] = true,    -- Gael Kakuta
    [186200] = true,    -- Fabio Borini
    [186345] = true,    -- Kieran Trippier
    [186351] = true,    -- Leroy Fer
    [186392] = true,    -- Joel Ward
    [186395] = true,    -- Matt Ritchie
    [186521] = true,    -- Bernardo Espinosa
    [186537] = true,    -- Christian Stuani
    [186561] = true,    -- Aaron Ramsey
    [186569] = true,    -- Sven Ulreich
    [186578] = true,    -- Andy King
    [186595] = true,    -- Elliott Bennett
    [186598] = true,    -- Kyle Naughton
    [186627] = true,    -- Balotelli
    [186674] = true,    -- Roger Espinoza
    [186680] = true,    -- Raul Fernandez
    [186684] = true,    -- Kiko Olivas
    [186695] = true,    -- Ezequiel Munoz
    [186783] = true,    -- Albert Adomah
    [186801] = true,    -- Cheikhou Kouyate
    [186805] = true,    -- Jefferson Montero
    [186905] = true,    -- Ashley Barnes
    [186942] = true,    -- Ilkay Gundogan
    [187033] = true,    -- Sean Morrison
    [187043] = true,    -- Stefan Johansen
    [187072] = true,    -- Lars Stindl
    [187132] = true,    -- Carlos Zambrano
    [187924] = true,    -- Clement Grenier
    [187936] = true,    -- Steven Nzonzi
    [188107] = true,    -- Adama Valentin Diomande
    [188135] = true,    -- Juan Francisco Moreno Fuertes
    [188152] = true,    -- Oscar
    [188154] = true,    -- Lewis Holtby
    [188166] = true,    -- Matt Phillips
    [188168] = true,    -- George Friend
    [188182] = true,    -- Leon Balogun
    [188253] = true,    -- James Mccarthy
    [188271] = true,    -- Floyd Ayite
    [188335] = true,    -- Ante Budimir
    [188337] = true,    -- Mubarak Wakaso
    [188350] = true,    -- Marco Reus
    [188377] = true,    -- Kyle Walker
    [188388] = true,    -- Ryad Boudebouz
    [188400] = true,    -- Thomas Kaminski
    [188484] = true,    -- Abel Hernandez
    [188540] = true,    -- Rajiv Van La Parra
    [188545] = true,    -- Robert Lewandowski
    [188567] = true,    -- Pierre Emerick Aubameyang
    [188770] = true,    -- Admir Mehmedi
    [188791] = true,    -- Alberto Costa
    [188829] = true,    -- Nicolas Nkoulou
    [188836] = true,    -- Jason Steele
    [188879] = true,    -- Alfred Ndiaye
    [188942] = true,    -- Victor Wanyama
    [188943] = true,    -- Kevin Trapp
    [188955] = true,    -- Gustavo Bou
    [188988] = true,    -- Manuel Lanzini
    [189043] = true,    -- Daniel Brosinski
    [189059] = true,    -- Jake Livermore
    [189061] = true,    -- Sascha Burchert
    [189084] = true,    -- Eloy Room
    [189117] = true,    -- Roman Burki
    [189157] = true,    -- Yannick Bolasie
    [189165] = true,    -- Jonjo Shelvey
    [189167] = true,    -- Aron Gunnarsson
    [189177] = true,    -- John Fleck
    [189242] = true,    -- Philippe Coutinho
    [189250] = true,    -- Salomon Rondon
    [189251] = true,    -- Sebastian Rudy
    [189271] = true,    -- Francis Coquelin
    [189280] = true,    -- Ashley Westwood
    [189303] = true,    -- Nelson Oliveira
    [189324] = true,    -- Alex Mccarthy
    [189332] = true,    -- Jordi Alba Ramos
    [189388] = true,    -- Dennis Diekmeier
    [189390] = true,    -- Bastian Oczipka
    [189410] = true,    -- Danny Latza
    [189446] = true,    -- Junior Stanislas
    [189456] = true,    -- Liam Cooper
    [189462] = true,    -- Junior Hoilett
    [189505] = true,    -- Pedro
    [189509] = true,    -- Thiago Alcantara
    [189511] = true,    -- Sergio Busquets
    [189513] = true,    -- Daniel Parejo Munoz
    [189514] = true,    -- Harrison Afful
    [189575] = true,    -- Iker Muniain Goni
    [189596] = true,    -- Thomas Muller
    [189615] = true,    -- Aaron Cresswell
    [189682] = true,    -- Ben Mee
    [189690] = true,    -- Vicente Guaita Panadero
    [189709] = true,    -- Pedro Alcala
    [189712] = true,    -- Kevin Strootman
    [189805] = true,    -- Luuk De Jong
    [189860] = true,    -- Francisco Femenia
    [189881] = true,    -- Chris Smalling
    [189908] = true,    -- Lukasz Skorupski
    [189944] = true,    -- Lamine Gassama
    [190034] = true,    -- Thimothee Kolodzieczak
    [190044] = true,    -- Bobby Moore
    [190045] = true,    -- Johan Cruyff
    [190046] = true,    -- Socrates
    [190048] = true,    -- Gerd Muller
    [190049] = true,    -- Eusebio
    [190053] = true,    -- Peter Schmeichel
    [190059] = true,    -- Steven Zuber
    [190149] = true,    -- Oscar De Marcos
    [190156] = true,    -- Ruben Perez
    [190243] = true,    -- Marwin Hitz
    [190324] = true,    -- Christian Kabasele
    [190362] = true,    -- Teemu Pukki
    [190430] = true,    -- Joe Bennett
    [190456] = true,    -- Nathaniel Clyne
    [190460] = true,    -- Christian Eriksen
    [190507] = true,    -- Xabier Etxeita
    [190520] = true,    -- Tony Jantschke
    [190531] = true,    -- Eliaquim Mangala
    [190547] = true,    -- Kamil Glik
    [190549] = true,    -- Markus Henriksen
    [190557] = true,    -- Graham Zusi
    [190560] = true,    -- Omar Gonzalez
    [190569] = true,    -- Stefan Frei
    [190584] = true,    -- Asier Illarramendiandonegui
    [190666] = true,    -- Manuel Gulde
    [190717] = true,    -- Michail Antonio
    [190738] = true,    -- Havard Nielsen
    [190745] = true,    -- Marco Silvestri
    [190765] = true,    -- Pascal Grob
    [190780] = true,    -- Sean Johnson
    [190813] = true,    -- Stephan Shaarway
    [190815] = true,    -- Daley Blind
    [190824] = true,    -- Omar Elabdellaoui
    [190852] = true,    -- Callum Mcmanaman
    [190871] = true,    -- Neymar
    [190885] = true,    -- Adam Smith
    [190919] = true,    -- Fredy Montero
    [190941] = true,    -- Lukas Hradecky
    [191032] = true,    -- Gokhan Tore
    [191043] = true,    -- Alex Sandro Lobo Silva
    [191053] = true,    -- Tomas Rincon
    [191076] = true,    -- Johann Berg Gudmondsson
    [191173] = true,    -- Alejandro Bedoya
    [191180] = true,    -- Javier Pastore
    [191189] = true,    -- Lothar Matthaus
    [191202] = true,    -- Nemanja Matic
    [191210] = true,    -- Sebastien Corchia
    [191269] = true,    -- Salman Al Faraj
    [191488] = true,    -- Lucas Orban
    [191628] = true,    -- Leandro Chichizola
    [191648] = true,    -- Mayo Yoshida
    [191655] = true,    -- Kim Seung Gyu
    [191694] = true,    -- Jorge Campos
    [191695] = true,    -- Emilio Butragueno
    [191740] = true,    -- Ander Herrera
    [191972] = true,    -- David Ginola
    [191980] = true,    -- Yun Suk Young
    [192119] = true,    -- Thibaut Courtois
    [192123] = true,    -- Chris Wood
    [192129] = true,    -- Kristoffer Nordfeldt
    [192181] = true,    -- Van Basten
    [192227] = true,    -- Shkodran Mustafi
    [192317] = true,    -- Jed Steer
    [192318] = true,    -- Mario Gotze
    [192319] = true,    -- Luke Garbutt
    [192366] = true,    -- Nicolas Otamendi
    [192387] = true,    -- Ciro Immobile
    [192445] = true,    -- Daniel Ginczek
    [192448] = true,    -- Marc Stegen
    [192476] = true,    -- Andreu Fontas
    [192505] = true,    -- Romelu Lukaku
    [192546] = true,    -- Enda Stevens
    [192557] = true,    -- Marvin Plattenhardt
    [192563] = true,    -- Bernd Leno
    [192565] = true,    -- Yunus Malli
    [192567] = true,    -- Matthias Zimmermann
    [192622] = true,    -- Shane Duffy
    [192629] = true,    -- Iago Aspas
    [192638] = true,    -- Marcos Alonso
    [192641] = true,    -- Kevin Vogt
    [192658] = true,    -- Sebastian Jung
    [192660] = true,    -- Sebastian Polter
    [192667] = true,    -- Allan Romeo Nyom
    [192678] = true,    -- Enrique Garcia Martinez
    [192679] = true,    -- Sergio Escudero
    [192715] = true,    -- Juan Pe Lopez
    [192732] = true,    -- Edgar Prib
    [192766] = true,    -- Marc Muniesa
    [192789] = true,    -- Mario Perez
    [192816] = true,    -- Leandro Cabrera
    [192883] = true,    -- Henrikh Mkhitaryan
    [192945] = true,    -- Javier Aguirre
    [192955] = true,    -- Mateusz Klich
    [192984] = true,    -- Koen Casteels
    [192985] = true,    -- Kevin De Bruyne
    [192991] = true,    -- Cenk Tosun
    [193011] = true,    -- Steve Cook
    [193041] = true,    -- Keylor Navas
    [193061] = true,    -- Roberto Pereyra
    [193080] = true,    -- David De Gea
    [193082] = true,    -- Juan Cuadrado
    [193105] = true,    -- Alphonse Areola
    [193116] = true,    -- Maxime Gonalons
    [193141] = true,    -- Ivan Pillud
    [193158] = true,    -- Davy Propper
    [193165] = true,    -- Jesus Corona
    [193171] = true,    -- Jaume Costa
    [193185] = true,    -- Scott Malone
    [193186] = true,    -- Neil Etheridge
    [193198] = true,    -- Nemanja Gudelj
    [193278] = true,    -- Chris Mavinga
    [193283] = true,    -- Thomas Delaney
    [193290] = true,    -- Martin Braithwaite
    [193301] = true,    -- Alexandre Lacazette
    [193331] = true,    -- Karl Darlow
    [193338] = true,    -- Mattia Destro
    [193348] = true,    -- Xherdan Shaqiri
    [193352] = true,    -- Ricardo Rodriguez
    [193361] = true,    -- Roberto Soriano
    [193425] = true,    -- Hanno Behrens
    [193440] = true,    -- Nick Viergever
    [193469] = true,    -- Victor Ruiz Torre
    [193474] = true,    -- Idrissa Gueye
    [193475] = true,    -- Pape Souare
    [193476] = true,    -- Remy Cabella
    [193504] = true,    -- Steven Caulker
    [193561] = true,    -- Kelvin Leerdam
    [193584] = true,    -- Guido Burgstaller
    [193601] = true,    -- German Pezzella
    [193698] = true,    -- Oliver Baumann
    [193713] = true,    -- Alexander Ndoumbou
    [193747] = true,    -- Koke Resurreccion
    [193794] = true,    -- Asier Villalibre
    [193849] = true,    -- Conor Hourihane
    [193881] = true,    -- Filip Duricic
    [193887] = true,    -- Hernan Perez
    [193910] = true,    -- Adam Forshaw
    [193942] = true,    -- Jack Colback
    [194017] = true,    -- Andreas Weimann
    [194022] = true,    -- Andre Almeida
    [194138] = true,    -- Andre Gray
    [194146] = true,    -- Kevin Long
    [194149] = true,    -- Fredrik Ulvestad
    [194150] = true,    -- Simon Moore
    [194163] = true,    -- Jukka Raitala
    [194201] = true,    -- Pontus Jansson
    [194229] = true,    -- Hugo Mallo
    [194319] = true,    -- Danny Ward
    [194333] = true,    -- Rafal Gikiewicz
    [194334] = true,    -- Daniel Sanchez Ayala
    [194365] = true,    -- Okazaki
    [194404] = true,    -- Norberto Neto
    [194665] = true,    -- Stefan Ilsanker
    [194761] = true,    -- Borja Garcia
    [194765] = true,    -- Antoine Griezmann
    [194794] = true,    -- Andriy Yarmolenko
    [194806] = true,    -- Craig Dawson
    [194845] = true,    -- Wahbi Khazri
    [194879] = true,    -- Sergi Enrich
    [194911] = true,    -- Adrian
    [194932] = true,    -- Andros Townsend
    [194957] = true,    -- Phil Jones
    [194964] = true,    -- Nathaniel Mendezlaing
    [194996] = true,    -- Borja Baston
    [195033] = true,    -- Mathew Leckie
    [195037] = true,    -- Danny Batth
    [195038] = true,    -- Florian Kainz
    [195086] = true,    -- Dejan Lovren
    [195093] = true,    -- Willian Jose
    [195202] = true,    -- Tom Cairney
    [195272] = true,    -- Marco Davide Faraoni
    [195361] = true,    -- Javi Lopez
    [195363] = true,    -- Jeffrey Bruma
    [195365] = true,    -- Kevin Kampl
    [195479] = true,    -- James Tavernier
    [195586] = true,    -- Alfred Finnbogason
    [195671] = true,    -- Charlie Austin
    [195859] = true,    -- Danny Ings
    [195864] = true,    -- Paul Pogba
    [196318] = true,    -- Serdar Gurler
    [196978] = true,    -- Callum Wilson
    [197031] = true,    -- Marvin Ducksch
    [197061] = true,    -- Joel Matip
    [197083] = true,    -- Daniel Caligiuri
    [197170] = true,    -- Kadeem Harris
    [197225] = true,    -- Nicolas Lodeiro
    [197234] = true,    -- Carlos Queiroz
    [197445] = true,    -- David Alaba
    [197655] = true,    -- Sebastian Coates
    [197681] = true,    -- Gianelli Imbula
    [197716] = true,    -- Teal Bunbury
    [197756] = true,    -- Jordan Ayew
    [197774] = true,    -- Conor Mcaleny
    [197781] = true,    -- Francisco Roman Alarcon Suarez
    [197837] = true,    -- Dedryck Boyata
    [197853] = true,    -- Serge Aurier
    [197891] = true,    -- Juan Miguel Jimenez Lopez
    [197948] = true,    -- Florian Lejeune
    [197965] = true,    -- Pizzi Fernandes
    [198009] = true,    -- Mattia Perin
    [198031] = true,    -- Sergio Oliveira
    [198032] = true,    -- Dan Burn
    [198077] = true,    -- Patrick Herrmann
    [198113] = true,    -- Marco Hoger
    [198118] = true,    -- Josuha Guilavogui
    [198141] = true,    -- Marc Bartra Aregall
    [198164] = true,    -- Jonathan Viera
    [198176] = true,    -- Stefan De Vrij
    [198190] = true,    -- Greg Cunningham
    [198200] = true,    -- Benjamin Stambouli
    [198219] = true,    -- Lorenzo Insigne
    [198261] = true,    -- Tim Ream
    [198288] = true,    -- Steven Beitashour
    [198329] = true,    -- Rodrigo Moreno
    [198331] = true,    -- Matej Vydra
    [198335] = true,    -- Bryan Oviedo
    [198352] = true,    -- Stefan Bell
    [198368] = true,    -- Tomas Pina
    [198489] = true,    -- James Mcclean
    [198614] = true,    -- Raul Navas
    [198617] = true,    -- Dominick Drexler
    [198641] = true,    -- Kenneth Zohore
    [198683] = true,    -- Manolo Gabbiadini
    [198706] = true,    -- Luis Alberto
    [198715] = true,    -- Sergio Leon
    [198717] = true,    -- Wilfried Zaha
    [198719] = true,    -- Nathan Redmond
    [198784] = true,    -- Alex Oxlade Chamberlain
    [198817] = true,    -- Romain Amalfitano
    [198861] = true,    -- Nampalys Mendy
    [198904] = true,    -- Grant Hanley
    [198946] = true,    -- Danilo D Ambrosio
    [198950] = true,    -- Pablo Sarabia
    [198951] = true,    -- Cedric Bakambu
    [198970] = true,    -- Jonathan Mensah
    [199005] = true,    -- Mathew Ryan
    [199069] = true,    -- Vincent Aboubakar
    [199101] = true,    -- Raul Lizoain
    [199110] = true,    -- Luis Muriel
    [199131] = true,    -- Anton Tinnerholm
    [199189] = true,    -- Ross Barkley
    [199247] = true,    -- Alejandro Fernandez
    [199266] = true,    -- Ji Dong Won
    [199282] = true,    -- Amir Abrashi
    [199288] = true,    -- Anthony Losilla
    [199304] = true,    -- Danilo Da Silva
    [199339] = true,    -- Manuel Riemann
    [199353] = true,    -- Marc Rzatkowski
    [199413] = true,    -- Tobias Kempe
    [199422] = true,    -- Jordy Clasie
    [199434] = true,    -- Dusan Tadic
    [199439] = true,    -- Michael Gregoritsch
    [199451] = true,    -- Wissam Ben Yedder
    [199482] = true,    -- Anthony Lopes
    [199503] = true,    -- Granit Xhaka
    [199550] = true,    -- Bruno Martins Indi
    [199556] = true,    -- Marco Verratti
    [199562] = true,    -- Ilie Sanchez
    [199564] = true,    -- Sergio Roberto Carnicer
    [199575] = true,    -- Jordi Masip
    [199576] = true,    -- Oriol Romeu
    [199577] = true,    -- Sergi Gomez
    [199580] = true,    -- Connor Goldson
    [199602] = true,    -- John Guidetti
    [199633] = true,    -- Matthew Lowton
    [199652] = true,    -- Dennis Praet
    [199667] = true,    -- Ramiro Funes Mori
    [199669] = true,    -- Leandro Gonzalez Perez
    [199715] = true,    -- Victor Mechin Perez
    [199761] = true,    -- Marcin Kaminski
    [199767] = true,    -- Marco Van Ginkel
    [199779] = true,    -- Andre Hoffmann
    [199812] = true,    -- Ryan Allsop
    [199823] = true,    -- Jose Campana
    [199829] = true,    -- David Timor
    [199833] = true,    -- Lars Unnerstall
    [199897] = true,    -- Nicolas Hofler
    [199915] = true,    -- Lewis Dunk
    [199986] = true,    -- Anaitz Arbilla
    [200054] = true,    -- Pedro Obiang
    [200104] = true,    -- Heung Son
    [200145] = true,    -- Casemiro
    [200159] = true,    -- Stefan Ortegamoreno
    [200212] = true,    -- Michael Esser
    [200215] = true,    -- Sebastian Rode
    [200260] = true,    -- Steven Berghuis
    [200315] = true,    -- Christian Tello
    [200316] = true,    -- Timo Horn
    [200318] = true,    -- Mark Uth
    [200332] = true,    -- Tomas Koubek
    [200389] = true,    -- Jan Oblak
    [200408] = true,    -- Ben Gibson
    [200429] = true,    -- Benito Raman
    [200458] = true,    -- Lucas Digne
    [200463] = true,    -- Tim Melia
    [200478] = true,    -- Jeff Hendrick
    [200519] = true,    -- Jorge Pulido
    [200521] = true,    -- Thomas Ince
    [200529] = true,    -- Nacer Chadli
    [200536] = true,    -- Nico Schulz
    [200601] = true,    -- Yoon Bit Ga Ram
    [200607] = true,    -- Christopher Schindler
    [200610] = true,    -- Kevin Volland
    [200641] = true,    -- Yevhen Konoplyanka
    [200724] = true,    -- Jose Ignacio Fernandez Iglesias
    [200726] = true,    -- Benjamin Lecomte
    [200741] = true,    -- Tyias Browning
    [200746] = true,    -- John Lundstram
    [200752] = true,    -- Juan Guilherme Nunes Jesus
    [200758] = true,    -- Liam Moore
    [200759] = true,    -- Jeff Schlupp
    [200765] = true,    -- Muhamed Besic
    [200778] = true,    -- Cyrus Christie
    [200807] = true,    -- Kieron Freeman
    [200841] = true,    -- Carl Jenkinson
    [200855] = true,    -- George Baldock
    [200888] = true,    -- Danilo Pereira
    [200954] = true,    -- Denis Thomalla
    [201024] = true,    -- Kalidou Koulibaly
    [201093] = true,    -- Nick Powell
    [201095] = true,    -- Agustin Marchesin
    [201118] = true,    -- Cedric Soares
    [201143] = true,    -- Aissa Mandi
    [201153] = true,    -- Morata
    [201155] = true,    -- Ravel Morrison
    [201290] = true,    -- Robert Zulj
    [201305] = true,    -- Gabriel Armando De Abreu
    [201368] = true,    -- Kenny Mc Lean
    [201389] = true,    -- Cristiano Biraghi
    [201399] = true,    -- Mauro Icardi
    [201403] = true,    -- Alvaro Vazquez
    [201417] = true,    -- Matt Doherty
    [201447] = true,    -- Sebastian Lletget
    [201455] = true,    -- Geoffrey Kondogbia
    [201491] = true,    -- Daniel Lafferty
    [201505] = true,    -- David Lopez
    [201508] = true,    -- Gaston Ramirez
    [201509] = true,    -- Juan Carlos
    [201510] = true,    -- Layvin Kurzawa
    [201514] = true,    -- Elias Kachunga
    [201519] = true,    -- Jordan Vertout
    [201535] = true,    -- Raphael Varane
    [201818] = true,    -- Ahmed Musa
    [201858] = true,    -- Nicola Sansone
    [201860] = true,    -- Ermin Bicakcic
    [201862] = true,    -- Marcos Rojo
    [201869] = true,    -- Russel Teibert
    [201873] = true,    -- Joe Bendik
    [201884] = true,    -- Robbie Brady
    [201887] = true,    -- Daniel Johnson
    [201895] = true,    -- Diego Fagundez
    [201911] = true,    -- Will Keane
    [201942] = true,    -- Roberto Firmino
    [201953] = true,    -- Juan Sanchez Mino
    [201955] = true,    -- Massadio Haidara
    [201982] = true,    -- Jonathan Schmid
    [201988] = true,    -- Federico Fernandez
    [201995] = true,    -- Felipe Anderson
    [202017] = true,    -- Onel Hernandez
    [202048] = true,    -- Conor Coady
    [202073] = true,    -- Eriq Zavaleta
    [202077] = true,    -- Will Bruin
    [202078] = true,    -- Darlington Nagbe
    [202088] = true,    -- Felix Klaus
    [202107] = true,    -- Alfredo Morales
    [202126] = true,    -- Harry Kane
    [202135] = true,    -- Stefano Sturaro
    [202151] = true,    -- Konstantinos Stafylidis
    [202166] = true,    -- Julian Draxler
    [202170] = true,    -- Michael Boxall
    [202201] = true,    -- Jeffrey Gouweleeuw
    [202223] = true,    -- Justin Meram
    [202231] = true,    -- Hector Jimenez
    [202282] = true,    -- Stuart Armstrong
    [202316] = true,    -- Timmy Chandler
    [202325] = true,    -- Diego Demme
    [202335] = true,    -- Eric Dier
    [202371] = true,    -- Thomas Meunier
    [202428] = true,    -- Bobby Wood
    [202429] = true,    -- Danny Dacosta
    [202445] = true,    -- Rodrigo Ely
    [202464] = true,    -- Jordan Clark
    [202465] = true,    -- Richie Towell
    [202477] = true,    -- Gerard Deulofeu
    [202491] = true,    -- Tom Carroll
    [202515] = true,    -- Jese Rodriguez
    [202556] = true,    -- Memphis Depay
    [202562] = true,    -- Jerome Roussillon
    [202648] = true,    -- Sergi Darder
    [202651] = true,    -- Jesus Fernandez
    [202652] = true,    -- Raheem Sterling
    [202685] = true,    -- Simone Zaza
    [202686] = true,    -- Nahki Wells
    [202695] = true,    -- James Tarkowski
    [202697] = true,    -- Jack Stephens
    [202750] = true,    -- Willy Boly
    [202789] = true,    -- Alexander Schwolow
    [202811] = true,    -- Emiliano Martinez
    [202849] = true,    -- Jannik Vestergaard
    [202851] = true,    -- Gregoire Defrel
    [202855] = true,    -- Long Tan
    [202857] = true,    -- Karim Bellarabi
    [202873] = true,    -- Kevin Muller
    [202884] = true,    -- Leonardo Spinazzola
    [202886] = true,    -- Benji Siegrist
    [203002] = true,    -- Kee Hee Kim
    [203030] = true,    -- Robin Knoche
    [203042] = true,    -- Jack Butland
    [203067] = true,    -- Diego Chara
    [203106] = true,    -- Leo Bittencourt
    [203263] = true,    -- Harry Maguire
    [203265] = true,    -- Tyler Blackett
    [203280] = true,    -- Valere Germain
    [203299] = true,    -- Andre Carrillo
    [203331] = true,    -- Lloyd Isgrove
    [203357] = true,    -- Dan Potts
    [203362] = true,    -- Mohamed Elyounoussi
    [203376] = true,    -- Virgil Van Dijk
    [203483] = true,    -- Davy Klaassen
    [203485] = true,    -- Terence Kongolo
    [203486] = true,    -- Thorgan Hazard
    [203487] = true,    -- Jamaal Lascelles
    [203502] = true,    -- Bobby Reid
    [203505] = true,    -- Joe Bryan
    [203551] = true,    -- Alessandro Florenzi
    [203570] = true,    -- Stuart Dallas
    [203574] = true,    -- John Stones
    [203581] = true,    -- Ivan Balliu
    [203590] = true,    -- Florian Hubner
    [203605] = true,    -- Pavel Kaderabek
    [203725] = true,    -- Virgil Misidjan
    [203747] = true,    -- Hector Bellerin
    [203757] = true,    -- Ze Luis
    [203775] = true,    -- Loris Karius
    [203783] = true,    -- Tommy Smith
    [203796] = true,    -- Felipe Gutierrez
    [203841] = true,    -- Nick Pope
    [203884] = true,    -- Koffi Djidji
    [203910] = true,    -- Anthony Knockaert
    [204024] = true,    -- Christoph Kramer
    [204077] = true,    -- Mbaye Niang
    [204082] = true,    -- John Brooks
    [204163] = true,    -- Jores Okore
    [204193] = true,    -- Tom Trybull
    [204215] = true,    -- Adam Reach
    [204233] = true,    -- Charly Musonda
    [204234] = true,    -- Edgar Badia
    [204246] = true,    -- Marcus Bettinelli
    [204307] = true,    -- Julian Korb
    [204311] = true,    -- Kurt Zouma
    [204355] = true,    -- Paul Dummett
    [204366] = true,    -- Jurgen Locadia
    [204438] = true,    -- Clement Diop
    [204464] = true,    -- Joe Ralls
    [204472] = true,    -- Bouna Sarr
    [204485] = true,    -- Riyad Mahrez
    [204497] = true,    -- Kevin Stoger
    [204499] = true,    -- Ryan Inniss
    [204523] = true,    -- Ruben Pardo
    [204525] = true,    -- Inigo Martinez
    [204529] = true,    -- Michy Batshuayi Tunga
    [204538] = true,    -- Raul Ruidiaz
    [204539] = true,    -- Luis Advincula
    [204542] = true,    -- Yoshimar Yotun
    [204638] = true,    -- Willi Orban
    [204639] = true,    -- Stefan Savic
    [204677] = true,    -- Oriol Rosell
    [204709] = true,    -- Diego Rubio
    [204738] = true,    -- Renato Ibarra
    [204760] = true,    -- Charlie Taylor
    [204838] = true,    -- Raul Jimenez
    [204846] = true,    -- Jamal Blackman
    [204847] = true,    -- Todd Kane
    [204876] = true,    -- Carlos Clerc
    [204884] = true,    -- Benjamin Mendy
    [204923] = true,    -- Marcel Sabitzer
    [204935] = true,    -- Jordan Pickford
    [204936] = true,    -- John Egan
    [204963] = true,    -- Daniel Carvajalramos
    [204970] = true,    -- Florian Thauvin
    [205069] = true,    -- Juan Bernat Velasco
    [205070] = true,    -- Christian Portugues
    [205086] = true,    -- Philipp Klement
    [205157] = true,    -- Ruiz De Galarreta
    [205175] = true,    -- Arkadiusz Milik
    [205186] = true,    -- Paulo Gazzaniga
    [205192] = true,    -- Denis Suarez
    [205193] = true,    -- Karim Rekik
    [205212] = true,    -- David Ferreiro
    [205288] = true,    -- Fernando Rubio
    [205346] = true,    -- Ryan Fredericks
    [205351] = true,    -- Alex Pritchard
    [205360] = true,    -- Kemar Roofe
    [205361] = true,    -- Liam Oneil
    [205362] = true,    -- Matija Nastasic
    [205402] = true,    -- Paul Jean
    [205431] = true,    -- Niclas Fullkrug
    [205452] = true,    -- Antonio Rudiger
    [205495] = true,    -- Anthony Lozano
    [205498] = true,    -- Jorginho Filho
    [205525] = true,    -- Bernard Caldeira
    [205566] = true,    -- Alberto Moreno
    [205569] = true,    -- James Ward Prowse
    [205590] = true,    -- Luis Hernandez
    [205600] = true,    -- Samuel Umtiti
    [205670] = true,    -- Dwight Gayle
    [205693] = true,    -- Sebastien Haller
    [205887] = true,    -- Cauley Woodrow
    [205895] = true,    -- Alexander Ring
    [205897] = true,    -- Nathaniel Chalobah
    [205923] = true,    -- Ben Davies
    [205943] = true,    -- Vlad Chiriches
    [205976] = true,    -- Leo Baptistao
    [205985] = true,    -- Isaac Kiese Thelin
    [205988] = true,    -- Luke Shaw
    [205989] = true,    -- Calum Chambers
    [205990] = true,    -- Harrison Reed
    [205995] = true,    -- Jetro Willems
    [206003] = true,    -- Yvon Mvogo
    [206006] = true,    -- Ezgjan Alioski
    [206058] = true,    -- Mattia Sciglio
    [206075] = true,    -- Sam Johnstone
    [206083] = true,    -- Josh Murphy
    [206085] = true,    -- Jacob Murphy
    [206086] = true,    -- Harry Toffolo
    [206113] = true,    -- Serge Gnabry
    [206115] = true,    -- Isaac Hayden
    [206152] = true,    -- Luciano Aued
    [206198] = true,    -- Dominique Heintz
    [206219] = true,    -- Juancruz Alvaro
    [206222] = true,    -- Pedro Bigas
    [206225] = true,    -- Denis Cheryshev
    [206263] = true,    -- Tom Hopper
    [206306] = true,    -- Jordan Ferri
    [206463] = true,    -- Jeremy Dudziak
    [206467] = true,    -- Alassane Plea
    [206511] = true,    -- Maximilian Arnold
    [206516] = true,    -- Will Hughes
    [206517] = true,    -- Jack Grealish
    [206518] = true,    -- Callum Robinson
    [206534] = true,    -- Patrick Bamford
    [206538] = true,    -- Kevin Stewart
    [206545] = true,    -- Manuel Trigueros
    [206549] = true,    -- Evan Bush
    [206562] = true,    -- Louis Thompson
    [206585] = true,    -- Kepa Arrizabalaga
    [206590] = true,    -- Moi Gomez
    [206591] = true,    -- Mitchell Weiser
    [206594] = true,    -- Solly March
    [206606] = true,    -- Philipp Hofmann
    [206626] = true,    -- Mikael Ishak
    [206631] = true,    -- Kelyn Rowe
    [206652] = true,    -- Sergio Rico
    [206654] = true,    -- Pablo Mari
    [206662] = true,    -- Matt Hedges
    [207410] = true,    -- Mateo Kovacic
    [207421] = true,    -- Leandro Trossard
    [207431] = true,    -- Pablo Insua
    [207439] = true,    -- Leandro Paredes
    [207441] = true,    -- Luciano Vietto
    [207465] = true,    -- Felipe Martins
    [207471] = true,    -- Franco Vazquez
    [207494] = true,    -- Jesse Lingard
    [207557] = true,    -- Robin Olsen
    [207566] = true,    -- William Carvalho
    [207599] = true,    -- Michael Keane
    [207616] = true,    -- Adam Webster
    [207645] = true,    -- Modou Barrow
    [207650] = true,    -- Emil Krafth
    [207664] = true,    -- Carlos Bacca
    [207725] = true,    -- Mike Van Der Hoorn
    [207732] = true,    -- Roger Marti
    [207783] = true,    -- Raymon Gaddis
    [207790] = true,    -- Kaan Ayhan
    [207791] = true,    -- Yussuf Poulsen
    [207804] = true,    -- Amarii Bell
    [207807] = true,    -- Ryan Fraser
    [207835] = true,    -- Ademilson Braga Bispo Junior
    [207862] = true,    -- Matthias Ginter
    [207863] = true,    -- Felipe Monteiro
    [207865] = true,    -- Marcos Aoas Correa
    [207877] = true,    -- Josef Martinez
    [207897] = true,    -- Anthony Jung
    [207920] = true,    -- Erik Durm
    [207935] = true,    -- Matias Dituro
    [207948] = true,    -- Bertrand Traore
    [207956] = true,    -- Pelly Ruddock Mpanzu
    [207993] = true,    -- Sead Kolasinac
    [207998] = true,    -- Danny Ward
    [208088] = true,    -- Sergi Samper
    [208093] = true,    -- Gerard Moreno
    [208120] = true,    -- Kacper Przybylko
    [208128] = true,    -- Hakan Calhanoglu
    [208135] = true,    -- Abdoulaye Doucoure
    [208137] = true,    -- Lucas Torro
    [208141] = true,    -- Gabriel Appelt Pires
    [208230] = true,    -- Andreas Samaris
    [208268] = true,    -- Bryan Cristante
    [208295] = true,    -- Romain Saiss
    [208330] = true,    -- Adnan Januzaj
    [208333] = true,    -- Emre Can
    [208335] = true,    -- Lukas Kubler
    [208339] = true,    -- Oumar Niasse
    [208374] = true,    -- Andrew Wooten
    [208375] = true,    -- Marius Muller
    [208418] = true,    -- Yannick Carrasco
    [208421] = true,    -- Saul Niguez
    [208448] = true,    -- Emil Forsberg
    [208450] = true,    -- Andreas Pereira
    [208451] = true,    -- Robin Quaison
    [208461] = true,    -- Marten De Roon
    [208470] = true,    -- Fabian Holland
    [208574] = true,    -- Filip Kostic
    [208596] = true,    -- Andrea Belotti
    [208618] = true,    -- Lucas Vazquez
    [208620] = true,    -- Omar Mascarell
    [208621] = true,    -- Oscar Plano
    [208622] = true,    -- Ruben Sobrino
    [208668] = true,    -- David Henen
    [208670] = true,    -- Hakim Ziyech
    [208722] = true,    -- Sadio Mane
    [208777] = true,    -- Oliver Torres
    [208830] = true,    -- Jamie Vardy
    [208892] = true,    -- Sam Byram
    [208920] = true,    -- Nathan Ake
    [208949] = true,    -- Nawaf Al Abed
    [209281] = true,    -- Yahya Al Shehri
    [209288] = true,    -- Florent Mollet
    [209289] = true,    -- Kevin Rodrigues
    [209297] = true,    -- Fred Rodrigues
    [209331] = true,    -- Mohamed Salah
    [209449] = true,    -- Gerso Fernandes
    [209499] = true,    -- Fabinho
    [209532] = true,    -- Daniel Bachmann
    [209620] = true,    -- Abdul Rahman Baba
    [209658] = true,    -- Leon Goretzka
    [209669] = true,    -- Dimitri Siovas
    [209675] = true,    -- Janoi Donacien
    [209744] = true,    -- Eugenio Mena
    [209761] = true,    -- Daniel Steres
    [209818] = true,    -- Joshua Brenet
    [209840] = true,    -- Julian Jeanvier
    [209846] = true,    -- Christian Gunter
    [209852] = true,    -- Brendan Galloway
    [209889] = true,    -- Raphael Guerriero
    [209960] = true,    -- Fernando Pacheco
    [209981] = true,    -- Yassine Bounou
    [209987] = true,    -- Marcel Schuhen
    [209989] = true,    -- Thomas Partey
    [210008] = true,    -- Adrien Rabiot
    [210035] = true,    -- Grimaldo Garcia
    [210047] = true,    -- Fabian Schar
    [210214] = true,    -- Jozabed Sanchez Ruiz
    [210243] = true,    -- Ricardo Pereira
    [210257] = true,    -- Ederson Santana
    [210324] = true,    -- Jonas Hofmann
    [210372] = true,    -- Rachid Ghezzal
    [210385] = true,    -- Rui Silva
    [210389] = true,    -- Brad Smith
    [210406] = true,    -- Piotr Zielinski
    [210411] = true,    -- Silva Otavio
    [210413] = true,    -- Alessio Romagnoli
    [210423] = true,    -- Albert Rusnak
    [210455] = true,    -- Jonny Castrootto
    [210463] = true,    -- Darwin Machis
    [210475] = true,    -- Manuel Prietl
    [210514] = true,    -- Joao Cancelo
    [210602] = true,    -- Salem Aldawsari
    [210603] = true,    -- Yasser Al Shahrani
    [210617] = true,    -- Samuel Castillejo
    [210625] = true,    -- Kevin Mbabu
    [210635] = true,    -- Kortney Hause
    [210644] = true,    -- Emiliano Marcondes
    [210648] = true,    -- Ahmed Hegazi
    [210665] = true,    -- Marcel Halstenberg
    [210676] = true,    -- Wladimiro Falcone
    [210679] = true,    -- Paulo Oliveira
    [210719] = true,    -- Marc Oliver Kempf
    [210723] = true,    -- Niko Giesselmann
    [210724] = true,    -- Callum Paterson
    [210736] = true,    -- Emerson Palmieri
    [210761] = true,    -- Rodolfo Pizarro
    [210828] = true,    -- Bjorn Engels
    [210881] = true,    -- John Mc Ginn
    [210896] = true,    -- Morgan Sanson
    [210897] = true,    -- Chancel Mbemba
    [210930] = true,    -- Carles Gil
    [210935] = true,    -- Domenico Berardi
    [210950] = true,    -- Pablo De Blasis
    [210972] = true,    -- Javier Gaitan Manquillo
    [210985] = true,    -- Ben Osborn
    [211017] = true,    -- Victor Rodriguez
    [211022] = true,    -- Ruben Garcia
    [211101] = true,    -- Ruben Blanco
    [211110] = true,    -- Paulo Dybala
    [211117] = true,    -- Dele Alli
    [211119] = true,    -- Pedro Santos
    [211147] = true,    -- Valentino Lazaro
    [211241] = true,    -- Ruben Pena
    [211256] = true,    -- Nicolas Tagliafico
    [211269] = true,    -- Guillermo Fernandez
    [211300] = true,    -- Anthony Martial
    [211320] = true,    -- Daniele Rugani
    [211348] = true,    -- Stole Dimitrievski
    [211363] = true,    -- Tom Lockyer
    [211368] = true,    -- Armindo Bangna
    [211381] = true,    -- Sofiane Boufal
    [211382] = true,    -- Ibrahim Amadou
    [211384] = true,    -- Jamal Lowe
    [211385] = true,    -- Riza Durmisi
    [211408] = true,    -- Karol Linetty
    [211513] = true,    -- Tom Lawrence
    [211514] = true,    -- Reece James
    [211515] = true,    -- Pierluigi Gollini
    [211522] = true,    -- Alexander Callens
    [211527] = true,    -- Alex Gallar
    [211575] = true,    -- Andre Gomes
    [211591] = true,    -- Moussa Dembele
    [211688] = true,    -- Gaya
    [211738] = true,    -- Mark Flekken
    [211748] = true,    -- Kerem Demirbay
    [211784] = true,    -- Neal Maupay
    [211818] = true,    -- Kevin Mohwald
    [211856] = true,    -- Kevin Akpoguma
    [211862] = true,    -- Andre Hahn
    [211872] = true,    -- Philip Heise
    [211879] = true,    -- Janik Haberer
    [211899] = true,    -- Florian Niederlechner
    [211907] = true,    -- Jerome Gondorf
    [211990] = true,    -- Odisseas Vlachodimos
    [211999] = true,    -- Rani Khedira
    [212096] = true,    -- Vincenzo Grifo
    [212100] = true,    -- Lowe Max
    [212118] = true,    -- Matthew Grimes
    [212125] = true,    -- Lazar Markovic
    [212127] = true,    -- Darko Lazovic
    [212150] = true,    -- Max Meyer
    [212151] = true,    -- Thomas Strakosha
    [212183] = true,    -- Nacho Garcia
    [212187] = true,    -- Philipp Max
    [212188] = true,    -- Timo Werner
    [212190] = true,    -- Niklas Sule
    [212194] = true,    -- Julian Brandt
    [212196] = true,    -- Pione Sisto
    [212198] = true,    -- Bruno Fernandes
    [212207] = true,    -- Nicolae Stanciu
    [212212] = true,    -- Dominik Kohr
    [212218] = true,    -- Aymeric Laporte
    [212225] = true,    -- Enzo Roco
    [212228] = true,    -- Ivan Toney
    [212240] = true,    -- Kenan Karaman
    [212242] = true,    -- Robert Andrich
    [212245] = true,    -- Yannick Gerhardt
    [212249] = true,    -- Sebastian Kerk
    [212267] = true,    -- Ivan Cavaleiro
    [212269] = true,    -- Riechedly Bazoer
    [212273] = true,    -- Clinton N Jie
    [212404] = true,    -- Federico Bernardeschi
    [212419] = true,    -- Tyrone Mings
    [212442] = true,    -- Jose Sa
    [212462] = true,    -- Alex Nicolao Telles
    [212476] = true,    -- Alvaro Medran
    [212478] = true,    -- Gyasi Zardes
    [212491] = true,    -- Arthur Masuaku
    [212493] = true,    -- Sullay Kaikai
    [212501] = true,    -- Leander Dendoncker
    [212592] = true,    -- Andrew Farrell
    [212602] = true,    -- Diego Llorente
    [212607] = true,    -- Maxime Chanot
    [212616] = true,    -- Rodrigo Depaul
    [212622] = true,    -- Joshua Kimmich
    [212626] = true,    -- Davie Selke
    [212678] = true,    -- Ludwig Augustinsson
    [212710] = true,    -- Joel Castro Pereira
    [212715] = true,    -- Sebastian Palacios
    [212722] = true,    -- Deandre Yedlin
    [212755] = true,    -- Jorrit Hendrix
    [212772] = true,    -- Oscar Duarte
    [212782] = true,    -- Hiram Boateng
    [212811] = true,    -- Mario Lemina
    [212814] = true,    -- Joao Mario
    [212831] = true,    -- Alisson Becker
    [212883] = true,    -- Daniel Amartey
    [212933] = true,    -- Laurent Depoitre
    [212977] = true,    -- Niklas Stark
    [213017] = true,    -- Ben Davies
    [213051] = true,    -- Mohamed Elneny
    [213063] = true,    -- Roberto Suarez Pier
    [213092] = true,    -- Samuel Piette
    [213134] = true,    -- Levin Oztunali
    [213135] = true,    -- Divock Origi
    [213152] = true,    -- Carlton Morris
    [213209] = true,    -- Kellyn Acosta
    [213242] = true,    -- Adrien Tameze
    [213296] = true,    -- Nabil Bentaleb
    [213331] = true,    -- Jonathan Tah
    [213345] = true,    -- Kingsley Coman
    [213404] = true,    -- Pawel Dawidowicz
    [213407] = true,    -- Matt Macey
    [213413] = true,    -- Lawrence Vigouroux
    [213414] = true,    -- Ekong Troost
    [213418] = true,    -- Chuba Akpom
    [213428] = true,    -- Clint Irwin
    [213439] = true,    -- Jonathan Osorio
    [213536] = true,    -- Maxime Crepeau
    [213565] = true,    -- Thomas Lemar
    [213620] = true,    -- Felipe Mora
    [213642] = true,    -- James Wilson
    [213648] = true,    -- Pierre Hojbjerg
    [213655] = true,    -- Alex Iwobi
    [213661] = true,    -- Andreas Christensen
    [213665] = true,    -- Jordan Houghton
    [213666] = true,    -- Ruben Loftuscheek
    [213686] = true,    -- Donald Love
    [213689] = true,    -- Ben Pearson
    [213692] = true,    -- Joshua Harrop
    [213693] = true,    -- Joe Rothwell
    [213697] = true,    -- Paddy Mcnair
    [213699] = true,    -- Ashely Fletcher
    [213750] = true,    -- Ken Sema
    [213777] = true,    -- Iver Fossum
    [213814] = true,    -- Federico Di Francesco
    [213884] = true,    -- Ryan Christie
    [213905] = true,    -- Sam Gallagher
    [213937] = true,    -- Ager Aketxe
    [213955] = true,    -- Sardar Azmoun
    [213956] = true,    -- Adama Traore
    [213991] = true,    -- Jefferson Lerma
    [214026] = true,    -- Johan Mojica
    [214040] = true,    -- Frank Fabra
    [214092] = true,    -- Alexey Miranchuk
    [214096] = true,    -- Tim Kleindienst
    [214098] = true,    -- Rijkaard
    [214100] = true,    -- Gullit
    [214101] = true,    -- Paulo Futre
    [214267] = true,    -- Lineker
    [214332] = true,    -- Daniel Torres
    [214354] = true,    -- Dairon Asprilla
    [214378] = true,    -- David Silva
    [214622] = true,    -- Jeremy Toljan
    [214639] = true,    -- Sergio Postigo
    [214649] = true,    -- Davor Suker
    [214659] = true,    -- Nicolas Freire
    [214665] = true,    -- Juanedgardo Ramirez
    [214718] = true,    -- Martin Rodriguez
    [214770] = true,    -- Diego Gonzalez
    [214781] = true,    -- Silvio Romero
    [214944] = true,    -- Gerard Gumbau
    [214947] = true,    -- Jean Philippe Gbamin
    [214971] = true,    -- Francesco Pizzini
    [214997] = true,    -- Angel Correa
    [215061] = true,    -- Dario Benedetto
    [215079] = true,    -- Pablo Perez
    [215083] = true,    -- Maxi Urruti
    [215107] = true,    -- Hector Villalba
    [215135] = true,    -- Leonardo Sigali
    [215162] = true,    -- Alejandro Donatti
    [215178] = true,    -- Erik Godoy
    [215211] = true,    -- Baily Cargill
    [215213] = true,    -- Axel Werner
    [215247] = true,    -- Marcus Ingvartsen
    [215270] = true,    -- Lucas Zelarayan
    [215316] = true,    -- Geronimo Rulli
    [215330] = true,    -- Joaquin Correa
    [215333] = true,    -- Duvan Zapata
    [215334] = true,    -- Guido Carrillo
    [215353] = true,    -- Lucas Alario
    [215363] = true,    -- Lorenzo Montipo
    [215399] = true,    -- Ruben Vezo
    [215417] = true,    -- Christian Mathenia
    [215441] = true,    -- Sehrou Guirassy
    [215502] = true,    -- Bartlomiej Dragowski
    [215556] = true,    -- Edimilson Fernandes
    [215565] = true,    -- Matt Miazga
    [215568] = true,    -- Jose Manuel Naranjo
    [215569] = true,    -- Unai Garcia
    [215590] = true,    -- Ayoze Perez
    [215604] = true,    -- Cedric Brunner
    [215616] = true,    -- Jason Remeseiro
    [215639] = true,    -- Robert Kenedy Nunes Do Nascimento
    [215698] = true,    -- Mike Maignan
    [215699] = true,    -- Youssouf Sabaly
    [215716] = true,    -- Aleksandar Mitrovic
    [215758] = true,    -- Jason Mccarthy
    [215785] = true,    -- Keita Balde Diao
    [215798] = true,    -- Maxwel Cornet
    [215871] = true,    -- Alireza Jahanbakhsh
    [215914] = true,    -- Ngolo Kante
    [215930] = true,    -- Tin Jedvaj
    [216003] = true,    -- Bartosz Kapustka
    [216054] = true,    -- Nery Dominguez
    [216150] = true,    -- Davide Zappacosta
    [216158] = true,    -- Silvain Widmer
    [216189] = true,    -- Ander Capa
    [216194] = true,    -- Daniel Garcia
    [216201] = true,    -- Inaki Williams
    [216247] = true,    -- Marcel Tisserand
    [216258] = true,    -- Ihlas Bebou
    [216266] = true,    -- Kenny Tete
    [216267] = true,    -- Andrew Robertson
    [216268] = true,    -- Duncan Watmore
    [216282] = true,    -- Raphael Framberger
    [216325] = true,    -- Angus Gunn
    [216346] = true,    -- Alvas Powell
    [216352] = true,    -- Marcelo Brozovic
    [216354] = true,    -- Andrej Kramaric
    [216380] = true,    -- Daley Sinkgraven
    [216381] = true,    -- Jean Zimmer
    [216388] = true,    -- Allan Saint Maximin
    [216393] = true,    -- Youri Tielemans
    [216433] = true,    -- Anwar El Ghazi
    [216435] = true,    -- Stanislav Lobotka
    [216447] = true,    -- Alvaro Garcia
    [216451] = true,    -- Jean Michael Seri
    [216460] = true,    -- Jose Maria Gimenez
    [216466] = true,    -- Wendell Nascimento Borges
    [216467] = true,    -- Jack Payne
    [216475] = true,    -- Jose Luis Morales
    [216483] = true,    -- Tariqe Fosu
    [216497] = true,    -- Maximilian Philipp
    [216547] = true,    -- Rafa Fernandes
    [216549] = true,    -- Alexander Sorloth
    [216594] = true,    -- Nabil Fekir
    [216605] = true,    -- Carlos Akapo
    [216627] = true,    -- Kieffer Moore
    [216643] = true,    -- Leo Dubois
    [216749] = true,    -- Carlos Mane
    [216774] = true,    -- Wesley Hoedt
    [216791] = true,    -- Matthew Pennington
    [216939] = true,    -- Andre Blake
    [217036] = true,    -- Alex Moreno
    [217606] = true,    -- Emmanuel Boateng
    [217648] = true,    -- Genki Haraguchi
    [217699] = true,    -- Islam Slimani
    [217714] = true,    -- Paul Arriola
    [217845] = true,    -- Andrew Hjulsager
    [217870] = true,    -- Giovanni Di Lorenzo
    [217940] = true,    -- Dakonam Djene
    [218208] = true,    -- Cesar Fuentes
    [218339] = true,    -- Mahmoud Dahoud
    [218341] = true,    -- Josip Elez
    [218359] = true,    -- Didier Ndong
    [218534] = true,    -- Sargis Adamyan
    [218623] = true,    -- Cafumiguel Ribeirodias
    [218659] = true,    -- Matt Targett
    [218660] = true,    -- Josh Sims
    [218667] = true,    -- Bernardo Silva
    [218746] = true,    -- Jose Angel Pozo
    [218981] = true,    -- Helibelton Palacios
    [219391] = true,    -- Gonzalo Escalante
    [219510] = true,    -- Ebenezer Ofori
    [219522] = true,    -- Jeremias Ledesma
    [219536] = true,    -- Ignacio Pussetto
    [219571] = true,    -- Victor Camarasa
    [219585] = true,    -- Martin Valjent
    [219652] = true,    -- Robert Ibanez
    [219680] = true,    -- Cedric Hountondji
    [219681] = true,    -- Jordan Amavi
    [219683] = true,    -- Corentin Tolisso
    [219709] = true,    -- Saul Garcia Cabrero
    [219732] = true,    -- Georges Kevin Nkoudou
    [219754] = true,    -- Bruno Varela
    [219777] = true,    -- Jose Manuel Rodriguez
    [219795] = true,    -- Joel Coleman
    [219797] = true,    -- Roger Martinez
    [219809] = true,    -- Tiemoue Bakayoko
    [219841] = true,    -- Nicolasjorge Figal
    [219932] = true,    -- Antonio Sanabria
    [219953] = true,    -- Adrian Embarba
    [220018] = true,    -- Ante Rebic
    [220031] = true,    -- Oliver Mcburnie
    [220085] = true,    -- Gian Luca Waldschmidt
    [220093] = true,    -- Hans Hateboer
    [220132] = true,    -- Joseba Zaldua
    [220148] = true,    -- Nicolas Orsini
    [220165] = true,    -- Joel Pohjanpalo
    [220182] = true,    -- Jason Denayer
    [220185] = true,    -- Brandon Barker
    [220196] = true,    -- David Brooks
    [220197] = true,    -- Kean Bryan
    [220209] = true,    -- Kemar Lawrence
    [220253] = true,    -- Munir El Haddadi
    [220334] = true,    -- Oscar Romero
    [220355] = true,    -- Alexander Alegria
    [220407] = true,    -- Martin Dubravka
    [220414] = true,    -- Diego Rico
    [220421] = true,    -- Hassane Kamara
    [220440] = true,    -- Clement Lenglet
    [220467] = true,    -- Roy Hodgson
    [220493] = true,    -- Antonio Barreca
    [220502] = true,    -- Mattia Zaccagni
    [220523] = true,    -- Yerry Mina
    [220534] = true,    -- Sebastiano Luperto
    [220570] = true,    -- Jan Bednarek
    [220604] = true,    -- Jaume Domenech
    [220620] = true,    -- Florent Hadergjonaj
    [220621] = true,    -- Said Benrahma
    [220633] = true,    -- Demarai Gray
    [220637] = true,    -- Moi Delgado
    [220651] = true,    -- Jose Angel Tasende
    [220659] = true,    -- Josh Brownhill
    [220673] = true,    -- Renato Tapia
    [220697] = true,    -- James Maddison
    [220708] = true,    -- Brandon Borrello
    [220710] = true,    -- Harry Wilson
    [220714] = true,    -- Philip Billing
    [220715] = true,    -- Ezequiel Ponce
    [220746] = true,    -- Andrija Zivkovic
    [220763] = true,    -- Ryan Thomas
    [220793] = true,    -- Davinson Sanchez
    [220812] = true,    -- Ange Postecoglou
    [220814] = true,    -- Lucas Hernandez
    [220834] = true,    -- Marco Asensio
    [220854] = true,    -- Erick Gutierrez
    [220862] = true,    -- Jordan Hugill
    [220893] = true,    -- Courtney Baker Richardson
    [220894] = true,    -- George Thomas
    [220901] = true,    -- David Rayamartin
    [220925] = true,    -- Alessandro Schopf
    [220932] = true,    -- Lovre Kalinic
    [220971] = true,    -- Naby Keita
    [221087] = true,    -- Paul Lopez
    [221201] = true,    -- Tim Leibold
    [221269] = true,    -- Jairo Riedewald
    [221282] = true,    -- Jack Stacey
    [221306] = true,    -- Michael Barrios
    [221342] = true,    -- Pablo Maffeo
    [221350] = true,    -- Thierry Ambrose
    [221354] = true,    -- Milos Veljkovic
    [221358] = true,    -- Jordan Rossiter
    [221363] = true,    -- Donny Van De Beek
    [221445] = true,    -- Wu Lei
    [221452] = true,    -- Alexander Mesa
    [221456] = true,    -- Reece Burke
    [221479] = true,    -- Dominic Calvert Lewin
    [221491] = true,    -- Nico Elvedi
    [221564] = true,    -- Matias Nahuel
    [221587] = true,    -- Joe Lolley
    [221618] = true,    -- Lys Mousset
    [221619] = true,    -- Victor Cabrera
    [221621] = true,    -- Steve Birnbaum
    [221634] = true,    -- Luciano Acosta
    [221639] = true,    -- Mariano Diaz
    [221660] = true,    -- Victor Lindelof
    [221671] = true,    -- Jaesung Lee
    [221680] = true,    -- Nick Hagglund
    [221696] = true,    -- Thomas Mc Namara
    [221697] = true,    -- Ollie Watkins
    [221713] = true,    -- Daniel Lovitz
    [221743] = true,    -- Helder Costa
    [221753] = true,    -- Marcel Sobottka
    [221797] = true,    -- Erik Thommy
    [221841] = true,    -- Adam Armstrong
    [221860] = true,    -- Carlos Gruezo
    [221885] = true,    -- Paul Seguin
    [221890] = true,    -- Jay Fulton
    [221923] = true,    -- Carlos Vigaray
    [221982] = true,    -- Patrick Roberts
    [221992] = true,    -- Hirving Lozano
    [222000] = true,    -- Michael Laudrup
    [222028] = true,    -- Julian Weigl
    [222041] = true,    -- Lucas Boye
    [222077] = true,    -- Manuel Locatelli
    [222079] = true,    -- Josh Onomah
    [222096] = true,    -- Harry Lewis
    [222104] = true,    -- Tosin Adarabioyo
    [222109] = true,    -- Chris Cadden
    [222123] = true,    -- Aaron Long
    [222148] = true,    -- Ondrej Duda
    [222319] = true,    -- Jeison Angulo
    [222331] = true,    -- Lukas Klostermann
    [222352] = true,    -- Albian Ajeti
    [222357] = true,    -- Breel Embolo
    [222390] = true,    -- Unai Lopez
    [222400] = true,    -- Harry Winks
    [222404] = true,    -- Mathias Normann
    [222467] = true,    -- Ivan Lopez
    [222475] = true,    -- Morten Thorsby
    [222481] = true,    -- Laurent Blanc
    [222492] = true,    -- Leroy Sane
    [222493] = true,    -- Marvin Friedrich
    [222501] = true,    -- Timothy Castagne
    [222509] = true,    -- Daniel Ceballos
    [222513] = true,    -- Rolando Aarons
    [222514] = true,    -- Freddie Woodman
    [222528] = true,    -- Lynden Gooch
    [222553] = true,    -- Sebastian Griesbeck
    [222558] = true,    -- Rick Karsdorp
    [222572] = true,    -- Ivan Villar
    [222587] = true,    -- Franco Escobar
    [222634] = true,    -- Isaac Success
    [222665] = true,    -- Martin Odegaard
    [222692] = true,    -- Benno Schmitz
    [222724] = true,    -- Benson Manuel
    [222825] = true,    -- Chadrac Akolo
    [222836] = true,    -- Ryan Ledson
    [222844] = true,    -- Walace Souzasilva
    [222864] = true,    -- Jack Rose
    [222876] = true,    -- Jordan Smith
    [222943] = true,    -- Jonathan Rodriguez
    [222951] = true,    -- Marek Rodak
    [222994] = true,    -- Marvelous Nakamba
    [223033] = true,    -- Jorge Mere
    [223054] = true,    -- Cristian Penilla
    [223061] = true,    -- Franco Cervi
    [223082] = true,    -- Will Norris
    [223085] = true,    -- Luke Berry
    [223113] = true,    -- Krzysztof Piatek
    [223137] = true,    -- Federico Bonazzoli
    [223143] = true,    -- Ulisses Garcia
    [223197] = true,    -- Enes Unal
    [223243] = true,    -- Victor Emanuel Aguilera
    [223306] = true,    -- Jaroslaw Jach
    [223334] = true,    -- Joelinton Apolinario
    [223603] = true,    -- Fabian Bredlow
    [223608] = true,    -- Javier Eraso
    [223641] = true,    -- Timo Baumgartl
    [223654] = true,    -- Federico Sanemeterio
    [223671] = true,    -- Stefan Posch
    [223689] = true,    -- Wout Weghorst
    [223697] = true,    -- Robin Gosens
    [223710] = true,    -- Vedat Muriqi
    [223740] = true,    -- Inigo Eguaras
    [223747] = true,    -- Stephen Kingsley
    [223751] = true,    -- Gideon Jung
    [223848] = true,    -- Sergej Milinkovic Savic
    [223866] = true,    -- Sandi Lovric
    [223874] = true,    -- Valentin Rongier
    [223885] = true,    -- Alexander Nubel
    [223909] = true,    -- Alex Palmer
    [223952] = true,    -- David Soria
    [223959] = true,    -- Lucas Torreira
    [223963] = true,    -- Cameron Humphreys
    [224003] = true,    -- Sergio Herrera
    [224013] = true,    -- Sergi Canostenes
    [224021] = true,    -- Sheyi Ojo
    [224030] = true,    -- Maxime Lopez
    [224041] = true,    -- Marvin Schwabe
    [224069] = true,    -- Karl Ekambi Toko
    [224081] = true,    -- Kalvin Phillips
    [224151] = true,    -- Henry Martin
    [224158] = true,    -- Sofyan Amrabat
    [224179] = true,    -- Borja Iglesias
    [224196] = true,    -- Ramy Bensebaini
    [224213] = true,    -- Tyronne Ebuehi
    [224221] = true,    -- Joachim Andersen
    [224232] = true,    -- Nicolo Barella
    [224251] = true,    -- Robin Zentner
    [224258] = true,    -- Kristoffer Ajer
    [224263] = true,    -- Jonjoe Kenny
    [224265] = true,    -- Joe Williams
    [224293] = true,    -- Ruben Neves
    [224294] = true,    -- Lewis Cook
    [224309] = true,    -- Joan Jordan
    [224334] = true,    -- Marcos Acuna
    [224371] = true,    -- Jarrod Bowen
    [224389] = true,    -- Jordan Larsson
    [224411] = true,    -- Goncalo Guedes
    [224422] = true,    -- Jeremie Boga
    [224425] = true,    -- Marius Wolf
    [224438] = true,    -- Adam Buksa
    [224440] = true,    -- Julian Pollersbeck
    [224458] = true,    -- Diogo Jota
    [224494] = true,    -- Rico Henry
    [224520] = true,    -- Ryan Kent
    [224540] = true,    -- Emmanuel Boateng
    [224656] = true,    -- Ola Aina
    [224808] = true,    -- Gian Marco Ferrari
    [224811] = true,    -- Ivan Ordets
    [224836] = true,    -- Vanja Milinkovic Savic
    [224855] = true,    -- George Byers
    [224869] = true,    -- Unai Bustinza
    [224883] = true,    -- Steve Mounie
    [224887] = true,    -- Dom Telford
    [224921] = true,    -- Adrian Marin
    [224947] = true,    -- Daniel Grimshaw
    [224980] = true,    -- Marnon Busch
    [225014] = true,    -- Gaetano Castrovilli
    [225018] = true,    -- Florin Andone
    [225024] = true,    -- Mason Holgate
    [225028] = true,    -- Nemanja Radoja
    [225100] = true,    -- Joe Gomez
    [225116] = true,    -- Alex Meret
    [225117] = true,    -- Nicolas Haas
    [225126] = true,    -- Ellyes Skhiri
    [225147] = true,    -- Connor Roberts
    [225161] = true,    -- Jesus Vallejo
    [225193] = true,    -- Mikel Merino Zazon
    [225201] = true,    -- Alex Berenguer
    [225252] = true,    -- Jhon Duque
    [225263] = true,    -- Duje Caleta Car
    [225309] = true,    -- Nadiem Amiri
    [225341] = true,    -- David Garcia
    [225356] = true,    -- Andres Ibarguen
    [225375] = true,    -- Konrad Laimer
    [225383] = true,    -- Harry Charsley
    [225410] = true,    -- Adam Masina
    [225423] = true,    -- Stiven Vega
    [225435] = true,    -- Jose Luis Moreno
    [225439] = true,    -- Rolando Mandragora
    [225441] = true,    -- Kasey Palmer
    [225467] = true,    -- Tom Beadling
    [225508] = true,    -- Eric Bailly
    [225523] = true,    -- Inigo Lekue
    [225539] = true,    -- Dominic Solanke
    [225543] = true,    -- Bradley Collins
    [225557] = true,    -- Regan Poole
    [225632] = true,    -- Oliver Burke
    [225647] = true,    -- Martin Campana
    [225652] = true,    -- George Puscas
    [225659] = true,    -- Guido Rodriguez
    [225668] = true,    -- Karlan Grant
    [225692] = true,    -- Matthias Bader
    [225699] = true,    -- Anuar Mohamed
    [225711] = true,    -- Abdou Diallo
    [225713] = true,    -- Jean Kevin Augustin
    [225719] = true,    -- Kelechi Iheanacho
    [225748] = true,    -- Todd Cantwell
    [225782] = true,    -- Ainsley Maitland Niles
    [225793] = true,    -- Ben Godfrey
    [225844] = true,    -- Daniele Verde
    [225850] = true,    -- Presnel Kimpembe
    [225859] = true,    -- Moussa Niakhate
    [225863] = true,    -- Olivier Boscagli
    [225878] = true,    -- Cecilio Dominguez
    [225908] = true,    -- Reece Oxford
    [225926] = true,    -- Pere Milla
    [225953] = true,    -- Steven Bergwijn
    [225974] = true,    -- Scott Mckenna
    [226035] = true,    -- Jordan Morris
    [226078] = true,    -- Trezeguet Hassan
    [226093] = true,    -- Che Adams
    [226103] = true,    -- Sergio Akieme
    [226110] = true,    -- Nicolas Pepe
    [226116] = true,    -- Ryan Sweeney
    [226129] = true,    -- Jon Gorenc Stankovic
    [226161] = true,    -- Marcos Llorente
    [226162] = true,    -- Emiliano Buendia
    [226166] = true,    -- Nordi Mukiele
    [226168] = true,    -- Maximilian Eggestein
    [226177] = true,    -- Sauerbrunn Becky
    [226215] = true,    -- Sabin Merino
    [226221] = true,    -- Aritz Elustondo
    [226226] = true,    -- Giovani Lo Celso
    [226229] = true,    -- Thilo Kehrer
    [226268] = true,    -- Federico Dimarco
    [226271] = true,    -- Fabian Ruiz
    [226273] = true,    -- Sean Davis
    [226301] = true,    -- Alex Morgan
    [226302] = true,    -- Alexandra Popp
    [226303] = true,    -- Almuth Schult
    [226308] = true,    -- Dzsenifer Marozsan
    [226316] = true,    -- Sydney Leroux
    [226318] = true,    -- Kelley Ohara
    [226320] = true,    -- Morgan Brian
    [226325] = true,    -- Ali Krieger
    [226327] = true,    -- Christen Press
    [226328] = true,    -- Megan Rapinoe
    [226329] = true,    -- Meghan Klingenberg
    [226333] = true,    -- Julie Johnston
    [226335] = true,    -- Alyssa Naeher
    [226336] = true,    -- Crystal Dunn
    [226339] = true,    -- Nicole Barnhart
    [226350] = true,    -- Katie Stengel
    [226351] = true,    -- Kristie Mewis
    [226354] = true,    -- Melanie Leupolz
    [226358] = true,    -- Stephanie Houghton
    [226359] = true,    -- Christine Sinclair
    [226373] = true,    -- Nadine Kessler
    [226375] = true,    -- Kathrin Hendrich
    [226376] = true,    -- Alejandro Romero Gamarra
    [226377] = true,    -- Gonzalo Martinez
    [226380] = true,    -- Hwang Hee Chan
    [226401] = true,    -- Kieran Dowell
    [226430] = true,    -- Sead Haksabanovic
    [226456] = true,    -- Pablo Fornals
    [226491] = true,    -- Kieran Tierney
    [226495] = true,    -- Sergio Santos
    [226537] = true,    -- Vincent Janssen
    [226568] = true,    -- Ianis Hagi
    [226584] = true,    -- Pablo Aranguiz
    [226627] = true,    -- Takumi Minamino
    [226637] = true,    -- Ruben Duarte
    [226677] = true,    -- Juninho Bacuna
    [226686] = true,    -- Max Christiansen
    [226753] = true,    -- Andre Onana
    [226754] = true,    -- Ismael Bennacer
    [226764] = true,    -- George Best
    [226766] = true,    -- Daniel Podence
    [226777] = true,    -- Cyle Larin
    [226781] = true,    -- Khiry Shelton
    [226786] = true,    -- Alex Bono
    [226790] = true,    -- Wilfred Ndidi
    [226797] = true,    -- Victor Malcorra
    [226798] = true,    -- Mauricio Martinez
    [226803] = true,    -- Tim Parker
    [226807] = true,    -- Christian Roldan
    [226851] = true,    -- Benjamin Pavard
    [226890] = true,    -- Marta Vieira Da Silva
    [226892] = true,    -- Luciana Maria Dionizio
    [226893] = true,    -- Debora Cristiane De Oliveira
    [226898] = true,    -- Tamires Cassia Dias Gomes
    [226912] = true,    -- Yang Li
    [226913] = true,    -- Zhang Rui
    [226917] = true,    -- Wang Shanshan
    [226922] = true,    -- Wu Haiyan
    [226960] = true,    -- Jiali Tang
    [226973] = true,    -- Sofia Jakobsson
    [226975] = true,    -- Caroline Seger
    [226978] = true,    -- Hedvig Lindahl
    [226979] = true,    -- Amanda Ilestedt
    [226985] = true,    -- Olivia Schough
    [226987] = true,    -- Kosovare Asllani
    [226988] = true,    -- Elin Rubensson
    [226991] = true,    -- Linda Sembrant
    [226998] = true,    -- Magdalena Eriksson
    [227006] = true,    -- Homare Sawa
    [227011] = true,    -- Emma Berglund
    [227013] = true,    -- Fridolina Rolfo
    [227067] = true,    -- Martina Rosucci
    [227072] = true,    -- Barbara Bonansea
    [227073] = true,    -- Cristiana Girelli
    [227074] = true,    -- Cecilia Salvai
    [227078] = true,    -- Valentina Cernoia
    [227096] = true,    -- Lisa Boattin
    [227098] = true,    -- Sara Gama
    [227101] = true,    -- Emilie Haavi
    [227102] = true,    -- Caroline Graham Hansen
    [227106] = true,    -- Diego Gonzalez
    [227109] = true,    -- Alanna Kennedy
    [227110] = true,    -- Caitlin Foord
    [227113] = true,    -- Emily Van Egmond
    [227116] = true,    -- Kyah Simon
    [227118] = true,    -- Lydia Williams
    [227119] = true,    -- Stephanie Catley
    [227125] = true,    -- Samantha Kerr
    [227127] = true,    -- Alex Remiro
    [227137] = true,    -- Hayley Raso
    [227174] = true,    -- Matty Cash
    [227190] = true,    -- Irene Paredes
    [227191] = true,    -- Marta Torrejon
    [227192] = true,    -- Jennifer Hermoso
    [227193] = true,    -- Marta Corredera
    [227195] = true,    -- Virginia Torrecilla
    [227201] = true,    -- Vicky Losada
    [227203] = true,    -- Alexia Putellas
    [227204] = true,    -- Lola Gallardo
    [227208] = true,    -- Celia Jimenez
    [227222] = true,    -- Frederic Guildbert
    [227234] = true,    -- Lucas Tousart
    [227236] = true,    -- Andre Zambo
    [227246] = true,    -- Lucy Bronze
    [227252] = true,    -- Toni Duggan
    [227254] = true,    -- Alex Greenwood
    [227255] = true,    -- Fran Kirby
    [227257] = true,    -- Jordan Nobbs
    [227261] = true,    -- Alex Scott
    [227263] = true,    -- Kelly Smith
    [227264] = true,    -- Demi Stokes
    [227274] = true,    -- David Barbona
    [227282] = true,    -- Maren Mjelde
    [227290] = true,    -- Marko Dmitrovic
    [227300] = true,    -- Leonie Maier
    [227310] = true,    -- Ada Hegerberg
    [227313] = true,    -- Sarah Bouhaddi
    [227316] = true,    -- Wendie Renard
    [227318] = true,    -- Amandine Henry
    [227323] = true,    -- Guro Reiten
    [227324] = true,    -- Camille Abily
    [227326] = true,    -- Gaetane Thiney
    [227327] = true,    -- Sara Dabritz
    [227331] = true,    -- Eugenie Le Sommer
    [227337] = true,    -- Svenja Huth
    [227344] = true,    -- Sandie Toletti
    [227346] = true,    -- Griedge Mbock
    [227349] = true,    -- Laetitia Philippe
    [227350] = true,    -- Amel Majri
    [227351] = true,    -- Marine Dafeur
    [227353] = true,    -- Kenza Dali
    [227359] = true,    -- Claire Lavogez
    [227361] = true,    -- Kadidiatou Diani
    [227368] = true,    -- Cecilie Fiskerstrand
    [227369] = true,    -- Synne Jensen
    [227381] = true,    -- Janine Beckie
    [227383] = true,    -- Kadeisha Buchanan
    [227384] = true,    -- Allysha Chapman
    [227387] = true,    -- Jessie Fleming
    [227392] = true,    -- Ashley Lawrence
    [227397] = true,    -- Adriana Leon
    [227400] = true,    -- Erin Mcleod
    [227404] = true,    -- Rebecca Quinn
    [227405] = true,    -- Sophie Schmidt
    [227410] = true,    -- Desiree Scott
    [227421] = true,    -- Rafaelle
    [227452] = true,    -- Stephany Mayor
    [227453] = true,    -- Greta Espinoza
    [227454] = true,    -- Carolina Jaramillo
    [227457] = true,    -- Charlyn Corral
    [227458] = true,    -- Bianca Sierra
    [227503] = true,    -- Jacob Bruun Larsen
    [227508] = true,    -- Gonzalo Melero
    [227535] = true,    -- Rodrigo Bentancur
    [227536] = true,    -- Moussa Marega
    [227586] = true,    -- Alexandra Chidiac
    [227647] = true,    -- Maxi Mittelstadt
    [227667] = true,    -- Isaac Mbenza
    [227678] = true,    -- Ezri Konsa
    [227732] = true,    -- Anastasios Donis
    [227734] = true,    -- Lena Petermann
    [227775] = true,    -- Amanda Sampedro
    [227776] = true,    -- Sandra Panos
    [227780] = true,    -- Ivana Andres
    [227796] = true,    -- Christian Pulisic
    [227813] = true,    -- Oleksandr Zinchenko
    [227854] = true,    -- Matty Foulds
    [227925] = true,    -- Mackenzie Arnold
    [227927] = true,    -- Kyle Walker Peters
    [227928] = true,    -- Nelson Semedo
    [227950] = true,    -- Yeray Alvarez
    [227978] = true,    -- Marvin Mehlem
    [228017] = true,    -- Yuning Zhang
    [228080] = true,    -- Felix Passlack
    [228082] = true,    -- Dzenis Burnic
    [228092] = true,    -- Sander Berge
    [228093] = true,    -- Marcus Thuram
    [228151] = true,    -- Josh Cullen
    [228174] = true,    -- Cameron Carter Vickers
    [228251] = true,    -- Lorenzo Pellegrini
    [228295] = true,    -- Rob Holding
    [228302] = true,    -- Alfonso Pedraza
    [228326] = true,    -- Brian Olivan
    [228332] = true,    -- Hamza Choudhury
    [228336] = true,    -- Florian Grillitsch
    [228368] = true,    -- Jamie Sterry
    [228382] = true,    -- Dan Agyei
    [228419] = true,    -- Mads Juel Andersen
    [228509] = true,    -- Jeff Reineadelaide
    [228520] = true,    -- Ezequiel Avila
    [228579] = true,    -- Benjamin Henrichs
    [228614] = true,    -- Gerrit Holtmann
    [228618] = true,    -- Ferland Mendy
    [228628] = true,    -- Maitane Lopez
    [228630] = true,    -- Esther Sullastres
    [228635] = true,    -- Borja Mayoral
    [228681] = true,    -- Francisco Sierralta
    [228682] = true,    -- Raimundo Rebolledo
    [228687] = true,    -- Kasper Dolberg
    [228702] = true,    -- Frenkie Dejong
    [228708] = true,    -- Lucasmartinez Quarta
    [228724] = true,    -- Maria Sanchez
    [228729] = true,    -- Bruno Valdez
    [228768] = true,    -- Xande Silva
    [228789] = true,    -- Robert Lynchsanchez
    [228800] = true,    -- Emily Alvarado
    [228805] = true,    -- Jose Raillo
    [228813] = true,    -- Aleix Garcia Serrano
    [228815] = true,    -- Tyler Roberts
    [228838] = true,    -- Eric Remedi
    [228881] = true,    -- Davide Calabria
    [228941] = true,    -- Andre Silva
    [229037] = true,    -- Borja Valle
    [229038] = true,    -- Christian Rivera
    [229071] = true,    -- Karim Onisiwo
    [229091] = true,    -- Bailey Peacock Farrell
    [229155] = true,    -- Thomas Ouwejan
    [229163] = true,    -- Callum Slattery
    [229167] = true,    -- Milot Rashica
    [229237] = true,    -- Manuel Akanji
    [229261] = true,    -- Denis Zakaria
    [229266] = true,    -- Joe Rodon
    [229277] = true,    -- Jonas Fohrenbach
    [229286] = true,    -- Tim Skarke
    [229348] = true,    -- Antonee Robinson
    [229359] = true,    -- Jorge Miramon
    [229375] = true,    -- Elijah Adebayo
    [229379] = true,    -- Luca Delatorre
    [229391] = true,    -- Joaomaria Palhinha
    [229476] = true,    -- Waldemar Anton
    [229477] = true,    -- Mike Steven Bahre
    [229487] = true,    -- Lukas Klunter
    [229517] = true,    -- Toni Villa
    [229558] = true,    -- Dayot Upamecano
    [229582] = true,    -- Gianluca Mancini
    [229584] = true,    -- Pascal Stenzel
    [229594] = true,    -- Ante Coric
    [229628] = true,    -- Rafael Jimenez
    [229636] = true,    -- Gaston Pereiro
    [229640] = true,    -- Mads Pedersen
    [229654] = true,    -- Gerard Valentin
    [229668] = true,    -- Mario Hermoso
    [229682] = true,    -- Dael Fry
    [229749] = true,    -- Alexander Barboza
    [229764] = true,    -- Inigo Cordoba
    [229788] = true,    -- Ruben Alcaraz
    [229804] = true,    -- Alexandru Mitrita
    [229857] = true,    -- Stefano Sensi
    [229862] = true,    -- Edu Exposito
    [229880] = true,    -- Aaron Wan Bissaka
    [229881] = true,    -- Ariel Lassiter
    [229906] = true,    -- Leon Bailey
    [229984] = true,    -- Ben Chilwell
    [230005] = true,    -- Tom Davies
    [230020] = true,    -- Melou Lees
    [230021] = true,    -- Joseph Aidoo
    [230025] = true,    -- Bobby Charlton
    [230065] = true,    -- Suat Serdar
    [230084] = true,    -- Lukas Nmecha
    [230107] = true,    -- Lassana Coulibaly
    [230142] = true,    -- Mikel Oyarzabal
    [230564] = true,    -- Mijat Gacinovic
    [230578] = true,    -- Mouctar Diakhaby
    [230613] = true,    -- Amadou Diawara
    [230621] = true,    -- Gianluigi Donnarumma
    [230658] = true,    -- Arthur Melo
    [230666] = true,    -- Gabriel Jesus
    [230672] = true,    -- Lyanco Silveiranevesvojnovic
    [230708] = true,    -- Joe Worrall
    [230717] = true,    -- Tino Kadewere
    [230767] = true,    -- Renato Sanchez
    [230786] = true,    -- Pepelu
    [230794] = true,    -- Nacho Gil
    [230847] = true,    -- Zachary Elbouzedi
    [230869] = true,    -- Unai Simon
    [230872] = true,    -- Mile Svilar
    [230876] = true,    -- Matt Butcher
    [230882] = true,    -- Jack Simpson
    [230888] = true,    -- Aiden O Neill
    [230899] = true,    -- Ademola Lookman
    [230918] = true,    -- Trevoh Chalobah
    [230938] = true,    -- Franck Kessie
    [230977] = true,    -- Miguel Almiron
    [230978] = true,    -- Taiwo Awoniyi
    [231005] = true,    -- Chiedozie Ogbene
    [231028] = true,    -- Matija Sarkic
    [231044] = true,    -- Joe Aribo
    [231087] = true,    -- Izzy Christiansen
    [231110] = true,    -- Patrick Erras
    [231111] = true,    -- Alexander Hack
    [231184] = true,    -- Gorka Guruzeta Rodriguez
    [231185] = true,    -- Gabriel Osho
    [231207] = true,    -- Jhon Lucumi
    [231227] = true,    -- Niklas Dorsch
    [231240] = true,    -- Emre Mor
    [231280] = true,    -- Ivan Peralta
    [231281] = true,    -- Trent Alexander Arnold
    [231292] = true,    -- Jamal Lewis
    [231318] = true,    -- Romain Perraud
    [231340] = true,    -- Gonzalo Montiel
    [231347] = true,    -- Marion Torrent
    [231348] = true,    -- Valerie Gauvin
    [231349] = true,    -- Marie Leger
    [231352] = true,    -- Tammy Abraham
    [231366] = true,    -- Philipp Lienhart
    [231406] = true,    -- Kyle Edwards
    [231408] = true,    -- Jonathan Leko
    [231410] = true,    -- Brahim Diaz
    [231416] = true,    -- Dodi Lukebakio
    [231428] = true,    -- Filippo Bandinelli
    [231432] = true,    -- Lindsey Horan
    [231436] = true,    -- Grady Diangana
    [231442] = true,    -- Marcus Browne
    [231443] = true,    -- Ousmane Dembele
    [231445] = true,    -- Josh Dasilva
    [231447] = true,    -- Donyell Malen
    [231448] = true,    -- Reiss Nelson
    [231478] = true,    -- Lautaro Martinez
    [231485] = true,    -- Axel Tuanzebe
    [231507] = true,    -- Alexis Soto
    [231512] = true,    -- Lloyd Kelly
    [231535] = true,    -- Cameron Borthwick Jackson
    [231554] = true,    -- James Justin
    [231587] = true,    -- Luis Caicedo
    [231591] = true,    -- Javi Galan
    [231627] = true,    -- Umar Sadiq
    [231628] = true,    -- Rafa Mir
    [231633] = true,    -- Issa Diop
    [231677] = true,    -- Marcus Rashford
    [231736] = true,    -- Danielle Colaprico
    [231743] = true,    -- Keinan Davis
    [231747] = true,    -- Kylian Mbappe
    [231823] = true,    -- Justin Hoogma
    [231835] = true,    -- Thomas Henry
    [231866] = true,    -- Rodrigo Hernandez
    [231873] = true,    -- Joni Montiel
    [231874] = true,    -- Jannes Horn
    [231936] = true,    -- Benjamin White
    [231943] = true,    -- Richarlison Andrade
    [231949] = true,    -- Saman Ghoddos
    [232008] = true,    -- Antonio Latorre
    [232073] = true,    -- Mallory Pugh
    [232074] = true,    -- Emily Sonnett
    [232075] = true,    -- Rose Lavelle
    [232080] = true,    -- Jack Harrison
    [232081] = true,    -- Richie Laryea
    [232097] = true,    -- Amine Harit
    [232099] = true,    -- Marko Grujic
    [232104] = true,    -- Daniel James
    [232119] = true,    -- Caglar Soyuncu
    [232132] = true,    -- Joaquin Moreno
    [232144] = true,    -- Felix Uduokai
    [232148] = true,    -- Daniel Salloi
    [232156] = true,    -- Mathias Honsak
    [232202] = true,    -- Delphine Cascarino
    [232223] = true,    -- Konstantinos Tsimikas
    [232244] = true,    -- Santiago Ascacibar
    [232250] = true,    -- Luke Amos
    [232270] = true,    -- Timothy Fosu Mensah
    [232284] = true,    -- Mark Travers
    [232293] = true,    -- Victor Osimhen
    [232297] = true,    -- Eddie Howe
    [232301] = true,    -- Claudio Ranieri
    [232302] = true,    -- Jurgen Klopp
    [232304] = true,    -- Mark Hughes
    [232305] = true,    -- Sam Allardyce
    [232307] = true,    -- Quique Sanchez Flores
    [232363] = true,    -- Milan Skriniar
    [232381] = true,    -- Wesley Ferreira Da Silva
    [232411] = true,    -- Christopher Nkunku
    [232425] = true,    -- Jose Mourinho
    [232432] = true,    -- Luka Jovic
    [232437] = true,    -- Federico Ricca
    [232487] = true,    -- Wataru Endo
    [232488] = true,    -- Cristian Romero
    [232498] = true,    -- Isi Palazon
    [232545] = true,    -- Nathan Broadhead
    [232580] = true,    -- Gabriel Magalhaes
    [232610] = true,    -- Takuma Asano
    [232626] = true,    -- Jae Suk Oh
    [232639] = true,    -- Ritsu Doan
    [232656] = true,    -- Theo Hernandez
    [232665] = true,    -- Mauro Arambarri
    [232708] = true,    -- Milton Valenzuela
    [232711] = true,    -- Jens Stage
    [232730] = true,    -- Daichi Kamada
    [232756] = true,    -- Fikayo Tomori
    [232759] = true,    -- Josh Tymon
    [232805] = true,    -- Bernardo Fernandes
    [232811] = true,    -- Jun Amano
    [232938] = true,    -- Takehiro Tomiyasu
    [232999] = true,    -- Tyler Adams
    [233045] = true,    -- Ike Ugbo
    [233047] = true,    -- Joel Latibeaudiere
    [233048] = true,    -- Tom Dele Bashiru
    [233049] = true,    -- Jadon Sancho
    [233050] = true,    -- Matthew Smith
    [233051] = true,    -- Luke Bolton
    [233052] = true,    -- Jacob Maddox
    [233064] = true,    -- Mason Mount
    [233084] = true,    -- Nahuel Molina
    [233096] = true,    -- Denzel Dumfries
    [233097] = true,    -- Rick Van Drongelen
    [233113] = true,    -- Carles Alena
    [233150] = true,    -- Leila Ouahabi
    [233164] = true,    -- Arijanet Muric
    [233195] = true,    -- Xaver Schlager
    [233200] = true,    -- Emily Gielnik
    [233201] = true,    -- Chris Mepham
    [233207] = true,    -- Sei Muroya
    [233231] = true,    -- Jon Bautista
    [233244] = true,    -- Esther Gonzalez
    [233260] = true,    -- Alexis Vega
    [233267] = true,    -- Matt Turner
    [233306] = true,    -- Dean Henderson
    [233314] = true,    -- Russell Canouse
    [233330] = true,    -- Maria Thorisdottir
    [233337] = true,    -- Erin Nayler
    [233341] = true,    -- Abby Erceg
    [233351] = true,    -- Meikayla Moore
    [233352] = true,    -- Annalie Longo
    [233364] = true,    -- Stina Blackstenius
    [233400] = true,    -- Jakob Glesnes
    [233409] = true,    -- Robert Gumny
    [233419] = true,    -- Raphael Diasbelloli
    [233426] = true,    -- Anthony Georgiou
    [233472] = true,    -- Noah Joel Sarenren Bazee
    [233486] = true,    -- Robin Le Normand
    [233493] = true,    -- Jorge Sanchez
    [233510] = true,    -- Tahith Chong
    [233512] = true,    -- Alin Tosca
    [233556] = true,    -- Riccardo Orsolini
    [233631] = true,    -- Amath Ndiaye
    [233662] = true,    -- Sakina Karchaoui
    [233700] = true,    -- Gianluca Vialli
    [233705] = true,    -- Jacob Sorensen
    [233728] = true,    -- Mamadou Doucoure
    [233731] = true,    -- Alexander Isak
    [233738] = true,    -- Igor Zubeldia
    [233746] = true,    -- Vivianne Miedema
    [233747] = true,    -- Sherida Spitse
    [233748] = true,    -- Lieke Martens
    [233751] = true,    -- Danielle Van De Donk
    [233752] = true,    -- Shanice Van De Sanden
    [233755] = true,    -- Stefanie Van Der Gragt
    [233756] = true,    -- Dominique Janssen
    [233757] = true,    -- Merel Van Dongen
    [233763] = true,    -- Pontus Dahlberg
    [233782] = true,    -- Morgan Feeney
    [233785] = true,    -- Robin Bormuth
    [233837] = true,    -- Lina Magull
    [233838] = true,    -- Felicitas Rauch
    [233852] = true,    -- Jackie Groenen
    [233858] = true,    -- Myrthe Moorrees
    [233859] = true,    -- Rafael Benitez
    [233866] = true,    -- Odsonne Edouard
    [233885] = true,    -- Eray Comert
    [233927] = true,    -- Lucas Paqueta
    [233934] = true,    -- Aaron Ramsdale
    [233957] = true,    -- Sam Field
    [233960] = true,    -- Lukas Muhl
    [234035] = true,    -- Alvaro Odriozola
    [234060] = true,    -- Yangel Herrera
    [234078] = true,    -- Orel Mangala
    [234102] = true,    -- Ionut Radu
    [234112] = true,    -- Dodo
    [234122] = true,    -- Jose Artur
    [234153] = true,    -- Carlos Soler
    [234171] = true,    -- Roland Sallai
    [234205] = true,    -- Hiroki Ito
    [234236] = true,    -- Patrik Schick
    [234249] = true,    -- Sam Surridge
    [234333] = true,    -- Myziane Maolida
    [234378] = true,    -- Declan Rice
    [234396] = true,    -- Alphonso Davies
    [234399] = true,    -- Johannes Eggestein
    [234426] = true,    -- Marcos Teixeira
    [234457] = true,    -- Oghenekaro Etebo
    [234529] = true,    -- Walter Mazzarri
    [234569] = true,    -- Florentino Morris
    [234570] = true,    -- Joao Filipe
    [234573] = true,    -- Aurelio Gabriel Ulineia Buta
    [234574] = true,    -- Diogo Dalot
    [234575] = true,    -- Diogo Leite
    [234577] = true,    -- Diogo Costa
    [234579] = true,    -- Julian Quinones
    [234612] = true,    -- Jonathan Ikone
    [234640] = true,    -- Bakery Jatta
    [234642] = true,    -- Edouard Mendy
    [234679] = true,    -- Philippe Sandler
    [234706] = true,    -- Brandon Mason
    [234711] = true,    -- Josip Brekalo
    [234728] = true,    -- Laszlo Benes
    [234741] = true,    -- Hamer Gustavo
    [234742] = true,    -- Harvey Barnes
    [234777] = true,    -- Zack Steffen
    [234824] = true,    -- Yoane Wissa
    [234832] = true,    -- Kristian Pedersen
    [234833] = true,    -- Florian Muller
    [234835] = true,    -- Domingos Duarte
    [234858] = true,    -- Marius Funk
    [234867] = true,    -- Daniel Arzani
    [234875] = true,    -- Lucas Holer
    [234889] = true,    -- Frederik Jensen
    [234906] = true,    -- Aouar Houssem
    [234943] = true,    -- Florian Neuhaus
    [235008] = true,    -- Lucas Robertone
    [235022] = true,    -- Niklas Schmidt
    [235026] = true,    -- Omar Richards
    [235073] = true,    -- Gregor Kobel
    [235134] = true,    -- Pablo Rosario
    [235149] = true,    -- Jerdy Schouton
    [235156] = true,    -- Jimmy Dunne
    [235167] = true,    -- Vitaly Janelt
    [235172] = true,    -- Ruben Vinagre
    [235212] = true,    -- Achraf Hakimi
    [235243] = true,    -- Matthijs De Ligt
    [235253] = true,    -- Patrick Kammerbauer
    [235266] = true,    -- Christian Fruchtl
    [235288] = true,    -- Sam Schreck
    [235353] = true,    -- Ismaila Sarr
    [235405] = true,    -- Dara Oshea
    [235407] = true,    -- Salih Ozcan
    [235410] = true,    -- Youssef Ennesyri
    [235424] = true,    -- Diadie Samassekou
    [235450] = true,    -- Domingos Quina
    [235454] = true,    -- Malang Sarr
    [235526] = true,    -- Dennis Geiger
    [235569] = true,    -- Tanguy Ndombele
    [235589] = true,    -- Srdan Babic
    [235594] = true,    -- Shelina Zadorsky
    [235618] = true,    -- Kane Wilson
    [235619] = true,    -- Marcus Edwards
    [235642] = true,    -- Ryan Yates
    [235647] = true,    -- Hans Nunoo Sarpei
    [235657] = true,    -- Rachel Daly
    [235659] = true,    -- Nikita Parris
    [235717] = true,    -- Berkay Ozcan
    [235732] = true,    -- David Moyes
    [235735] = true,    -- Ethan Ampadu
    [235755] = true,    -- Trusty Auston
    [235781] = true,    -- Santiago Comesana
    [235790] = true,    -- Kai Havertz
    [235794] = true,    -- Eze Eberechi
    [235805] = true,    -- Federico Chiesa
    [235813] = true,    -- Razvan Marin
    [235842] = true,    -- Andrea Pinamonti
    [235844] = true,    -- Edson Alvarez
    [235855] = true,    -- Joel Asoro
    [235866] = true,    -- Christian Kouame
    [235883] = true,    -- Ryan Sessegnon
    [235889] = true,    -- Cengiz Under
    [235944] = true,    -- Brais Mendez
    [235945] = true,    -- Marc Roca
    [235949] = true,    -- Gabriel Strefezza
    [235962] = true,    -- Nichelle Prince
    [235983] = true,    -- Alejandro Pozo
    [235997] = true,    -- Fran Beltran
    [236007] = true,    -- Ezequiel Barco
    [236015] = true,    -- Morgan Gibbswhite
    [236043] = true,    -- Daniel Batty
    [236045] = true,    -- Reinildo Mandava
    [236046] = true,    -- Ivan Zlobin
    [236221] = true,    -- Darko Brasanac
    [236239] = true,    -- Alfie Whiteman
    [236245] = true,    -- Alberth Elis
    [236246] = true,    -- Ovie Ejaria
    [236248] = true,    -- Ben Woodburn
    [236276] = true,    -- Arnaut Danjuma Groeneveld
    [236295] = true,    -- Aaron Martin
    [236315] = true,    -- Alfie Jones
    [236316] = true,    -- Yan Valery
    [236319] = true,    -- Thomas O Connor
    [236325] = true,    -- Jake Vokins
    [236331] = true,    -- Erick Cabaco
    [236355] = true,    -- Luiz Felipe
    [236401] = true,    -- Noussair Mazraoui
    [236428] = true,    -- Eve Perisset
    [236457] = true,    -- Dimitris Giannoulis
    [236461] = true,    -- Jean Mateta
    [236479] = true,    -- Maria Leon
    [236480] = true,    -- Yves Bissouma
    [236496] = true,    -- Matteo Guendouzi
    [236498] = true,    -- Sam Lammers
    [236499] = true,    -- Douglas Luiz
    [236506] = true,    -- Marcos Senesi
    [236508] = true,    -- Adrian Dieguez
    [236515] = true,    -- Alvaro Fernandezllorente
    [236524] = true,    -- Ahmedhodzic Anel
    [236529] = true,    -- Steven Alzate
    [236530] = true,    -- Lewis Obrien
    [236532] = true,    -- Robin Koch
    [236568] = true,    -- Brandon Austin
    [236583] = true,    -- Jiri Pavlenka
    [236587] = true,    -- Marco Farfan
    [236600] = true,    -- Japhet Tanganga
    [236610] = true,    -- Moise Kean
    [236624] = true,    -- Aymen Barkok
    [236627] = true,    -- Julius Kade
    [236632] = true,    -- David Neres
    [236640] = true,    -- Lynn Williams
    [236641] = true,    -- Abby Dahlkemper
    [236648] = true,    -- Aissatou Tounkara
    [236650] = true,    -- Jacob Brown
    [236679] = true,    -- Oscar Melendo
    [236699] = true,    -- Sasa Lukic
    [236703] = true,    -- David Raum
    [236758] = true,    -- Oliver Christensen
    [236760] = true,    -- Kike Perez
    [236772] = true,    -- Dominik Szoboszlai
    [236786] = true,    -- Martin Terrier
    [236791] = true,    -- Antonin Barak
    [236792] = true,    -- Tomas Soucek
    [236875] = true,    -- Andreas Poulsen
    [236898] = true,    -- Michel Aebischer
    [236920] = true,    -- Justin Kluivert
    [236935] = true,    -- Hannes Wolf
    [236944] = true,    -- Fousseni Diabate
    [236947] = true,    -- Jordan Torunarigha
    [236987] = true,    -- Boubacar Kamara
    [236988] = true,    -- Eddie Nketiah
    [237000] = true,    -- Reggie Cannon
    [237024] = true,    -- Gian Luca Itter
    [237034] = true,    -- Juan Hernandez
    [237043] = true,    -- Roberto Alvarado
    [237067] = true,    -- Pele
    [237075] = true,    -- Christian Ramirez
    [237086] = true,    -- Kim Min Jae
    [237139] = true,    -- Tashan Oakley Boothe
    [237153] = true,    -- Latif Blessing
    [237160] = true,    -- Ro Shaun Williams
    [237161] = true,    -- Sean Longstaff
    [237176] = true,    -- Ryan Schofield
    [237184] = true,    -- Keidi Bare
    [237197] = true,    -- Grace Geyoro
    [237201] = true,    -- Kendall Mcintosh
    [237207] = true,    -- Samuel Kalu
    [237221] = true,    -- Juan Foyth
    [237223] = true,    -- Julian Gressel
    [237238] = true,    -- Scott Mctominay
    [237239] = true,    -- Enis Bardhi
    [237242] = true,    -- Andres Felipe Roman
    [237252] = true,    -- Jake Nerwinski
    [237255] = true,    -- Miles Robinson
    [237256] = true,    -- Jeremy Ebobisse
    [237286] = true,    -- Aaron Connolly
    [237287] = true,    -- Mariasun Quinones
    [237289] = true,    -- Patri Guijarro
    [237328] = true,    -- Nathan Tella
    [237329] = true,    -- Joseph Willock
    [237383] = true,    -- Alessandro Bastoni
    [237386] = true,    -- Hall Dewsbury
    [237388] = true,    -- Carlo Ancelotti
    [237389] = true,    -- Unai Emery
    [237407] = true,    -- Chris Durkin
    [237469] = true,    -- Nouhou Tolo
    [237477] = true,    -- Marcus Tavernier
    [237499] = true,    -- Abdelhamid Sabiri
    [237522] = true,    -- Jorge Cuenca
    [237540] = true,    -- Philipp Forster
    [237560] = true,    -- Moussa Djenepo
    [237595] = true,    -- Marco Friedl
    [237629] = true,    -- Arne Maier
    [237635] = true,    -- Florian Pick
    [237640] = true,    -- Nedim Bajrami
    [237658] = true,    -- Santiago Bueno
    [237673] = true,    -- Kailen Sheridan
    [237677] = true,    -- Robbie Mc Court
    [237678] = true,    -- Ibrahima Konate
    [237679] = true,    -- Randal Kolo Muani
    [237681] = true,    -- Takefusa Kubo
    [237683] = true,    -- Nathan Holland
    [237692] = true,    -- Phil Foden
    [237700] = true,    -- Tosin Kehinde
    [237702] = true,    -- Matt Olosunde
    [237704] = true,    -- Joao Virginia
    [237712] = true,    -- Valentin Castellanos
    [237819] = true,    -- Nicolas Dominguez
    [237841] = true,    -- Michael Murillo
    [237916] = true,    -- Will Smallbone
    [237985] = true,    -- Kevin Danso
    [237997] = true,    -- Uriel Antuna
    [238049] = true,    -- Paxton Pomykal
    [238059] = true,    -- Dan Kemp
    [238060] = true,    -- Nathan Trott
    [238061] = true,    -- Alfie Lewis
    [238062] = true,    -- Beni Baningime
    [238067] = true,    -- Nicolo Zaniolo
    [238068] = true,    -- Marco Richter
    [238070] = true,    -- Jamie Cumming
    [238071] = true,    -- Dujon Sterling
    [238072] = true,    -- Eduard Lowen
    [238074] = true,    -- Reece James
    [238095] = true,    -- Nikola Milenkovic
    [238096] = true,    -- Deanne Rose
    [238126] = true,    -- Jon Guridi
    [238157] = true,    -- Mads Roerslev
    [238186] = true,    -- Marcin Bulka
    [238212] = true,    -- Jane Campbell
    [238216] = true,    -- Conor Gallagher
    [238222] = true,    -- Felix Beijmo
    [238257] = true,    -- Millie Bright
    [238274] = true,    -- Florinel Coman
    [238305] = true,    -- Nacho Vidal
    [238370] = true,    -- Marin Pongracic
    [238379] = true,    -- Nikolas Nartey
    [238380] = true,    -- Lev Yashin
    [238409] = true,    -- Marlon Fossey
    [238422] = true,    -- Gabi Nunes
    [238460] = true,    -- Rhian Brewster
    [238463] = true,    -- Amadou Haidara
    [238470] = true,    -- Sara Doorsoun
    [238476] = true,    -- Dan Axel Zagadou
    [238581] = true,    -- Ruben Vargas
    [238616] = true,    -- Pedro Neto
    [238621] = true,    -- Rodrigo Becao
    [238656] = true,    -- Steffen Tigges
    [238717] = true,    -- Ethan Pinnock
    [238736] = true,    -- Renat Dadashov
    [238744] = true,    -- Weston Mckennie
    [238756] = true,    -- Jorgan Strand Larsen
    [238794] = true,    -- Vinicius Junior
    [238857] = true,    -- Wilson Manafa
    [238900] = true,    -- Ermedin Demirovic
    [238922] = true,    -- Mark Anthony Kaye
    [238957] = true,    -- Florian Dietz
    [238958] = true,    -- Rekeem Harper
    [239015] = true,    -- Emmanuel Dennis
    [239053] = true,    -- Federico Valverde
    [239085] = true,    -- Haaland
    [239096] = true,    -- Atakan Karazor
    [239097] = true,    -- Dennis Srbeny
    [239138] = true,    -- Woo Yeongjeong
    [239195] = true,    -- Stanislav Cherchisov
    [239207] = true,    -- Maximiliano Gomez
    [239231] = true,    -- Marc Cucurellasaseta
    [239301] = true,    -- Lisandro Martinez
    [239322] = true,    -- Christoph Zimmermann
    [239335] = true,    -- Oscar Arnaiz
    [239340] = true,    -- Julian Chabot
    [239343] = true,    -- Hasret Kayikci
    [239344] = true,    -- Carolin Simon
    [239345] = true,    -- Linda Dallmann
    [239350] = true,    -- Siriki Dembele
    [239360] = true,    -- Pascal Struijk
    [239364] = true,    -- Philipp Kohn
    [239367] = true,    -- Robin Hack
    [239368] = true,    -- Mitchel Bakker
    [239380] = true,    -- Noa Lang
    [239397] = true,    -- Braydon Manu
    [239433] = true,    -- Nemanja Maksimovic
    [239439] = true,    -- Przemyslaw Placheta
    [239506] = true,    -- Sam Hughes
    [239571] = true,    -- Tim Handwerker
    [239580] = true,    -- Gleison Bremer
    [239671] = true,    -- Tete Morente
    [239676] = true,    -- Kyle Taylor
    [239679] = true,    -- Pasquale Mazzocchi
    [239681] = true,    -- Omar Bertel
    [239696] = true,    -- Florent Muslija
    [239701] = true,    -- Romano Schmid
    [239704] = true,    -- Kai Wagner
    [239744] = true,    -- Mickael Cuisance
    [239747] = true,    -- Sergio Cordova
    [239761] = true,    -- Frida Maanum
    [239778] = true,    -- Jakub Moder
    [239782] = true,    -- Bryan Acosta
    [239800] = true,    -- Steven Sessegnon
    [239807] = true,    -- Davide Frattesi
    [239817] = true,    -- Boubakary Soumare
    [239818] = true,    -- Ruben Dias
    [239837] = true,    -- Alexis Macallister
    [239838] = true,    -- Mirko Antonucci
    [239890] = true,    -- Ozan Kabak
    [239901] = true,    -- Sasa Kalajdzic
    [239945] = true,    -- Fernando Beltran
    [239961] = true,    -- Juan Esteban Moreno
    [239978] = true,    -- Dennis Man
    [239981] = true,    -- Jann Fiete Arp
    [240026] = true,    -- Anthony Fontana
    [240030] = true,    -- Ellie Carpenter
    [240060] = true,    -- Max Aarons
    [240091] = true,    -- Guglielmo Vicario
    [240130] = true,    -- Eder Militao
    [240153] = true,    -- Jessica Mcdonald
    [240175] = true,    -- Bruno Jordao
    [240199] = true,    -- David Wagner
    [240243] = true,    -- Matheus Cunha
    [240273] = true,    -- Emile Smithrowe
    [240289] = true,    -- Fernando Calero
    [240311] = true,    -- Luca Zidane
    [240319] = true,    -- Timothy Tillman
    [240451] = true,    -- Jan Niklas Beste
    [240458] = true,    -- Ander Guevara Lajo
    [240488] = true,    -- Chris Hughton
    [240507] = true,    -- Angel Gomes
    [240513] = true,    -- Ethan Hamilton
    [240654] = true,    -- Carles Perez
    [240679] = true,    -- Teun Koopmeiners
    [240690] = true,    -- Nicolas Gonzalez
    [240697] = true,    -- Shandon Baptiste
    [240709] = true,    -- Ridle Baku
    [240714] = true,    -- Jill Roord
    [240717] = true,    -- Lineth Beerensteyn
    [240734] = true,    -- Matt Oriley
    [240740] = true,    -- Callum Hudson Odoi
    [240773] = true,    -- Norrington Davies Rhys
    [240786] = true,    -- Ali Koiki
    [240833] = true,    -- Youssoufa Moukoko
    [240863] = true,    -- Conor Coventry
    [240865] = true,    -- Anthony Scully
    [240866] = true,    -- Reece Hannam
    [240867] = true,    -- Ajibola Alese
    [240900] = true,    -- Unai Nunez
    [240913] = true,    -- Caoimhin Kelleher
    [240915] = true,    -- Juan Miranda Gonzalez
    [240916] = true,    -- Dejan Ljubicic
    [240926] = true,    -- Nathaniel Phillips
    [240947] = true,    -- Mitchell Tyrick
    [240950] = true,    -- Pedro Goncalves
    [240976] = true,    -- Marcelo Saracchi
    [240981] = true,    -- Max Sanders
    [240982] = true,    -- Junior Moreno
    [241005] = true,    -- Joaquin Ardaiz
    [241023] = true,    -- Ludmila Da Silva
    [241038] = true,    -- Keanan Bennetts
    [241042] = true,    -- Oliver Skipp
    [241049] = true,    -- Andoni Gorosabel
    [241050] = true,    -- Alexander Meyer
    [241084] = true,    -- Luis Diaz
    [241095] = true,    -- Nikola Vlasic
    [241096] = true,    -- Sandro Tonali
    [241150] = true,    -- Manuel Mbom
    [241159] = true,    -- Marc Guehi
    [241173] = true,    -- Lyle Foster
    [241184] = true,    -- Junior Firpor
    [241188] = true,    -- Setien Quique
    [241202] = true,    -- Patson Daka
    [241240] = true,    -- Tatsuya Ito
    [241378] = true,    -- Jose Luis Mendilibar
    [241390] = true,    -- Eljif Elmas
    [241395] = true,    -- Pablo Machin
    [241435] = true,    -- Khanya Leshabela
    [241436] = true,    -- Calvin Bassey
    [241461] = true,    -- Ferran Torres
    [241464] = true,    -- Pau Torres
    [241486] = true,    -- Jules Kounde
    [241487] = true,    -- Jesus Ferreira
    [241496] = true,    -- Timothy Weah
    [241497] = true,    -- Colin Dagba
    [241523] = true,    -- Marcus Forss
    [241545] = true,    -- Ouleymata Sarr
    [241546] = true,    -- Thea Greboval
    [241547] = true,    -- Solene Durand
    [241548] = true,    -- Lea Legarrec
    [241549] = true,    -- Hawa Cissoko
    [241585] = true,    -- Igor
    [241611] = true,    -- Marcelino Garcia Toral
    [241629] = true,    -- Rogerio Oliveira Da Silva
    [241637] = true,    -- Aurelien Tchouameni
    [241643] = true,    -- Viktor Johansson
    [241651] = true,    -- Viktor Gyokeres
    [241667] = true,    -- Aitana Bonmati
    [241689] = true,    -- Roberto Massimo
    [241715] = true,    -- Jose Ziganda
    [241721] = true,    -- Rafael Leao
    [241727] = true,    -- Predrag Rajkovic
    [241737] = true,    -- Birk Risa
    [241775] = true,    -- Jawed El Yamiq
    [241811] = true,    -- Sergio Gomez Martinez
    [241842] = true,    -- Ben Johnson
    [241846] = true,    -- Ewa Pajor
    [241852] = true,    -- Moussa Diaby
    [241854] = true,    -- Perr Schuurs
    [241856] = true,    -- Manuel Morlanes
    [241867] = true,    -- Aitor Ruibal
    [241907] = true,    -- Diego Rossi
    [241928] = true,    -- Albert Sambilokonga
    [241933] = true,    -- Ramon Rodriguez Jimenez
    [241982] = true,    -- Elliot Watt
    [242000] = true,    -- Konstantinos Mavropanos
    [242024] = true,    -- Sofia Huerta
    [242075] = true,    -- Josh Sargent
    [242118] = true,    -- Sebastian Cordova
    [242187] = true,    -- Christoph Baumgartner
    [242201] = true,    -- Luis Milla
    [242217] = true,    -- Edo Kayembe
    [242236] = true,    -- Ferro Reis
    [242238] = true,    -- Oumar Solet
    [242242] = true,    -- Sebastien Cibois
    [242265] = true,    -- Michael Obafemi
    [242267] = true,    -- Jorman Campuzano
    [242280] = true,    -- Lewis Ferguson
    [242336] = true,    -- Alvaro Aguado
    [242374] = true,    -- Musa Barrow
    [242382] = true,    -- Luca Ashbyhammond
    [242386] = true,    -- Christoph Klarer
    [242418] = true,    -- Tariq Lamptey
    [242434] = true,    -- Curtis Jones
    [242444] = true,    -- Joao Felix
    [242516] = true,    -- Cody Gakpo
    [242534] = true,    -- Christian Casseres Jr
    [242554] = true,    -- Brandon Bye
    [242578] = true,    -- Benoit Badiashile
    [242596] = true,    -- Tristan Blackmon
    [242628] = true,    -- George Bello
    [242641] = true,    -- Rayan Aitnouri
    [242656] = true,    -- Illan Meslier
    [242660] = true,    -- Jordan Beyer
    [242663] = true,    -- Sebastiaan Bornauw
    [242732] = true,    -- Owen Otasowie
    [242752] = true,    -- Nathan Ferguson
    [242784] = true,    -- Melissa Lawley
    [242794] = true,    -- Imran Louza
    [242796] = true,    -- Lucia Garcia
    [242797] = true,    -- Rocio Galvez
    [242818] = true,    -- Finn Dahmen
    [242829] = true,    -- Abbie Mcmanus
    [242830] = true,    -- Keira Walsh
    [242896] = true,    -- Ingrid Engen
    [242946] = true,    -- Oladapo Afolayan
    [242964] = true,    -- Anthony Gordon
    [242965] = true,    -- Fraser Hornby
    [242967] = true,    -- Callum Morton
    [242974] = true,    -- Kevin Sessa
    [242995] = true,    -- Joseph Mora
    [242997] = true,    -- Linton Maina
    [243009] = true,    -- Derek Cornelius
    [243014] = true,    -- Bryan Mbeumo
    [243015] = true,    -- Luis Romo
    [243032] = true,    -- Hugo Duro
    [243044] = true,    -- Nnamdi Ofoborh
    [243048] = true,    -- Will Dennis
    [243055] = true,    -- Rafael Camacho
    [243057] = true,    -- Neco Williams
    [243133] = true,    -- Joe Scally
    [243134] = true,    -- Largie Ramazani
    [243208] = true,    -- Carlos Carvalhal
    [243235] = true,    -- Olivier Mbaizo
    [243241] = true,    -- Alessandro Buongiorno
    [243245] = true,    -- Orkun Kokcu
    [243249] = true,    -- Jurgen Ekkelenkamp
    [243261] = true,    -- Andi Sullivan
    [243262] = true,    -- Haley Mccutcheon
    [243263] = true,    -- Ashley Hatch
    [243264] = true,    -- Savannah Mccaskill
    [243282] = true,    -- Dwight Mc Neil
    [243284] = true,    -- Frederik Winther
    [243350] = true,    -- Felix Agu
    [243353] = true,    -- Bali Mumba
    [243379] = true,    -- Zecira Musovic
    [243384] = true,    -- Cesar Munder
    [243386] = true,    -- Diego Valencia
    [243388] = true,    -- Borna Sosa
    [243390] = true,    -- Ian Carl Poveda
    [243392] = true,    -- Rabbi Matondo
    [243393] = true,    -- Taylor Richards
    [243403] = true,    -- Claire Emslie
    [243404] = true,    -- Georgia Stanway
    [243407] = true,    -- Tiffany Cameron
    [243414] = true,    -- Brandon Williams
    [243449] = true,    -- Lucas Perrin
    [243478] = true,    -- Enzo Loiodice
    [243558] = true,    -- Oscar Valentin
    [243573] = true,    -- Anthony Racioppi
    [243585] = true,    -- Gavin Bazunu
    [243593] = true,    -- Armand Lauriente
    [243608] = true,    -- Ryan Giles
    [243630] = true,    -- Jonathan David
    [243650] = true,    -- David Tavares
    [243656] = true,    -- Nemanja Radonjic
    [243669] = true,    -- Jaidon Anthony
    [243675] = true,    -- Kjell Scherpen
    [243686] = true,    -- Chiquinho Machado
    [243705] = true,    -- Florian Chabrolle
    [243710] = true,    -- Garissone Innocent
    [243712] = true,    -- Pep Guardiola
    [243715] = true,    -- William Saliba
    [243767] = true,    -- Gavin Kilkenny
    [243769] = true,    -- Margaret Purce
    [243771] = true,    -- Abby Smith
    [243775] = true,    -- Casey Murphy
    [243780] = true,    -- Lee Kang In
    [243792] = true,    -- Inigo Vicente
    [243812] = true,    -- Rodrygo Goes
    [243828] = true,    -- Matthew Longstaff
    [243838] = true,    -- Nishan Burkart
    [243854] = true,    -- Mohamed Simakan
    [243874] = true,    -- Julen Lopetegui
    [243887] = true,    -- Tobias Mohr
    [243932] = true,    -- David Lennart Phillip
    [243952] = true,    -- Andriy Lunin
    [243976] = true,    -- Alejandro Catena
    [244045] = true,    -- Tierna Davidson
    [244059] = true,    -- Katja Snoeijs
    [244067] = true,    -- Maxence Lacroix
    [244068] = true,    -- Keven Schlotterbeck
    [244191] = true,    -- Joseph Anang
    [244196] = true,    -- Dominic Thompson
    [244206] = true,    -- Nehuen Perez
    [244233] = true,    -- Luca Pfeiffer
    [244238] = true,    -- Jaka Bijol
    [244257] = true,    -- Jonathan Burkardt
    [244260] = true,    -- Dani Olmocarvajal
    [244270] = true,    -- Nikola Moro
    [244280] = true,    -- Adrian Fein
    [244288] = true,    -- Adam Idah
    [244302] = true,    -- Lea Schuller
    [244304] = true,    -- Johanna Elsig
    [244363] = true,    -- Daniel Fuzato
    [244369] = true,    -- Viktor Tsygankov
    [244380] = true,    -- Vitaliy Mykolenko
    [244390] = true,    -- Marius Bulter
    [244448] = true,    -- Juan Sanchezpurata
    [244456] = true,    -- Martin Erlic
    [244470] = true,    -- Vladimir Coufal
    [244621] = true,    -- Vinicius Morais
    [244622] = true,    -- Javier Puado
    [244661] = true,    -- Victor Alexander Da Silva
    [244669] = true,    -- Morten Hjulmand
    [244675] = true,    -- Oihan Sancet
    [244680] = true,    -- Mathieu Choiniere
    [244715] = true,    -- Taylor Perry
    [244717] = true,    -- Antonino Gallo
    [244749] = true,    -- Nayef Aguerd
    [244778] = true,    -- Fransisco Trincao
    [244809] = true,    -- Marcus Dewhurst
    [244915] = true,    -- Mahammed Salisu
    [244919] = true,    -- Martin Pascual
    [244940] = true,    -- Emir Karic
    [245021] = true,    -- Loum Mamadou
    [245037] = true,    -- Eric Garciamartret
    [245061] = true,    -- Julian Lopez
    [245152] = true,    -- Santiago Gimenez
    [245155] = true,    -- Mohammed Kudus
    [245209] = true,    -- Michal Sadilek
    [245211] = true,    -- Jordan Teze
    [245226] = true,    -- Goncalo Cardoso
    [245237] = true,    -- Ignacio Saavedra
    [245238] = true,    -- Javi Sanchez
    [245253] = true,    -- Leandrobarreiro Martins
    [245279] = true,    -- Sergio Reguilon
    [245286] = true,    -- Jan Zamburek
    [245336] = true,    -- Maximilian Kilman
    [245367] = true,    -- Xavi Simons
    [245428] = true,    -- Chima Okoroji
    [245443] = true,    -- Aurora Galli
    [245541] = true,    -- Gio Reyna
    [245598] = true,    -- Iddrisu Baba
    [245632] = true,    -- Miguel Angel Morro
    [245637] = true,    -- Georginio Rutter
    [245697] = true,    -- Clara Mateo
    [245715] = true,    -- Jamie Shackleton
    [245802] = true,    -- Beth Mead
    [245839] = true,    -- Hina Sugita
    [245863] = true,    -- Valentin Gendry
    [245872] = true,    -- Kim Little
    [245877] = true,    -- Sophie Howard
    [245879] = true,    -- Caroline Weir
    [245882] = true,    -- Erin Cuthbert
    [245902] = true,    -- Troy Parrott
    [245903] = true,    -- Harvey White
    [245907] = true,    -- Jamie Bowden
    [245956] = true,    -- Christiane Endler
    [245959] = true,    -- Camila Saez
    [245992] = true,    -- Billy Gilmour
    [246053] = true,    -- Joe Gelhardt
    [246074] = true,    -- Benjamin Goller
    [246104] = true,    -- Ryan Gravenberch
    [246113] = true,    -- Adria Giner Pedrosa
    [246137] = true,    -- Kayne Ramsay
    [246147] = true,    -- Mason Greenwood
    [246153] = true,    -- Anna Anvegard
    [246169] = true,    -- Roberto Lopez
    [246172] = true,    -- Samuel Chukwueze
    [246174] = true,    -- Harvey Elliott
    [246177] = true,    -- Emelyne Laurent
    [246178] = true,    -- Magnin Peyraud
    [246186] = true,    -- Arthur Cabral
    [246191] = true,    -- Julian Alvarez
    [246219] = true,    -- Khadija Shaw
    [246242] = true,    -- Boulaye Dia
    [246272] = true,    -- Marie Katoto
    [246284] = true,    -- Oscar Gil
    [246286] = true,    -- Nahikari Garcia Perez
    [246287] = true,    -- Angela Sosa
    [246340] = true,    -- Mykhailo Mudryk
    [246352] = true,    -- Hugo Guillamon
    [246359] = true,    -- Florencia Bonsegundo
    [246364] = true,    -- Aldana Cometti
    [246401] = true,    -- Fabrice Hartmann
    [246402] = true,    -- Mads Bidstrup
    [246420] = true,    -- Jeremy Doku
    [246426] = true,    -- Leah Williamson
    [246430] = true,    -- Dusan Vlahovic
    [246431] = true,    -- Riccardo Sottil
    [246457] = true,    -- Cyril Ngonge
    [246572] = true,    -- Grace Yango
    [246606] = true,    -- Fran Garcia
    [246629] = true,    -- Asisat Oshoala
    [246630] = true,    -- Rasheedat Ajibade
    [246641] = true,    -- Chiamaka Nnadozie
    [246646] = true,    -- Maxence Caqueret
    [246669] = true,    -- Bukayo Saka
    [246672] = true,    -- Ander Barrenetxea
    [246679] = true,    -- Giulian Biancone
    [246748] = true,    -- Aihen Munoz
    [246763] = true,    -- Ki Jana Hoever
    [246774] = true,    -- Alba Redondo
    [246836] = true,    -- Amos Pieper
    [246863] = true,    -- Felix Nmecha
    [246875] = true,    -- Odilon Kossounou
    [246923] = true,    -- Jacob Ramsey
    [246928] = true,    -- Ivan Martin
    [246946] = true,    -- Ismaila Coulibaly
    [246960] = true,    -- Mohamed Ihattaren
    [247028] = true,    -- Alex Kral
    [247090] = true,    -- Enzo Fernandez
    [247131] = true,    -- Alfonso Espino
    [247140] = true,    -- Josh Benson
    [247181] = true,    -- Gonzalo Plata
    [247182] = true,    -- Lucas Silva Melo
    [247263] = true,    -- Edmond Tapsoba
    [247385] = true,    -- Lee Buchanan
    [247394] = true,    -- Dejan Kulusevski
    [247461] = true,    -- Nathalie Bjorn
    [247477] = true,    -- Julia Zigiottiolme
    [247479] = true,    -- Luca Unbehaun
    [247495] = true,    -- Jon Moncayola
    [247497] = true,    -- Armel Bellakotchap
    [247500] = true,    -- Edgar Gonzalez
    [247504] = true,    -- Mary Earps
    [247512] = true,    -- Jordyn Huitema
    [247513] = true,    -- Vanessa Gilles
    [247517] = true,    -- John Barnes
    [247535] = true,    -- Amalie Eikeland
    [247553] = true,    -- Garrincha
    [247601] = true,    -- Rhys Williams
    [247623] = true,    -- Jeremy Ngakia
    [247635] = true,    -- Khvicha Kvaratskhelia
    [247649] = true,    -- Jarrad Branthwaite
    [247699] = true,    -- Kenny Dalglish
    [247703] = true,    -- Ian Rush
    [247724] = true,    -- Julia Grosso
    [247729] = true,    -- Andre Almeida
    [247739] = true,    -- Jordan Cropper
    [247741] = true,    -- Anthony Glennon
    [247788] = true,    -- Giulia Gwinn
    [247789] = true,    -- Merle Frohms
    [247790] = true,    -- Lena Lattwein
    [247791] = true,    -- Sydney Lohmann
    [247792] = true,    -- Ashleigh Weerden
    [247793] = true,    -- Jaime Seoane
    [247796] = true,    -- Ellie Roebuck
    [247797] = true,    -- Hannah Blundell
    [247811] = true,    -- Jun Endo
    [247819] = true,    -- Nico Schlotterbeck
    [247827] = true,    -- Michael Olise
    [247832] = true,    -- Thierry Correia
    [247851] = true,    -- Bruno Guimaraes
    [248146] = true,    -- Ian Wright
    [248148] = true,    -- Martin Zubimendi
    [248243] = true,    -- Eduardo Camavinga
    [248343] = true,    -- Emily Fox
    [248356] = true,    -- Thierno Ballo
    [248384] = true,    -- Ilia Gruev
    [248469] = true,    -- Dynel Simeu
    [248550] = true,    -- Daniel Vivian
    [248573] = true,    -- Junior Dinaebimbe
    [248576] = true,    -- Florian Flick
    [248584] = true,    -- Alexandre Phliponeau
    [248603] = true,    -- Loic Mbe Soh
    [248604] = true,    -- Arthur Zagre
    [248695] = true,    -- Wesley Fofana
    [248715] = true,    -- Marina Hegering
    [248717] = true,    -- Lena Oberdorf
    [248794] = true,    -- Geyse Da Silva Ferreira
    [248799] = true,    -- Mary Fowler
    [248800] = true,    -- Kathellen Sousa Feitoza
    [248805] = true,    -- Sergio Camello
    [248820] = true,    -- Mateu Morey
    [248822] = true,    -- Klara Buhl
    [248878] = true,    -- Luca Kilian
    [249063] = true,    -- Brendan Rogers
    [249078] = true,    -- Bruno Lage
    [249119] = true,    -- Chris Wilder
    [249179] = true,    -- Daniel Farke
    [249224] = true,    -- Dean Smith
    [249329] = true,    -- Erik Tenhag
    [249332] = true,    -- Ernesto Valverde Tejedor
    [249601] = true,    -- Imanol Alguacil Barrenetxea
    [249684] = true,    -- Joan Francesc Ferrer Sicilia
    [249948] = true,    -- Luiz Enrique Martinez Garcia
    [250043] = true,    -- Martina Voss Tecklenburg
    [250047] = true,    -- Massimiliano Allegri
    [250462] = true,    -- Sarina Wiegman
    [250585] = true,    -- Thomas Tuchel
    [250723] = true,    -- Manu Kone
    [250813] = true,    -- Leo Greiml
    [250851] = true,    -- Frederik Alves
    [250890] = true,    -- Gianluca Zambrotta
    [250954] = true,    -- Chris Richards
    [250961] = true,    -- Joshua Zirkzee
    [251098] = true,    -- Lisa Zimouche
    [251109] = true,    -- Paolo Zanetti
    [251137] = true,    -- Steve Cooper
    [251172] = true,    -- Vincenzo Italiano
    [251182] = true,    -- Iago Amaralborduchi
    [251287] = true,    -- Fabian Nurnberger
    [251325] = true,    -- Marco Meyerhofer
    [251341] = true,    -- Marley Ake
    [251377] = true,    -- Rodrigo Zalazar
    [251387] = true,    -- Luis Diaz
    [251392] = true,    -- Tom Kraub
    [251401] = true,    -- Tanguy Coulibaly
    [251412] = true,    -- Shon Weissman
    [251421] = true,    -- Brennan Johnson
    [251445] = true,    -- Samuel Lino
    [251483] = true,    -- Vincent Kompany
    [251517] = true,    -- Josko Gvardiol
    [251521] = true,    -- Niall Huggins
    [251530] = true,    -- Nuno Tavares
    [251545] = true,    -- Darko Churlinov
    [251566] = true,    -- Gabriel Martinelli
    [251573] = true,    -- Renan Lodi
    [251637] = true,    -- Andoni Iraola Sagarna
    [251651] = true,    -- Luis Vasquez
    [251804] = true,    -- Sergino Dest
    [251805] = true,    -- Jurrien Timber
    [251810] = true,    -- Brian Brobbey
    [251852] = true,    -- Karim Adeyemi
    [251854] = true,    -- Pedri Gonzalez
    [251892] = true,    -- Beto
    [252000] = true,    -- Domagoj Bradaric
    [252017] = true,    -- Flavius Daniliuc
    [252027] = true,    -- Aster Vranckx
    [252033] = true,    -- Tomas Esteves
    [252037] = true,    -- Fabio Silva
    [252038] = true,    -- Romario Baro
    [252042] = true,    -- Joao Pedro
    [252079] = true,    -- Manu Fuster
    [252134] = true,    -- Leighton Clarkson
    [252145] = true,    -- Nuno Mendes
    [252238] = true,    -- Alan Velasco
    [252259] = true,    -- Enzo Millot
    [252302] = true,    -- Larouci Yasser
    [252316] = true,    -- Hjalmar Ekdal
    [252317] = true,    -- David Nemeth
    [252324] = true,    -- Rodrigo Riquelme
    [252327] = true,    -- Manuel Sanchez
    [252371] = true,    -- Jude Bellingham
    [252399] = true,    -- Alessio Dionisi
    [252466] = true,    -- Devid Bouah
    [252483] = true,    -- Alfie Doughty
    [252594] = true,    -- Isaac Lihadji
    [252794] = true,    -- Adrian Bernabe
    [252802] = true,    -- Wilfried Singo
    [252961] = true,    -- Tanguy Kouassi
    [253002] = true,    -- Giacomo Raspadori
    [253004] = true,    -- Ansu Fati
    [253052] = true,    -- Issa Kabore
    [253072] = true,    -- Darwin Nunez
    [253102] = true,    -- Adil Aouchiche
    [253133] = true,    -- Adrian Beck
    [253149] = true,    -- Jeremie Frimpong
    [253160] = true,    -- Anthony Joshua
    [253163] = true,    -- Ronald Araujo
    [253177] = true,    -- Yunus Musah
    [253293] = true,    -- Brian Ocampo
    [253407] = true,    -- Sam Greenwood
    [253417] = true,    -- Lynn Wilms
    [253435] = true,    -- Laia Aleixandri
    [253436] = true,    -- Ona Batlle
    [253437] = true,    -- Marta Cardona
    [253461] = true,    -- Luke Cundle
    [253465] = true,    -- Teden Mengi
    [253469] = true,    -- Elisa Dealmeida
    [253473] = true,    -- Samuele Ricci
    [253568] = true,    -- Leonardo Campana
    [253693] = true,    -- Conor Noss
    [254113] = true,    -- Chem Campbell
    [254120] = true,    -- Tommy Doyle
    [254126] = true,    -- Thiago Motta
    [254267] = true,    -- Bartosz Bialek
    [254470] = true,    -- Luke Thomas
    [254480] = true,    -- Lilian Egloff
    [254487] = true,    -- Matheus Henrique
    [254566] = true,    -- Patrick Wimmer
    [254588] = true,    -- Billy Koumetio
    [254642] = true,    -- Ferenc Puskas
    [254796] = true,    -- Noni Madueke
    [254807] = true,    -- Kwadwo Baah
    [254859] = true,    -- Alex Mighten
    [254891] = true,    -- Jose Andres Martinez
    [254928] = true,    -- Bartol Franjic
    [255009] = true,    -- Kenneth Taylor
    [255069] = true,    -- Nico Gonzalez
    [255110] = true,    -- Henry Kessler
    [255150] = true,    -- Niels Nkounkou
    [255151] = true,    -- Simon Ngapandouetnbu
    [255210] = true,    -- Anis Slimane
    [255223] = true,    -- Amine Adli
    [255253] = true,    -- Vitor Ferreira
    [255475] = true,    -- Antony
    [255528] = true,    -- Camilo De Oliveira
    [255529] = true,    -- Elbilal Toure
    [255561] = true,    -- Josh Doig
    [255565] = true,    -- Kaoru Mitoma
    [255566] = true,    -- Samu Costa
    [256079] = true,    -- Moises Caicedo
    [256094] = true,    -- Estelle Cascarino
    [256095] = true,    -- Perle Morroni
    [256118] = true,    -- Yannik Keitel
    [256196] = true,    -- Willian Pacho
    [256197] = true,    -- Piero Hincapie
    [256216] = true,    -- Emmanuel Longelo
    [256261] = true,    -- Malick Thiaw
    [256268] = true,    -- Armando Broja
    [256292] = true,    -- Jan Schoppner
    [256302] = true,    -- Ainhoa Moraza
    [256303] = true,    -- Sheila Garcia
    [256306] = true,    -- Omer Beyaz
    [256449] = true,    -- Christian Fernandesmarques
    [256476] = true,    -- Mohamed Ali Cho
    [256489] = true,    -- Beth England
    [256516] = true,    -- Nico Williams
    [256544] = true,    -- Melayro Bogarde
    [256556] = true,    -- Ben Chrisene
    [256564] = true,    -- Tim Lemperle
    [256612] = true,    -- Evanilson
    [256630] = true,    -- Florian Wirtz
    [256666] = true,    -- Yerson Mosquera
    [256675] = true,    -- Omar Marmoush
    [256780] = true,    -- Marton Dardai
    [256781] = true,    -- Luca Netz
    [256790] = true,    -- Jamal Musiala
    [256899] = true,    -- Lorenzo Colombo
    [256913] = true,    -- Fred
    [256948] = true,    -- Christos Tzolis
    [256958] = true,    -- Fabio Vieira
    [257001] = true,    -- Chloe Kelly
    [257008] = true,    -- Lauren Hemp
    [257057] = true,    -- Amadou Onana
    [257075] = true,    -- Paul Nebel
    [257136] = true,    -- Omar Haktab Traore
    [257190] = true,    -- Dickson Abiama
    [257191] = true,    -- Anton Stach
    [257226] = true,    -- Natalia Guitler
    [257253] = true,    -- Bobby Thomas
    [257264] = true,    -- Oscar Vilhelmsson
    [257279] = true,    -- Alex Baena
    [257283] = true,    -- Andreas Muller
    [257368] = true,    -- Lorenzo Pirola
    [257399] = true,    -- Wahid Faghir
    [257530] = true,    -- Sophia Kleinherne
    [257534] = true,    -- Cole Palmer
    [257540] = true,    -- Ansgar Knauff
    [257612] = true,    -- Sekou Mara
    [257615] = true,    -- Lewis Hamilton
    [257616] = true,    -- Djsnake
    [258041] = true,    -- Hugo Novoaramos
    [258310] = true,    -- Ann Berger
    [258316] = true,    -- Eren Dinkci
    [258390] = true,    -- Ivo Grbic
    [258396] = true,    -- Cenk Ozkacar
    [258515] = true,    -- Ademipo Odubeko
    [258576] = true,    -- Tere Abelleira
    [258607] = true,    -- Toteantonio Gomes
    [258625] = true,    -- Abdourahmane Barry
    [258683] = true,    -- Ivan Ilic
    [258704] = true,    -- Julie Thibaud
    [258705] = true,    -- Romane Munich
    [258706] = true,    -- Melvine Malard
    [258729] = true,    -- Gabriel Veiga
    [258758] = true,    -- Theo Corbeanu
    [258782] = true,    -- Ardian Ismajli
    [258789] = true,    -- Misa Rodriguezrivero
    [258812] = true,    -- Tm Siersleben
    [258908] = true,    -- Janpaul Vanhecke
    [258930] = true,    -- Archer Cameron
    [258931] = true,    -- Haydon Roberts
    [258937] = true,    -- Aimar Oroz
    [258946] = true,    -- Matteo Lovato
    [258966] = true,    -- Andrea Cambiaso
    [258976] = true,    -- Fabiano Parisi
    [258979] = true,    -- Sandy Maciver
    [258980] = true,    -- Alessia Russo
    [259022] = true,    -- Kerim Calhanoglu
    [259031] = true,    -- Liam Delap
    [259075] = true,    -- Yan Couto
    [259173] = true,    -- Victor Chust
    [259197] = true,    -- Nicolas Jackson
    [259205] = true,    -- Naouirou Ahamada
    [259287] = true,    -- Pernille Harder
    [259307] = true,    -- Malo Gusto
    [259334] = true,    -- Nerea Eizagirre
    [259335] = true,    -- Emrehan Gedikli
    [259356] = true,    -- Carney Chukwuemeka
    [259372] = true,    -- Athenea Delcastillobeivide
    [259377] = true,    -- Yeremy Pino
    [259399] = true,    -- Rasmus Hojlund
    [259583] = true,    -- Destiny Udogie
    [259608] = true,    -- Evan Ferguson
    [259681] = true,    -- Rodrigo Sanchez
    [259694] = true,    -- Oscar Mingueza
    [260014] = true,    -- Tim Civeja
    [260141] = true,    -- Catalin Cirjan
    [260178] = true,    -- Juan Iglesias
    [260290] = true,    -- Marvin Pieringer
    [260406] = true,    -- Kaide Gordon
    [260599] = true,    -- Alan Varela
    [260601] = true,    -- Exequiel Zeballos
    [260651] = true,    -- Traore Benie
    [260697] = true,    -- Isak Hien
    [260815] = true,    -- Arnau Martinez
    [260823] = true,    -- Nicolo Fagioli
    [260843] = true,    -- Anass Zaroury
    [260926] = true,    -- Kevin Schade
    [261007] = true,    -- Ruwen Werthmuller
    [261025] = true,    -- Dane Scarlett
    [261082] = true,    -- Cristian Medina
    [261224] = true,    -- Hugo Bueno Lopez
    [261336] = true,    -- Bidace Philogene
    [261390] = true,    -- Charlie Webster
    [261446] = true,    -- Mehmetcan Aydin
    [261468] = true,    -- Jordyn Listro
    [261495] = true,    -- Soumaila Coulibaly
    [261593] = true,    -- Jurgen Kohler
    [261621] = true,    -- Luke Mbete
    [261647] = true,    -- Andrew Omobamidele
    [261733] = true,    -- Sandy Baltimore
    [261740] = true,    -- Jule Brand
    [261745] = true,    -- Lasse Gunther
    [261773] = true,    -- Laura Freigang
    [261786] = true,    -- Justine Vanhaevermaet
    [261835] = true,    -- Tatiana Pinto
    [261841] = true,    -- Fatima Pinto
    [261843] = true,    -- Andreia De Jesus Jacinto
    [261853] = true,    -- Diana Gomes
    [261863] = true,    -- Lisa Lichtfus
    [261865] = true,    -- Miguel Gutierrez
    [262029] = true,    -- Mohamed Sankoh
    [262058] = true,    -- Tabea Sellner
    [262090] = true,    -- Fabienne Dongus
    [262092] = true,    -- Paulina Krumbiegel
    [262093] = true,    -- Sjoeke Nusken
    [262118] = true,    -- Tino Livramento
    [262138] = true,    -- Castello Lukeba
    [262212] = true,    -- Henning Matriciani
    [262242] = true,    -- Sidney Raebiger
    [262271] = true,    -- Diego Milito
    [262298] = true,    -- Marcel Lotka
    [262330] = true,    -- Catarina Macario
    [262416] = true,    -- Chiquinho Tavares
    [262457] = true,    -- Olga Carmona
    [262458] = true,    -- Maite Oroz
    [262459] = true,    -- Anna Torroda
    [262460] = true,    -- Rosa Marquez
    [262531] = true,    -- Claudia Pina
    [262545] = true,    -- Amaiur Sarriegi
    [262621] = true,    -- Giorgi Mamardashvili
    [262642] = true,    -- Zeki Amdouni
    [262659] = true,    -- Noah Atubolu
    [262672] = true,    -- Noah Weisshaupt
    [262859] = true,    -- Levi Colwill
    [262929] = true,    -- Vinicius Souza
    [263007] = true,    -- Niamh Charles
    [263009] = true,    -- Hannah Hampton
    [263011] = true,    -- Ella Toone
    [263013] = true,    -- Lotte Wubbenmoy
    [263063] = true,    -- James Trafford
    [263168] = true,    -- Tyler Onyango
    [263312] = true,    -- Zidan Sertdemir
    [263396] = true,    -- Jose Copete
    [263486] = true,    -- Tiago Cukur
    [263522] = true,    -- Jeremy Sarmiento
    [263573] = true,    -- Ameen Al Dakhil
    [263578] = true,    -- Alejandro Balde Martinez
    [263582] = true,    -- Harris Peart
    [263620] = true,    -- Romeo Lavia
    [263953] = true,    -- Samuel Edozie
    [263966] = true,    -- Hanna Bennison
    [264011] = true,    -- Alana Cook
    [264012] = true,    -- Sophia Smith
    [264035] = true,    -- Sakyi Rak
    [264039] = true,    -- Lewis Dobbin
    [264089] = true,    -- Rinsola Babajide
    [264115] = true,    -- Dylan Williams
    [264139] = true,    -- Marc Leonard
    [264170] = true,    -- Luis Lopez
    [264172] = true,    -- Jose Carmona
    [264180] = true,    -- Alfie Devine
    [264240] = true,    -- Gavi
    [264298] = true,    -- Conor Bradley
    [264309] = true,    -- Arda Guler
    [264325] = true,    -- Martin Satriano
    [264337] = true,    -- Rodrigo Muniz
    [264349] = true,    -- James Mcatee
    [264410] = true,    -- Hayden Lindley
    [264432] = true,    -- Abdessamad Ezzalzouli
    [264453] = true,    -- Micky Van De Ven
    [264589] = true,    -- Linus Gechter
    [264671] = true,    -- Jassina Blom
    [264698] = true,    -- Luiz Henrique
    [264763] = true,    -- Fabio Chiarodia
    [264807] = true,    -- Marie Levasseur
    [264864] = true,    -- Kessya Bussy
    [264865] = true,    -- Mylene Chavas
    [264866] = true,    -- Oceane Deslandes
    [264876] = true,    -- Jill Bayings
    [264884] = true,    -- Paulina Dudek
    [264885] = true,    -- Manon Revelli
    [264886] = true,    -- Glodis Perla Viggosdottir
    [264892] = true,    -- Ramona Bachmann
    [264895] = true,    -- Constance Picaud
    [264896] = true,    -- Celin Bizet
    [264898] = true,    -- Assimina Maoulida
    [264899] = true,    -- Maria Luisa Grohs
    [264900] = true,    -- Laurina Fazer
    [264904] = true,    -- Lea Khelifi
    [264905] = true,    -- Jade Le Guilly
    [264906] = true,    -- Hawa Sangare
    [264907] = true,    -- Amira Arfaoui
    [264913] = true,    -- Dina Blagojevic
    [264915] = true,    -- Friederike Rephol
    [264920] = true,    -- Julia Pollak
    [264921] = true,    -- Juliane Wirtz
    [264922] = true,    -- Kristin Kogel
    [264923] = true,    -- Lara Marti
    [264924] = true,    -- Lilla Turanyi
    [264925] = true,    -- Lisanne Grawe
    [264926] = true,    -- Melissa Friedrich
    [264927] = true,    -- Milena Nikolic
    [264930] = true,    -- Sylwia Matysik
    [264931] = true,    -- Verena Wieder
    [264933] = true,    -- Barbara Dunst
    [264936] = true,    -- Geraldine Reuteler
    [264939] = true,    -- Lara Prasnikar
    [264944] = true,    -- Ines Benyahia
    [264945] = true,    -- Madeleine Steck
    [264947] = true,    -- Nicole Anyomi
    [264949] = true,    -- Saskia Matheis
    [264950] = true,    -- Shekiera Martinez
    [264953] = true,    -- Kysha Sylla
    [264954] = true,    -- Tanja Pawollek
    [264955] = true,    -- Verena Hanshaw
    [264960] = true,    -- Delanie Sheehan
    [264961] = true,    -- Sarah Kassi
    [264962] = true,    -- Tess Laplacette
    [264963] = true,    -- Daphne Corboz
    [264968] = true,    -- Mathilde Bourdieu
    [264969] = true,    -- Oriane Jean Francois
    [264971] = true,    -- Ewelina Kamczyk
    [264975] = true,    -- Pia Sophie Wolter
    [264976] = true,    -- Nikola Karczewska
    [264977] = true,    -- Kenza Chapelle
    [264978] = true,    -- Katriina Talaslahti
    [264980] = true,    -- Sofie Svava
    [264981] = true,    -- Sophie Vaysse
    [264982] = true,    -- Dominika Grabowska
    [264985] = true,    -- Celina Degen
    [264986] = true,    -- Chantal Hagel
    [264989] = true,    -- Gia Corley
    [264990] = true,    -- Isabella Hartig
    [264991] = true,    -- Jana Feldkamp
    [264994] = true,    -- Katharina Naschenweng
    [264999] = true,    -- Martina Tufekovic
    [265000] = true,    -- Michaela Specht
    [265001] = true,    -- Nicole Billa
    [265004] = true,    -- Sarai Linder
    [265007] = true,    -- Anna Gerhardt
    [265011] = true,    -- Sally Julini
    [265014] = true,    -- Lara Schmidt
    [265016] = true,    -- Luca Graf
    [265020] = true,    -- Melissa Kossler
    [265025] = true,    -- Selina Cerci
    [265026] = true,    -- Sophie Weidauer
    [265028] = true,    -- Vanessa Fischer
    [265030] = true,    -- Zala Mersnik
    [265033] = true,    -- Beke Sterner
    [265035] = true,    -- Elisa Sens
    [265042] = true,    -- Katharina Piljic
    [265049] = true,    -- Maike Berentzen
    [265051] = true,    -- Nina Racke
    [265052] = true,    -- Selina Ostermeier
    [265053] = true,    -- Sophia Winkler
    [265054] = true,    -- Stina Johannes
    [265055] = true,    -- Vivien Endemann
    [265058] = true,    -- Ereleta Memeti
    [265059] = true,    -- Giovanna Hoffmann
    [265060] = true,    -- Greta Stegemann
    [265063] = true,    -- Janina Minge
    [265069] = true,    -- Lisa Karl
    [265070] = true,    -- Lisa Kolb
    [265072] = true,    -- Marie Muller
    [265073] = true,    -- Meret Felde
    [265076] = true,    -- Rafaela Borggrafe
    [265078] = true,    -- Riola Xhemaili
    [265079] = true,    -- Samantha Steuerwald
    [265080] = true,    -- Svenja Folmli
    [265082] = true,    -- Adriana Achcinska
    [265085] = true,    -- Anja Pfluger
    [265086] = true,    -- Elvira Herzog
    [265092] = true,    -- Alice Sombath
    [265093] = true,    -- Manjou Wilde
    [265094] = true,    -- Manon Klett
    [265101] = true,    -- Sharon Beck
    [265102] = true,    -- Weronika Zawistowska
    [265106] = true,    -- Anneke Borbe
    [265116] = true,    -- Lina Hausicke
    [265117] = true,    -- Maja Sternad
    [265118] = true,    -- Charlotte Voll
    [265119] = true,    -- Michelle Ulbrich
    [265121] = true,    -- Nina Luhrssen
    [265122] = true,    -- Reena Wichmann
    [265154] = true,    -- Adrienne Jordan
    [265157] = true,    -- Dorthe Hoppius
    [265166] = true,    -- Michela Brandenburg
    [265168] = true,    -- Noemi Gentile
    [265170] = true,    -- Patrycja Balcerzak
    [265194] = true,    -- Iker Bravosolanilla
    [265217] = true,    -- Veatriki Sarri
    [265225] = true,    -- Jemma Purfield
    [265226] = true,    -- Jess Sigsworth
    [265230] = true,    -- Molly Pike
    [265231] = true,    -- Natasha Flint
    [265233] = true,    -- Sam Tierney
    [265234] = true,    -- Shannon Obrien
    [265237] = true,    -- Anna Patten
    [265239] = true,    -- Katie Mccabe
    [265240] = true,    -- Lia Walti
    [265242] = true,    -- Manuela Zinsberger
    [265243] = true,    -- Noelle Maritz
    [265249] = true,    -- Lauren James
    [265252] = true,    -- Ashleigh Neville
    [265258] = true,    -- Jessica Naz
    [265262] = true,    -- Molly Bartrip
    [265264] = true,    -- Ria Percival
    [265271] = true,    -- Hayley Ladd
    [265272] = true,    -- Ivana Fuso
    [265273] = true,    -- Katie Zelem
    [265275] = true,    -- Leah Galton
    [265283] = true,    -- Danielle Carter
    [265284] = true,    -- Ellie Brazil
    [265286] = true,    -- Emma Koivisto
    [265293] = true,    -- Maya Letissier
    [265294] = true,    -- Megan Connolly
    [265295] = true,    -- Megan Walsh
    [265296] = true,    -- Victoria Williams
    [265299] = true,    -- Claudia Walker
    [265300] = true,    -- Dagny Brynjarsdottir
    [265304] = true,    -- Katerina Svitkova
    [265305] = true,    -- Lisa Evans
    [265307] = true,    -- Lucy Parker
    [265309] = true,    -- Mel Filis
    [265311] = true,    -- Alisha Lehmann
    [265317] = true,    -- Laura Blindkilde Brown
    [265319] = true,    -- Mayumi Pacheco
    [265323] = true,    -- Ramona Petzelberger
    [265324] = true,    -- Remi Allen
    [265326] = true,    -- Sarah Mayling
    [265336] = true,    -- Poppy Pattinson
    [265337] = true,    -- Rikke Sevecke
    [265340] = true,    -- Jess Park
    [265348] = true,    -- Faye Bryson
    [265350] = true,    -- Gemma Evans
    [265351] = true,    -- Grace Moloney
    [265352] = true,    -- Lily Woodham
    [265353] = true,    -- Natasha Harding
    [265358] = true,    -- Johanna Kaiser
    [265377] = true,    -- Vanessa Fudalla
    [265378] = true,    -- Marlene Muller
    [265383] = true,    -- Jenny Hipp
    [265385] = true,    -- Victoria Krug
    [265386] = true,    -- Gianna Rackow
    [265412] = true,    -- Harvey Vale
    [265459] = true,    -- Tyler Morton
    [265465] = true,    -- Matej Maglica
    [265506] = true,    -- Victoria Pickett
    [265536] = true,    -- Damaris Egurrola
    [265674] = true,    -- Selma Bacha
    [265695] = true,    -- Matias Soule
    [265834] = true,    -- Julie Piga
    [265836] = true,    -- Maria Diaz
    [265843] = true,    -- Faustine Robert
    [265845] = true,    -- Ines Belloumou
    [265849] = true,    -- Maelle Lakrar
    [265850] = true,    -- Maelys Mpome
    [265853] = true,    -- Nerilia Mondesir
    [265854] = true,    -- Sarah Puntigam
    [265855] = true,    -- Andrea Lardez
    [265857] = true,    -- Charlotte Bilbault
    [265859] = true,    -- Ella Palis
    [265860] = true,    -- Julie Dufour
    [265861] = true,    -- Maelle Garbino
    [265863] = true,    -- Marine Perea
    [265864] = true,    -- Melissa Herrera
    [265865] = true,    -- Mickaella Cardia
    [265871] = true,    -- Coline Stephen
    [265875] = true,    -- Helene Fercocq
    [265877] = true,    -- Jenna Dear
    [265878] = true,    -- Lea Declercq
    [265879] = true,    -- Lena Goetsch
    [265883] = true,    -- Noemie Carage
    [265893] = true,    -- Julie Pasquereau
    [265894] = true,    -- Kethna Louis
    [265896] = true,    -- Lou Ann Joly
    [265897] = true,    -- Magou Doucoure
    [265898] = true,    -- Melchie Dumornay
    [265900] = true,    -- Naomie Feller
    [265901] = true,    -- Rachel Corboz
    [265903] = true,    -- Sonia Ouchene
    [265905] = true,    -- Vicki Becho
    [265908] = true,    -- Camille Collin
    [265914] = true,    -- Georges Saint
    [265915] = true,    -- Laura Bourgouin
    [265921] = true,    -- Rachel Avant
    [265931] = true,    -- Emmy Jezequel
    [265937] = true,    -- Louise Fleury
    [265941] = true,    -- Sana Daoudi
    [265943] = true,    -- Adelie Fourre
    [265944] = true,    -- Agathe Donnary
    [265945] = true,    -- Allie Thornton
    [265946] = true,    -- Ally Prisock
    [265948] = true,    -- Celya Barclais
    [265950] = true,    -- Cosette Morche
    [265956] = true,    -- Morgane Martins
    [265958] = true,    -- Oceane Daniel
    [266041] = true,    -- Luca Koleosho
    [266091] = true,    -- Ashley Sanchez
    [266093] = true,    -- Morgan Weaver
    [266094] = true,    -- Bethany Balcer
    [266127] = true,    -- Lewis Hall
    [266253] = true,    -- Ivan Fresneda
    [266270] = true,    -- Aaron Ramsey
    [266384] = true,    -- Sveindis Jane Jonsdottir
    [266401] = true,    -- Jaelin Howell
    [266549] = true,    -- So Yun Ji
    [266551] = true,    -- Gabrielle George
    [266592] = true,    -- Sanne Troelsgaard
    [266596] = true,    -- Jacopo Fazzini
    [266598] = true,    -- Eveliina Summanen
    [266601] = true,    -- Emma Snerle
    [266609] = true,    -- Tim Iroegbunam
    [266694] = true,    -- Owairan Al
    [266695] = true,    -- Tomas Brolin
    [266764] = true,    -- Kelly Chambers
    [266801] = true,    -- Harry Kewell
    [266804] = true,    -- Lydia Bedford
    [266816] = true,    -- Aubrey Kingsbury
    [266872] = true,    -- Federico Gatti
    [266907] = true,    -- Rachael Laws
    [266911] = true,    -- Charlotte Wardlaw
    [266912] = true,    -- Leighanne Robe
    [266915] = true,    -- Taylor Hinds
    [266918] = true,    -- Missybo Kearns
    [266922] = true,    -- Ceri Holland
    [266923] = true,    -- Leanne Kiernan
    [266928] = true,    -- Trinity Rodman
    [266933] = true,    -- Arianna Caruso
    [266937] = true,    -- Martina Lenzini
    [266939] = true,    -- Amanda Nilden
    [266996] = true,    -- Sofia Cantore
    [267201] = true,    -- Jess Fishlock
    [267202] = true,    -- Madison Hammond
    [267203] = true,    -- Sam Hiatt
    [267212] = true,    -- Joyce Tullis
    [267213] = true,    -- Ally Watt
    [267215] = true,    -- Bella Bixby
    [267217] = true,    -- Sam Coffey
    [267220] = true,    -- Kelli Hubly
    [267221] = true,    -- Natalia Kuikka
    [267223] = true,    -- Olivia Moultrie
    [267226] = true,    -- Rocky Rodriguez
    [267227] = true,    -- Yazmeen Ryan
    [267234] = true,    -- Kerolin
    [267237] = true,    -- Diana Ordonez
    [267238] = true,    -- Denise Osullivan
    [267240] = true,    -- Carson Pickett
    [267241] = true,    -- Kiki Pickett
    [267242] = true,    -- Brianna Pinto
    [267251] = true,    -- Camryn Biegalski
    [267264] = true,    -- Sam Staab
    [267268] = true,    -- Vanessa Dibernardo
    [267269] = true,    -- Rachel Hill
    [267272] = true,    -- Tatumn Milazzo
    [267274] = true,    -- Zoe Morse
    [267277] = true,    -- Bianca Stgeorges
    [267281] = true,    -- Arin Wright
    [267289] = true,    -- Katie Naughton
    [267291] = true,    -- Megan Montefusco
    [267299] = true,    -- Julie Doyle
    [267309] = true,    -- Kylie Strom
    [267311] = true,    -- Marisa Viggiano
    [267312] = true,    -- Viviana Villacorta
    [267318] = true,    -- Savannah Demelo
    [267321] = true,    -- Katie Lund
    [267325] = true,    -- Lauren Milliet
    [267328] = true,    -- Ebony Salmon
    [267329] = true,    -- Elizabeth Ball
    [267330] = true,    -- Elyse Bennett
    [267332] = true,    -- Kate Delfava
    [267334] = true,    -- Kristen Hamilton
    [267336] = true,    -- Loeau Labonta
    [267338] = true,    -- Alexis Loera
    [267339] = true,    -- Hailie Mace
    [267350] = true,    -- Caprice Dydasco
    [267352] = true,    -- Sabrina Flores
    [267358] = true,    -- Paige Monaghan
    [267359] = true,    -- Ifeoma Onumonu
    [267362] = true,    -- Taryn Torres
    [267367] = true,    -- Sarah Gorden
    [267368] = true,    -- Dijana Haracic
    [267369] = true,    -- Tyler Lussi
    [267371] = true,    -- Paige Nielsen
    [267372] = true,    -- Cari Roccaro
    [267376] = true,    -- Dani Weatherholt
    [267379] = true,    -- Belle Briede
    [267381] = true,    -- Makenzy Doniak
    [267382] = true,    -- Naomi Girma
    [267384] = true,    -- Taylor Kornieck
    [267386] = true,    -- Kristen Mcnabb
    [267388] = true,    -- Kaleigh Riehl
    [267390] = true,    -- Kelsey Turnbow
    [267391] = true,    -- Christen Westphal
    [267474] = true,    -- Ellie Jean
    [267497] = true,    -- Shea Groom
    [267519] = true,    -- Kerry Abello
    [267522] = true,    -- Olivia Vanderjagt
    [267582] = true,    -- Matt Beard
    [267651] = true,    -- Maiwen Renard
    [267652] = true,    -- Heloise Mansuy
    [267653] = true,    -- Margaux Lemouel
    [267654] = true,    -- Nina Richard
    [267660] = true,    -- Aissata Traore
    [267661] = true,    -- Sarah Cambot
    [267662] = true,    -- Alison Peniguel
    [267673] = true,    -- Melissa Gomes
    [267675] = true,    -- Jelena Karlicic
    [267677] = true,    -- Tainara De Souza Da Silva
    [267849] = true,    -- Tommi Oreilly
    [267968] = true,    -- Rehanne Skinner
    [268005] = true,    -- Jonas Eidevall
    [268060] = true,    -- Magnaba Folquet
    [268061] = true,    -- Oceane Hurtre
    [268114] = true,    -- Carla Ward
    [268131] = true,    -- Cj Egan Riley
    [268262] = true,    -- Rosemonde Kouassi
    [268302] = true,    -- Ava Cook
    [268303] = true,    -- Deyna Castellanos
    [268348] = true,    -- Julia Lester
    [268352] = true,    -- Emma Hayes
    [268355] = true,    -- Hope Powell
    [268421] = true,    -- Mathys Tel
    [268438] = true,    -- Alejandro Garnacho
    [268513] = true,    -- Jairzinho
    [268573] = true,    -- Federico Baschirotto
    [268640] = true,    -- Laurie Cance
    [268642] = true,    -- Marie Sieber
    [268644] = true,    -- Clementine Canon
    [268645] = true,    -- Eloise Sevenne
    [268646] = true,    -- Fiona Bogi
    [268647] = true,    -- Zoe Stievenart
    [268648] = true,    -- Selen Altunkulak
    [268649] = true,    -- Alex Lamontagne
    [268691] = true,    -- Amanda Kowalski
    [268703] = true,    -- Nicolo Cambiaghi
    [268802] = true,    -- Fabio Miretti
    [268908] = true,    -- Megan Reid
    [268948] = true,    -- Maria Molina
    [268949] = true,    -- Esther Laborde
    [268988] = true,    -- Mariam Diakite
    [268989] = true,    -- Manon Heil
    [268993] = true,    -- Lucia Rodriguez
    [269312] = true,    -- Tommaso Baldanzi
    [269404] = true,    -- Salma Paralluelo
    [269603] = true,    -- Wlodzimierz Smolarek
    [269922] = true,    -- Denis Huseinbasic
    [270086] = true,    -- Antonio Silva
    [270390] = true,    -- Marcusvincius Oliveiraalencar
    [270579] = true,    -- Wilson Odobert
    [270670] = true,    -- Fares Chaibi
    [270892] = true,    -- Fuka Nagano
    [271040] = true,    -- Jaedyn Shaw
    [271044] = true,    -- Satara Murray
    [271196] = true,    -- Joan Gonzalez
    [271530] = true,    -- Dominic Ballard
    [271575] = true,    -- Simone Pafundi
    [271577] = true,    -- Ibrahim Sulemana
    [271639] = true,    -- Niko Arnautis
    [271640] = true,    -- Tommy Stroot
    [271673] = true,    -- Lazaro Vinicius
    [271788] = true,    -- Martyna Wiankowska
    [271809] = true,    -- Rikke Madsen
    [271819] = true,    -- Paula Flach
    [271828] = true,    -- Alexandra Emmerling
    [271837] = true,    -- Vanessa Furst
    [271838] = true,    -- Chiara Bouziane
    [271844] = true,    -- Andrea Gavric
    [271860] = true,    -- Ena Mahmutovic
    [271862] = true,    -- Emilie Henriksen
    [271864] = true,    -- Antonia Johanna Halverkamps
    [271865] = true,    -- Miray Cin
    [271866] = true,    -- Alexandria Loy Hess
    [271893] = true,    -- Bruninha
    [271943] = true,    -- Enith Salon
    [271944] = true,    -- Maria Mendez
    [271945] = true,    -- Oihane Hernandez
    [271959] = true,    -- Irene Miguelez
    [271960] = true,    -- Paola Soldevila
    [272001] = true,    -- Mayra Ramirez
    [272005] = true,    -- Natasa Andonova
    [272007] = true,    -- Paula Fernandez
    [272008] = true,    -- Leire Banos
    [272009] = true,    -- Antonia Silva
    [272010] = true,    -- Viola Calligaris
    [272011] = true,    -- Paula Tomas
    [272013] = true,    -- Nuria Mendoza
    [272022] = true,    -- Andrea Paraluta
    [272025] = true,    -- Violeta Quiles
    [272030] = true,    -- Grace Asantewa
    [272032] = true,    -- Leles Carrion
    [272036] = true,    -- Vicky Benitez
    [272038] = true,    -- Paula Perea
    [272047] = true,    -- Ana Franco
    [272050] = true,    -- Martin Prieto
    [272051] = true,    -- Toni Payne
    [272053] = true,    -- Rosa Otermin
    [272056] = true,    -- Inma Gabarro
    [272059] = true,    -- Teresa Merida
    [272061] = true,    -- Paola Ulloa
    [272064] = true,    -- Itziar Pinillos
    [272076] = true,    -- Racheal Kundananji
    [272078] = true,    -- Grace Chanda
    [272081] = true,    -- Ana Gonzalez
    [272084] = true,    -- Lauren Leal
    [272085] = true,    -- Berta Pujadas
    [272086] = true,    -- Bea Beltran
    [272094] = true,    -- Fiamma Benitez
    [272099] = true,    -- Macarena Portales
    [272101] = true,    -- Anita Marcos
    [272110] = true,    -- Andrea Medina
    [272112] = true,    -- Carmen Menayo
    [272113] = true,    -- Cinta Rodriguez
    [272115] = true,    -- Leicy Santos
    [272122] = true,    -- Oihane Valedezate
    [272123] = true,    -- Nerea Nevado
    [272124] = true,    -- Bibi Schulze
    [272125] = true,    -- Ane Elexpuru
    [272131] = true,    -- Mariana Cerro
    [272135] = true,    -- Clara Pinedo
    [272141] = true,    -- Yenifer Gimenez
    [272145] = true,    -- Sheila Guijarro
    [272148] = true,    -- Maria Llompart
    [272150] = true,    -- Nerea Machado
    [272153] = true,    -- Ainoa Franco
    [272159] = true,    -- Irina Uribe
    [272163] = true,    -- Elana Julve
    [272164] = true,    -- Laura Martinez
    [272167] = true,    -- Yasmin Mrabet
    [272168] = true,    -- Nuria Garrote
    [272172] = true,    -- Esther Martin Pozuelo
    [272174] = true,    -- Julia Mora
    [272176] = true,    -- Doris Bacic
    [272180] = true,    -- Raquel Morcillo
    [272181] = true,    -- Andrea Carid
    [272183] = true,    -- Marina Marti
    [272185] = true,    -- Daniela Arques
    [272188] = true,    -- Lucia Martinez
    [272191] = true,    -- Lena Perez
    [272192] = true,    -- Judith Caravaca
    [272196] = true,    -- Carmen Fresneda
    [272201] = true,    -- Gabriela Garcia
    [272202] = true,    -- Iris Arnaiz
    [272206] = true,    -- Ana Tejada
    [272207] = true,    -- Alejandra Bernabe
    [272208] = true,    -- Manuela Vanegas
    [272212] = true,    -- Adriana Nanclares
    [272213] = true,    -- Elene Lete Para
    [272214] = true,    -- Koko Ange Nguessan
    [272224] = true,    -- Natalia Ramos
    [272225] = true,    -- Paola Hernandez
    [272229] = true,    -- Maria Estella
    [272231] = true,    -- Andrea Marrero
    [272234] = true,    -- Clau Blanco
    [272235] = true,    -- Noelia Ramos
    [272238] = true,    -- Patricia Hmirova
    [272244] = true,    -- Raiderlin Carrasco
    [272246] = true,    -- Sandra Castelle
    [272250] = true,    -- Paula Romero
    [272254] = true,    -- Laia Balleste
    [272256] = true,    -- Carla Morera
    [272259] = true,    -- Carla Armengol
    [272261] = true,    -- Sara Carrillo
    [272269] = true,    -- Garazi Giralte
    [272272] = true,    -- Jana Xin
    [272274] = true,    -- Lydia Andrade
    [272280] = true,    -- Noreen Gunnewig
    [272281] = true,    -- Mai Hirata
    [272285] = true,    -- Lisa Josten
    [272287] = true,    -- Anna Margraf
    [272293] = true,    -- Laura Sieger
    [272296] = true,    -- Lisa Marie Weiss
    [272338] = true,    -- Natasha Kowalski
    [272340] = true,    -- Ramona Maier
    [272379] = true,    -- Samuel Iling Junior
    [272400] = true,    -- Elena De Toro
    [272475] = true,    -- Antonio Toledo Sanchez
    [272476] = true,    -- Jose Sanchez Vera
    [272477] = true,    -- Iraia Iturregi
    [272512] = true,    -- Natalia Arroyo
    [272547] = true,    -- Ferran Cabello
    [272548] = true,    -- Jose Herrera
    [272552] = true,    -- Cristian Toro
    [272689] = true,    -- Luis De La Fuente
    [272691] = true,    -- Derek Rae
    [272692] = true,    -- Guy Mowbray
    [272693] = true,    -- Stewart Robson
    [272694] = true,    -- Sue Smith
    [272695] = true,    -- Alex Scott
    [272697] = true,    -- Yerliane Moreno
    [272724] = true,    -- Manolo Cano
    [273153] = true,    -- Linda Caicedo
    [273227] = true,    -- Hinata Miyazawa
    [273466] = true,    -- Alyssa Thompson
    [273467] = true,    -- Michelle Cooper
    [273486] = true,    -- Messiah Bright
    [273564] = true,    -- Gift Orban
    [273812] = true,    -- Steve Mcmanaman
    [273927] = true,    -- Enock Agyei
    [274750] = true,    -- Wesley Sneijder
    [274966] = true,    -- Carlos Tevez
    [274967] = true,    -- John Arne Riise
    [274980] = true,    -- Victor Martin Alba
    [275049] = true,    -- Enzo Francescoli
    [275092] = true,    -- Sonia Bompastor
    [275243] = true,    -- Mia Hamm
    [275276] = true,    -- Birgit Prinz
    [275526] = true,    -- Kerstin Bogenschutz
    [275531] = true,    -- Jessica May
    [275533] = true,    -- Franziska Mai
    [275540] = true,    -- Sophie Fournier
    [275760] = true,    -- Nastassja Lein
    [276501] = true     -- Kristin Krammer
}

-- Get Players Table
local players_table = LE.db:GetTable("players")
local current_record = players_table:GetFirstRecord()

local updated_players = 0
local playerid = 0

while current_record > 0 do
    playerid = players_table:GetRecordFieldValue(current_record, "playerid")

    if playerid > 0 and valid_headmodels[playerid] then
        players_table:SetRecordFieldValue(current_record, "hashighqualityhead", 1)
        players_table:SetRecordFieldValue(current_record, "headclasscode", 0)
        players_table:SetRecordFieldValue(current_record, "headassetid", playerid)
    else
        players_table:SetRecordFieldValue(current_record, "hashighqualityhead", 0)
        players_table:SetRecordFieldValue(current_record, "headclasscode", 1)
    end

    current_record = players_table:GetNextValidRecord()
end

MessageBox("Done", "Done")
